2005-11-10 22:43  ghazan

	Changed:
		miranda/protocols/IRC/IRC.dsp (1.10), "Exp", lines: +2 -62
		miranda/protocols/IRC/IRC.mak (1.5), "Exp", lines: +5 -126

	minor changes in the project files: no SSL configuration anymore

2005-11-10 22:25  strickz

	Changed:
		miranda/src/resource.rc (1.28), "Exp", lines: +4 -1
		miranda/src/version.rc (1.6), "Exp", lines: +0 -3

	Resource files has been broken for a while. Caused the resource
	editor to fail.

2005-11-10 20:38  ghazan

	Changed:
		miranda/src/core/miranda.c (1.16), "Exp", lines: +4 -4
		miranda/src/modules/contacts/contacts.c (1.10), "Exp", lines: +1 -1
		miranda/src/modules/database/database.c (1.16), "Exp", lines: +21 -21
		miranda/src/modules/database/dbtime.c (1.3), "Exp", lines: +5 -5
		miranda/src/modules/database/profilemanager.c (1.14), "Exp", lines: +11 -11
		miranda/src/modules/findadd/findadd.c (1.9), "Exp", lines: +8 -8
		miranda/src/modules/findadd/searchresults.c (1.8), "Exp", lines: +6 -6
		miranda/src/modules/help/about.c (1.6), "Exp", lines: +3 -3
		miranda/src/modules/history/history.c (1.9), "Exp", lines: +1 -1
		miranda/src/modules/idle/idle.c (1.14), "Exp", lines: +1 -1
		miranda/src/modules/ignore/ignore.c (1.5), "Exp", lines: +5 -5
		miranda/src/modules/langpack/langpack.c (1.11), "Exp", lines: +4 -4
		miranda/src/modules/langpack/lpservices.c (1.9), "Exp", lines: +1 -1
		miranda/src/modules/netlib/netlib.c (1.7), "Exp", lines: +2 -2
		miranda/src/modules/netlib/netlibbind.c (1.5), "Exp", lines: +1 -1
		miranda/src/modules/netlib/netlibhttp.c (1.5), "Exp", lines: +10 -10
		miranda/src/modules/netlib/netlibhttpproxy.c (1.5), "Exp", lines: +2 -2
		miranda/src/modules/netlib/netliblog.c (1.16), "Exp", lines: +8 -8
		miranda/src/modules/netlib/netlibopenconn.c (1.9), "Exp", lines: +8 -8
		miranda/src/modules/netlib/netlibopts.c (1.6), "Exp", lines: +8 -8
		miranda/src/modules/options/options.c (1.9), "Exp", lines: +4 -4
		miranda/src/modules/plugins/newplugins.c (1.21), "Exp", lines: +20 -21
		miranda/src/modules/protocols/protochains.c (1.3), "Exp", lines: +1 -1
		miranda/src/modules/protocols/protodir.c (1.4), "Exp", lines: +2 -2
		miranda/src/modules/skin/skinicons.c (1.10), "Exp", lines: +52 -53
		miranda/src/modules/skin/sounds.c (1.11), "Exp", lines: +5 -5
		miranda/src/modules/srawaymsg/awaymsg.c (1.7), "Exp", lines: +4 -4
		miranda/src/modules/srawaymsg/sendmsg.c (1.11), "Exp", lines: +10 -10
		miranda/src/modules/srfile/file.c (1.6), "Exp", lines: +3 -3
		miranda/src/modules/srfile/fileexistsdlg.c (1.5), "Exp", lines: +11 -11
		miranda/src/modules/srfile/fileopts.c (1.5), "Exp", lines: +11 -11
		miranda/src/modules/srfile/filerecvdlg.c (1.5), "Exp", lines: +19 -19
		miranda/src/modules/srfile/filesenddlg.c (1.10), "Exp", lines: +2 -2
		miranda/src/modules/srfile/filexferdlg.c (1.8), "Exp", lines: +11 -11
		miranda/src/modules/srurl/url.c (1.4), "Exp", lines: +2 -2
		miranda/src/modules/srurl/urldialogs.c (1.8), "Exp", lines: +15 -15
		miranda/src/modules/userinfo/contactinfo.c (1.5), "Exp", lines: +9 -9
		miranda/src/modules/userinfo/stdinfo.c (1.11), "Exp", lines: +6 -6
		miranda/src/modules/userinfo/userinfo.c (1.13), "Exp", lines: +3 -3
		miranda/src/modules/useronline/useronline.c (1.4), "Exp", lines: +1 -1
		miranda/src/modules/utils/bmpfilter.c (1.9), "Exp", lines: +1 -1
		miranda/src/modules/utils/hyperlink.c (1.5), "Exp", lines: +1 -1
		miranda/src/modules/utils/openurl.c (1.5), "Exp", lines: +1 -1
		miranda/src/modules/utils/path.c (1.4), "Exp", lines: +2 -2
		miranda/src/modules/utils/utils.c (1.5), "Exp", lines: +2 -2
		miranda/src/modules/visibility/visibility.c (1.5), "Exp", lines: +3 -3

	stability improvements to the core

2005-11-10 19:50  ghazan

	Changed:
		miranda/plugins/clist/clc.c (1.15), "Exp", lines: +9 -10
		miranda/plugins/clist/clcfiledrop.c (1.5), "Exp", lines: +2 -2
		miranda/plugins/clist/clcitems.c (1.6), "Exp", lines: +8 -8
		miranda/plugins/clist/clcmsgs.c (1.7), "Exp", lines: +1 -1
		miranda/plugins/clist/clcopts.c (1.16), "Exp", lines: +138 -141
		miranda/plugins/clist/clcpaint.c (1.10), "Exp", lines: +2 -2
		miranda/plugins/clist/clcutils.c (1.13), "Exp", lines: +7 -9
		miranda/plugins/clist/clistmenus.c (1.12), "Exp", lines: +19 -19
		miranda/plugins/clist/clistmod.c (1.7), "Exp", lines: +8 -8
		miranda/plugins/clist/clistopts.c (1.10), "Exp", lines: +3 -3
		miranda/plugins/clist/clisttray.c (1.8), "Exp", lines: +11 -11
		miranda/plugins/clist/clui.c (1.13), "Exp", lines: +7 -7
		miranda/plugins/clist/cluiopts.c (1.5), "Exp", lines: +2 -2
		miranda/plugins/clist/cluiservices.c (1.6), "Exp", lines: +3 -3
		miranda/plugins/clist/contact.c (1.5), "Exp", lines: +3 -3
		miranda/plugins/clist/groups.c (1.9), "Exp", lines: +17 -20

	stability improvements to the clist_classic

2005-11-10 18:32  ghazan

	Changed:
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.44), "Exp", lines: +3 -5

	[no log message]

2005-11-10 16:44  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.122), "Exp", lines: +45 -134
		miranda/plugins/tabsrmm/formatting.cpp (1.40), "Exp", lines: +1 -4
		miranda/plugins/tabsrmm/m_avatars.h (1.6), "Exp", lines: +24 -6
		miranda/plugins/tabsrmm/msgdialog.c (1.228), "Exp", lines: +13 -64
		miranda/plugins/tabsrmm/msgdlgutils.c (1.116), "Exp", lines: +42 -43
		miranda/plugins/tabsrmm/msglog.c (1.110), "Exp", lines: +12 -17
		miranda/plugins/tabsrmm/msgs.c (1.148), "Exp", lines: +19 -2
		miranda/plugins/tabsrmm/msgs.h (1.101), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/resource.rc (1.141), "Exp", lines: +231 -513
		miranda/plugins/tabsrmm/selectcontainer.c (1.9), "Exp", lines: +11 -24
		miranda/plugins/tabsrmm/srmm.c (1.40), "Exp", lines: +15 -15
		miranda/plugins/tabsrmm/tabSRMM_8.sln (1.2), "Exp", lines: +11 -10
		miranda/plugins/tabsrmm/tabsrmm_8.vcproj (1.2), "Exp", lines: +418 -742
		miranda/plugins/tabsrmm/templates.c (1.24), "Exp", lines: +6 -21
		miranda/plugins/tabsrmm/docs/changelog.txt (1.57), "Exp", lines: +11 -0
		miranda/plugins/tabsrmm/icons/ICONSXP/ICONSXP.vcproj (1.6), "Exp", lines: +225 -97
		miranda/plugins/tabsrmm/icons/default/default.vcproj (1.6), "Exp", lines: +225 -97

	use avatar service to manage own avatars some code cleanup - use
	the db3x api more consequently for unicode stuff (container names
	etc.)

2005-11-10 02:47  i_am_matrix

	Changed:
		miranda/protocols/IRC/Docs/IRC_Translate.txt (1.5), "Exp", lines: +1 -0
		miranda/protocols/IRC/IRC.rc (1.8), "Exp", lines: +1 -1
		miranda/protocols/IRC/IRC.vcproj (1.4), "Exp", lines: +360 -639
		miranda/protocols/IRC/commandmonitor.cpp (1.12), "Exp", lines: +14 -5
		miranda/protocols/IRC/irc.h (1.9), "Exp", lines: +5 -2
		miranda/protocols/IRC/irclib.cpp (1.10), "Exp", lines: +20 -19
		miranda/protocols/IRC/irclib.h (1.5), "Exp", lines: +8 -8
		miranda/protocols/IRC/main.cpp (1.15), "Exp", lines: +3 -3
		miranda/protocols/IRC/tools.cpp (1.6), "Exp", lines: +1 -1

	Important security fix to prevent remote attacker using CTCP
	exploit to gain control of the irc client.

		Small fixes to make it compile on VS 2005

		It's not possible to compile without OpenSSl support
	anymore

2005-11-10 02:44  i_am_matrix

	Changed:
		miranda/plugins/chat/chat.h (1.10), "Exp", lines: +3 -1
		miranda/plugins/chat/chat.vcproj (1.7), "Exp", lines: +685 -389
		miranda/plugins/chat/log.c (1.7), "Exp", lines: +20 -2
		miranda/plugins/chat/main.c (1.13), "Exp", lines: +5 -5
		miranda/plugins/chat/options.c (1.10), "Exp", lines: +2 -0
		miranda/plugins/chat/services.c (1.11), "Exp", lines: +2 -1

	Added option to colour timestamps according to event Changed some
	stuff to make it work withVS 2005

2005-11-09 23:21  ghazan

	Changed:
		miranda/plugins/tabsrmm/commonheaders.h (1.11), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/srmm.c (1.39), "Exp", lines: +1 -1

	minor code cleaning

2005-11-09 23:17  ghazan

	Changed:
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.43), "Exp", lines: +339 -661

	[no log message]

2005-11-08 21:58  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.23), "Exp", lines: +11 -5

	custom status name is now unicode aware

2005-11-08 15:56  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.rc (1.14), "Exp", lines: +1 -1

	minor glitch in the options dialog

2005-11-08 01:16  ghazan

	Changed:
		miranda/plugins/srmm/msgdialog.c (1.63), "Exp", lines: +19 -19

	fix for one rare SRMM poblem (thanks Burning Shadow for a fix)

2005-11-08 01:09  ghazan

	Changed:
		miranda/plugins/chat/chat.dsp (1.10), "Exp", lines: +1 -1
		miranda/plugins/chat/chat.mak (1.5), "Exp", lines: +1 -1
		miranda/plugins/clist/clist.dsp (1.6), "Exp", lines: +2 -2
		miranda/plugins/clist/clist.mak (1.3), "Exp", lines: +174 -173
		miranda/plugins/clist/clist.vcproj (1.4), "Exp", lines: +2 -0
		miranda/plugins/db3x/db3x.vcproj (1.2), "Exp", lines: +1 -1
		miranda/plugins/dbsqlite/dbsqlite.dsp (1.2), "Exp", lines: +5 -4
		miranda/plugins/png2dib/png2dib.dsp (1.2), "Exp", lines: +1 -1
		miranda/plugins/png2dib/png2dib.mak (1.2), "Exp", lines: +1 -1
		miranda/plugins/png2dib/png2dib.vcproj (1.2), "Exp", lines: +1 -0
		miranda/plugins/srmm/srmm.vcproj (1.3), "Exp", lines: +10 -8

	minor changes in the project files

2005-11-08 01:06  ghazan

	Changed:
		miranda/src/modules/userinfo/userinfo.c (1.12), "Exp", lines: +4 -6

	fix for a crash in the User Details

2005-11-08 00:48  ghazan

	Changed:
		miranda/src/miranda32.dsp (1.10), "Exp", lines: +1 -1
		miranda/src/miranda32.mak (1.5), "Exp", lines: +5 -5
		miranda/src/miranda32.vcproj (1.6), "Exp", lines: +2 -0
		miranda/src/version.rc (1.5), "Exp", lines: +4 -4

	minor changes in the project files

2005-11-08 00:46  ghazan

	Changed:
		miranda/plugins/chat/chat.dsp (1.9), "Exp", lines: +1 -1
		miranda/plugins/chat/chat.mak (1.4), "Exp", lines: +1 -1
		miranda/plugins/chat/chat.vcproj (1.6), "Exp", lines: +2 -1
		miranda/plugins/chat/log.c (1.6), "Exp", lines: +7 -1
		miranda/plugins/chat/options.c (1.9), "Exp", lines: +1 -4

	fix for the Terminal font in the CHAT plugin

2005-11-08 00:08  nightwish2004

	Added:
		miranda/plugins/tabsrmm/tabSRMM_8.sln (1.1)
		miranda/plugins/tabsrmm/tabsrmm_8.vcproj (1.1)
	Changed:
		miranda/plugins/tabsrmm/ImageDataObject.cpp (1.6), "Exp", lines: +1 -4
		miranda/plugins/tabsrmm/commonheaders.h (1.10), "Exp", lines: +0 -3
		miranda/plugins/tabsrmm/m_avatars.h (1.5), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/msglog.c (1.109), "Exp", lines: +4 -2
		miranda/plugins/tabsrmm/docs/INSTALL (1.2), "Exp", lines: +18 -31
		miranda/plugins/tabsrmm/docs/changelog.txt (1.56), "Exp", lines: +7 -1

	added VC++ 8 project files docs cleanup

2005-11-07 20:18  ghazan

	Changed:
		miranda/src/miranda32.dsw (1.2), "Exp", lines: +5 -1
		miranda/src/modules/idle/idle.c (1.13), "Exp", lines: +78 -79
		miranda/src/modules/netlib/netliblog.c (1.15), "Exp", lines: +2 -2
		miranda/src/modules/skin/skinicons.c (1.9), "Exp", lines: +52 -47
		miranda/src/modules/srawaymsg/sendmsg.c (1.10), "Exp", lines: +4 -1

	another fixes for lang packs & translations

2005-11-06 22:32  ghazan

	Changed:
		miranda/plugins/chat/chat.h (1.9), "Exp", lines: +2 -2
		miranda/plugins/chat/chat.vcproj (1.5), "Exp", lines: +0 -1
		miranda/plugins/chat/options.c (1.8), "Exp", lines: +299 -335
		miranda/plugins/chat/window.c (1.12), "Exp", lines: +1 -1
		miranda/plugins/clist/clc.c (1.14), "Exp", lines: +1 -1
		miranda/plugins/clist/clcopts.c (1.15), "Exp", lines: +23 -21
		miranda/plugins/clist/clist.vcproj (1.3), "Exp", lines: +2 -1
		miranda/plugins/clist/clistmenus.c (1.11), "Exp", lines: +783 -756
		miranda/plugins/clist/clistopts.c (1.9), "Exp", lines: +3 -3
		miranda/plugins/clist/clistsettings.c (1.8), "Exp", lines: +8 -5
		miranda/plugins/clist/clisttray.c (1.7), "Exp", lines: +6 -6
		miranda/plugins/clist/clui.c (1.12), "Exp", lines: +4 -4
		miranda/plugins/clist/cluiopts.c (1.4), "Exp", lines: +111 -110
		miranda/plugins/srmm/msgdialog.c (1.62), "Exp", lines: +1 -1
		miranda/plugins/srmm/msglog.c (1.17), "Exp", lines: +2 -2
		miranda/plugins/srmm/msgoptions.c (1.23), "Exp", lines: +69 -70
		miranda/plugins/srmm/msgs.h (1.24), "Exp", lines: +1 -1
		miranda/plugins/srmm/srmm.vcproj (1.2), "Exp", lines: +2 -1

	fixes for Unicode options dialogs, lang packs and services

2005-11-06 22:22  ghazan

	Changed:
		miranda/include/m_clist.h (1.4), "Exp", lines: +11 -4
		miranda/include/m_langpack.h (1.6), "Exp", lines: +7 -8
		miranda/include/m_options.h (1.2), "Exp", lines: +18 -7
		miranda/include/m_skin.h (1.4), "Exp", lines: +2 -2
		miranda/protocols/MSN/msn_opts.cpp (1.30), "Exp", lines: +6 -6
		miranda/protocols/JabberG/jabber_opt.cpp (1.18), "Exp", lines: +3 -3

	fixes for Unicode options dialogs, lang packs and services

2005-11-06 22:13  ghazan

	Added:
		miranda/src/core/miranda.h (1.1)
	Changed:
		miranda/src/miranda32.dsp (1.9), "Exp", lines: +4 -0
		miranda/src/miranda32.mak (1.4), "Exp", lines: +8 -8
		miranda/src/miranda32.vcproj (1.5), "Exp", lines: +5 -1
		miranda/src/version.rc (1.4), "Exp", lines: +4 -4
		miranda/src/core/commonheaders.h (1.7), "Exp", lines: +1 -1
		miranda/src/modules/contacts/contacts.c (1.9), "Exp", lines: +42 -33
		miranda/src/modules/database/profilemanager.c (1.13), "Exp", lines: +1 -1
		miranda/src/modules/idle/idle.c (1.12), "Exp", lines: +10 -11
		miranda/src/modules/ignore/ignore.c (1.4), "Exp", lines: +12 -14
		miranda/src/modules/langpack/langpack.c (1.10), "Exp", lines: +22 -0
		miranda/src/modules/langpack/lpservices.c (1.8), "Exp", lines: +27 -33
		miranda/src/modules/netlib/netlibopts.c (1.5), "Exp", lines: +13 -11
		miranda/src/modules/options/options.c (1.8), "Exp", lines: +427 -414
		miranda/src/modules/plugins/newplugins.c (1.20), "Exp", lines: +9 -10
		miranda/src/modules/skin/skin.c (1.4), "Exp", lines: +19 -19
		miranda/src/modules/skin/sounds.c (1.10), "Exp", lines: +143 -143
		miranda/src/modules/srawaymsg/sendmsg.c (1.9), "Exp", lines: +10 -12
		miranda/src/modules/srfile/fileopts.c (1.4), "Exp", lines: +10 -11
		miranda/src/modules/userinfo/stdinfo.c (1.10), "Exp", lines: +39 -42
		miranda/src/modules/userinfo/userinfo.c (1.11), "Exp", lines: +20 -13
		miranda/src/modules/utils/utils.c (1.4), "Exp", lines: +3 -3
		miranda/src/modules/visibility/visibility.c (1.4), "Exp", lines: +10 -12

	fixes for Unicode options dialogs, lang packs and services

2005-11-06 15:08  strickz

	Changed:
		miranda/plugins/clist/clc.c (1.13), "Exp", lines: +1 -0
		miranda/plugins/clist/clcopts.c (1.14), "Exp", lines: +1 -1

	Code cleaning. Removed compiler warnings.

2005-11-06 14:55  strickz

	Changed:
		miranda/src/modules/idle/idle.c (1.11), "Exp", lines: +10 -10
		miranda/src/modules/plugins/newplugins.c (1.19), "Exp", lines: +1 -1
		miranda/src/modules/userinfo/stdinfo.c (1.9), "Exp", lines: +5 -0

	Code cleanup. Removed compiler warning.

2005-11-01 21:08  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.27), "Exp", lines: +6 -4
		miranda/protocols/JabberG/jabber_util.cpp (1.25), "Exp", lines: +7 -3

	fixes for the private messages in MUC

2005-11-01 19:48  ghazan

	Changed:
		miranda/protocols/MSN/msn_opts.cpp (1.29), "Exp", lines: +5 -4

	minor fix for the MSN options.

2005-10-31 23:01  ghazan

	Changed:
		miranda/plugins/png2dib/png2dib.c (1.2), "Exp", lines: +11 -9

	fix for the alpha channels (thanks Nightwish)

2005-10-30 21:58  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgs.c (1.147), "Exp", lines: +30 -3

	[no log message]

2005-10-30 05:11  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgs.c (1.146), "Exp", lines: +8 -6

	small dst fix

2005-10-29 21:10  ghazan

	Added:
		miranda/include/m_png.h (1.1)

	header file for the new global PNG processing service

2005-10-29 21:06  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_bitmap.cpp (1.3), "Exp", lines: +6 -12
		miranda/protocols/JabberG/jabber_iqid.cpp (1.33), "Exp", lines: +12 -6

	fixes for PNG Jabber avatars

2005-10-29 21:05  ghazan

	Changed:
		miranda/protocols/MSN/msn_bitmap.cpp (1.9), "Exp", lines: +4 -56
		miranda/protocols/MSN/msn_global.h (1.45), "Exp", lines: +0 -1
		miranda/protocols/MSN/msn_svcs.cpp (1.51), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_useropts.cpp (1.10), "Exp", lines: +2 -2

	MSN plugin adaptaion for the new PNG processing

2005-10-29 21:04  ghazan

	Changed:
		miranda/src/modules/utils/bmpfilter.c (1.8), "Exp", lines: +59 -7

	added png2dib plugin call to the standard bitmap transformation
	service

2005-10-29 21:02  ghazan

	Added:
		miranda/plugins/png2dib/m_png.h (1.1)
		miranda/plugins/png2dib/png2dib.c (1.1)
		miranda/plugins/png2dib/png2dib.def (1.1)
		miranda/plugins/png2dib/png2dib.dsp (1.1)
		miranda/plugins/png2dib/png2dib.dsw (1.1)
		miranda/plugins/png2dib/png2dib.mak (1.1)
		miranda/plugins/png2dib/png2dib.vcproj (1.1)
		miranda/plugins/png2dib/png2dib.vcproj.vspscc (1.1)
		miranda/plugins/png2dib/version.h (1.1)
		miranda/plugins/png2dib/version.rc (1.1)
		miranda/plugins/png2dib/libpng/example.c (1.1)
		miranda/plugins/png2dib/libpng/png.c (1.1)
		miranda/plugins/png2dib/libpng/png.h (1.1)
		miranda/plugins/png2dib/libpng/pngasmrd.h (1.1)
		miranda/plugins/png2dib/libpng/pngconf.h (1.1)
		miranda/plugins/png2dib/libpng/pngerror.c (1.1)
		miranda/plugins/png2dib/libpng/pnggccrd.c (1.1)
		miranda/plugins/png2dib/libpng/pngget.c (1.1)
		miranda/plugins/png2dib/libpng/pngmem.c (1.1)
		miranda/plugins/png2dib/libpng/pngpread.c (1.1)
		miranda/plugins/png2dib/libpng/pngread.c (1.1)
		miranda/plugins/png2dib/libpng/pngrio.c (1.1)
		miranda/plugins/png2dib/libpng/pngrtran.c (1.1)
		miranda/plugins/png2dib/libpng/pngrutil.c (1.1)
		miranda/plugins/png2dib/libpng/pngset.c (1.1)
		miranda/plugins/png2dib/libpng/pngtest.c (1.1)
		miranda/plugins/png2dib/libpng/pngtrans.c (1.1)
		miranda/plugins/png2dib/libpng/pngvcrd.c (1.1)
		miranda/plugins/png2dib/libpng/pngwio.c (1.1)
		miranda/plugins/png2dib/libpng/pngwrite.c (1.1)
		miranda/plugins/png2dib/libpng/pngwtran.c (1.1)
		miranda/plugins/png2dib/libpng/pngwutil.c (1.1)
		miranda/plugins/png2dib/zlib/adler32.c (1.1)
		miranda/plugins/png2dib/zlib/compress.c (1.1)
		miranda/plugins/png2dib/zlib/crc32.c (1.1)
		miranda/plugins/png2dib/zlib/crc32.h (1.1)
		miranda/plugins/png2dib/zlib/deflate.c (1.1)
		miranda/plugins/png2dib/zlib/deflate.h (1.1)
		miranda/plugins/png2dib/zlib/example.c (1.1)
		miranda/plugins/png2dib/zlib/gzio.c (1.1)
		miranda/plugins/png2dib/zlib/infback.c (1.1)
		miranda/plugins/png2dib/zlib/inffast.c (1.1)
		miranda/plugins/png2dib/zlib/inffast.h (1.1)
		miranda/plugins/png2dib/zlib/inffixed.h (1.1)
		miranda/plugins/png2dib/zlib/inflate.c (1.1)
		miranda/plugins/png2dib/zlib/inflate.h (1.1)
		miranda/plugins/png2dib/zlib/inftrees.c (1.1)
		miranda/plugins/png2dib/zlib/inftrees.h (1.1)
		miranda/plugins/png2dib/zlib/minigzip.c (1.1)
		miranda/plugins/png2dib/zlib/trees.c (1.1)
		miranda/plugins/png2dib/zlib/trees.h (1.1)
		miranda/plugins/png2dib/zlib/uncompr.c (1.1)
		miranda/plugins/png2dib/zlib/zconf.h (1.1)
		miranda/plugins/png2dib/zlib/zconf.in.h (1.1)
		miranda/plugins/png2dib/zlib/zlib.h (1.1)
		miranda/plugins/png2dib/zlib/zutil.c (1.1)
		miranda/plugins/png2dib/zlib/zutil.h (1.1)

	added png2dib to the CVS

2005-10-29 03:44  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.227), "Exp", lines: +2 -2

	typo(s) fixed

2005-10-28 20:58  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.rc (1.13), "Exp", lines: +15 -7
		miranda/protocols/JabberG/jabber_iqid.cpp (1.32), "Exp", lines: +5 -2
		miranda/protocols/JabberG/jabber_opt.cpp (1.17), "Exp", lines: +17 -15
		miranda/protocols/JabberG/jabber_svc.cpp (1.39), "Exp", lines: +5 -2
		miranda/protocols/JabberG/jabber_thread.cpp (1.41), "Exp", lines: +6 -3
		miranda/protocols/JabberG/jabber_util.cpp (1.24), "Exp", lines: +5 -3
		miranda/protocols/JabberG/resource.h (1.7), "Exp", lines: +4 -3

	added three options: Enable Avatars, Auto Join MUCs & AutoAccept
	Invitations

2005-10-28 17:01  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.22), "Exp", lines: +3 -3
		miranda/protocols/Gadu-Gadu/dialogs.c (1.13), "Exp", lines: +2 -2
		miranda/protocols/Gadu-Gadu/gg.c (1.15), "Exp", lines: +55 -25
		miranda/protocols/Gadu-Gadu/gg.h (1.14), "Exp", lines: +35 -21
		miranda/protocols/Gadu-Gadu/groupchat.c (1.10), "Exp", lines: +8 -7
		miranda/protocols/Gadu-Gadu/image.cpp (1.10), "Exp", lines: +73 -13
		miranda/protocols/Gadu-Gadu/import.c (1.6), "Exp", lines: +2 -2
		miranda/protocols/Gadu-Gadu/keepalive.c (1.3), "Exp", lines: +2 -2
		miranda/protocols/Gadu-Gadu/services.c (1.10), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/userutils.c (1.5), "Exp", lines: +3 -3
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.23), "Exp", lines: +2 -1

	Code formatting, image windows no longer hang miranda on exit

2005-10-27 18:26  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.21), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.22), "Exp", lines: +1 -0

	Fix: Descriptions beginning with new line were not shown

2005-10-27 18:22  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.20), "Exp", lines: +34 -28
		miranda/protocols/Gadu-Gadu/gg.h (1.13), "Exp", lines: +13 -0
		miranda/protocols/Gadu-Gadu/groupchat.c (1.9), "Exp", lines: +52 -55
		miranda/protocols/Gadu-Gadu/image.cpp (1.9), "Exp", lines: +71 -5
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.21), "Exp", lines: +4 -2

	Image scaling, groupchat fix

2005-10-27 12:27  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/MAKEFILE.ANSI (1.8), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/MAKEFILE.W32 (1.23), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/msgdlgutils.c (1.115), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgs.h (1.100), "Exp", lines: +6 -0

	fixed mingw32 build

2005-10-26 23:51  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.cpp (1.21), "Exp", lines: +7 -2
		miranda/protocols/JabberG/jabber.h (1.31), "Exp", lines: +34 -5
		miranda/protocols/JabberG/jabber_agent.cpp (1.11), "Exp", lines: +5 -5
		miranda/protocols/JabberG/jabber_byte.cpp (1.12), "Exp", lines: +4 -4
		miranda/protocols/JabberG/jabber_chat.cpp (1.26), "Exp", lines: +12 -12
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.35), "Exp", lines: +4 -4
		miranda/protocols/JabberG/jabber_iqid.cpp (1.31), "Exp", lines: +4 -4
		miranda/protocols/JabberG/jabber_iqid_muc.cpp (1.12), "Exp", lines: +4 -4
		miranda/protocols/JabberG/jabber_list.h (1.9), "Exp", lines: +4 -4
		miranda/protocols/JabberG/jabber_misc.cpp (1.21), "Exp", lines: +15 -6
		miranda/protocols/JabberG/jabber_svc.cpp (1.38), "Exp", lines: +18 -15
		miranda/protocols/JabberG/jabber_thread.cpp (1.40), "Exp", lines: +7 -7
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.44), "Exp", lines: +1 -0

	[!] bugfix for contacts renaming

2005-10-26 20:20  ono

	Changed:
		miranda/protocols/Gadu-Gadu/gg.h (1.12), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.20), "Exp", lines: +1 -0

	Disable SSL by default

2005-10-26 19:51  ono

	Changed:
		miranda/protocols/Gadu-Gadu/libgadu/win32/sys/socket.h (1.5), "Exp", lines: +7 -6

	Socket broken by previous commit

2005-10-26 19:33  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.19), "Exp", lines: +87 -69
		miranda/protocols/Gadu-Gadu/dialogs.c (1.12), "Exp", lines: +19 -5
		miranda/protocols/Gadu-Gadu/gg.c (1.14), "Exp", lines: +27 -3
		miranda/protocols/Gadu-Gadu/gg.h (1.11), "Exp", lines: +7 -4
		miranda/protocols/Gadu-Gadu/groupchat.c (1.8), "Exp", lines: +6 -6
		miranda/protocols/Gadu-Gadu/image.cpp (1.8), "Exp", lines: +11 -10
		miranda/protocols/Gadu-Gadu/pthread.c (1.4), "Exp", lines: +63 -20
		miranda/protocols/Gadu-Gadu/pthread.h (1.2), "Exp", lines: +14 -4
		miranda/protocols/Gadu-Gadu/resource.h (1.5), "Exp", lines: +12 -11
		miranda/protocols/Gadu-Gadu/resource.rc (1.5), "Exp", lines: +2 -1
		miranda/protocols/Gadu-Gadu/services.c (1.9), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.19), "Exp", lines: +6 -0
		miranda/protocols/Gadu-Gadu/docs/gg-translation-sample.txt (1.6), "Exp", lines: +12 -7
		miranda/protocols/Gadu-Gadu/libgadu/events.c (1.7), "Exp", lines: +2 -8
		miranda/protocols/Gadu-Gadu/libgadu/win32/sys/socket.h (1.4), "Exp", lines: +10 -6

	Image reception fix, image reception triggering, junk entries
	removal

2005-10-26 00:21  ghazan

	Changed:
		miranda/src/modules/addcontact/addcontact.c (1.7), "Exp", lines: +2 -2

	fix for the russian group names in the contact addition dialog

2005-10-25 19:54  ono

	Changed:
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.18), "Exp", lines: +1 -2

	Update TODO

2005-10-25 02:18  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.cpp (1.20), "Exp", lines: +6 -4
		miranda/protocols/JabberG/jabber.vcproj (1.14), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_chat.cpp (1.25), "Exp", lines: +23 -3
		miranda/protocols/JabberG/jabber_misc.cpp (1.20), "Exp", lines: +6 -22

	private messages in groupchats - first version

2005-10-25 00:38  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_thread.cpp (1.39), "Exp", lines: +5 -7
		miranda/protocols/JabberG/jabber_userinfo.cpp (1.13), "Exp", lines: +4 -4

	minor code cleaning

2005-10-25 00:18  ghazan

	Changed:
		miranda/protocols/MSN/msn.rc (1.9), "Exp", lines: +63 -20
		miranda/protocols/MSN/msn.vcproj (1.9), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_bitmap.cpp (1.8), "Exp", lines: +56 -50
		miranda/protocols/MSN/msn_global.h (1.44), "Exp", lines: +20 -20
		miranda/protocols/MSN/msn_opts.cpp (1.28), "Exp", lines: +1 -103
		miranda/protocols/MSN/msn_svcs.cpp (1.50), "Exp", lines: +3 -4
		miranda/protocols/MSN/msn_useropts.cpp (1.9), "Exp", lines: +111 -16
		miranda/protocols/MSN/resource.h (1.14), "Exp", lines: +3 -1
		miranda/protocols/MSN/Docs/history-msn.txt (1.46), "Exp", lines: +1 -0

	[*] avatar setting dialog was moved to View/Change User Details
	section

2005-10-24 08:35  snaphat

	Changed:
		miranda/protocols/AimTOC2/version.c (1.9), "Exp", lines: +1 -1

	Updated for version 1.4.2.2

2005-10-24 08:35  snaphat

	Changed:
		miranda/protocols/AimTOC2/docs/toc2-readme.txt (1.8), "Exp", lines: +14 -0

	-Added new question and answers and updates for 1.4.2.2

2005-10-24 08:34  snaphat

	Changed:
		miranda/protocols/AimTOC2/userinfo.c (1.3), "Exp", lines: +1 -1
		miranda/protocols/AimTOC2/utils.c (1.5), "Exp", lines: +57 -0
		miranda/protocols/AimTOC2/utils.h (1.3), "Exp", lines: +1 -0

	-Added html support in profiles

2005-10-24 08:31  snaphat

	Changed:
		miranda/protocols/AimTOC2/services.c (1.5), "Exp", lines: +18 -2

	-Added new mainmenu command to call the removal all buddies
	function

2005-10-24 08:30  snaphat

	Changed:
		miranda/protocols/AimTOC2/buddies.c (1.6), "Exp", lines: +24 -1
		miranda/protocols/AimTOC2/buddies.h (1.2), "Exp", lines: +1 -1

	-Added function to remove all miranda-aim buddies from the list.

2005-10-24 08:29  snaphat

	Changed:
		miranda/protocols/AimTOC2/aim.c (1.2), "Exp", lines: +1 -1

	- Added deletion the old PluginDisable database setting.

2005-10-24 03:15  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/commonheaders.h (1.9), "Exp", lines: +7 -0
		miranda/plugins/tabsrmm/msgdlgutils.c (1.114), "Exp", lines: +32 -29
		miranda/plugins/tabsrmm/srmm.c (1.38), "Exp", lines: +6 -0

	fix: memory leak (thx ghazan)

2005-10-24 01:37  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.34), "Exp", lines: +4 -4
		miranda/protocols/JabberG/jabber_svc.cpp (1.37), "Exp", lines: +10 -9
		miranda/protocols/JabberG/jabber_thread.cpp (1.38), "Exp", lines: +6 -6

	fix for status messages in Russian

2005-10-23 22:55  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_agent.cpp (1.10), "Exp", lines: +5 -1
		miranda/protocols/JabberG/jabber_bitmap.cpp (1.2), "Exp", lines: +5 -1
		miranda/protocols/JabberG/jabber_byte.cpp (1.11), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_byte.h (1.4), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_chat.cpp (1.24), "Exp", lines: +28 -23
		miranda/protocols/JabberG/jabber_file.cpp (1.13), "Exp", lines: +9 -4
		miranda/protocols/JabberG/jabber_form.cpp (1.5), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_ft.cpp (1.11), "Exp", lines: +6 -1
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.33), "Exp", lines: +10 -5
		miranda/protocols/JabberG/jabber_iq.cpp (1.5), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_iq.h (1.6), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_iqid.cpp (1.30), "Exp", lines: +13 -8
		miranda/protocols/JabberG/jabber_iqid_muc.cpp (1.11), "Exp", lines: +8 -3
		miranda/protocols/JabberG/jabber_libstr.cpp (1.3), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_list.cpp (1.15), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_list.h (1.8), "Exp", lines: +7 -2
		miranda/protocols/JabberG/jabber_menu.cpp (1.14), "Exp", lines: +7 -2
		miranda/protocols/JabberG/jabber_misc.cpp (1.19), "Exp", lines: +17 -12
		miranda/protocols/JabberG/jabber_opt.cpp (1.16), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_password.cpp (1.6), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_proxy.cpp (1.5), "Exp", lines: +6 -1
		miranda/protocols/JabberG/jabber_proxy.h (1.3), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_ssl.cpp (1.4), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_ssl.h (1.3), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_std.cpp (1.7), "Exp", lines: +7 -1
		miranda/protocols/JabberG/jabber_svc.cpp (1.36), "Exp", lines: +21 -16
		miranda/protocols/JabberG/jabber_thread.cpp (1.37), "Exp", lines: +18 -13
		miranda/protocols/JabberG/jabber_userinfo.cpp (1.12), "Exp", lines: +6 -1
		miranda/protocols/JabberG/jabber_util.cpp (1.23), "Exp", lines: +11 -6
		miranda/protocols/JabberG/jabber_vcard.cpp (1.13), "Exp", lines: +8 -3
		miranda/protocols/JabberG/jabber_ws.cpp (1.9), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_xml.cpp (1.7), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_xml.h (1.6), "Exp", lines: +6 -1
		miranda/protocols/JabberG/jabber_xmlns.cpp (1.8), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_xmlns.h (1.3), "Exp", lines: +5 -0
		miranda/protocols/JabberG/sha1.cpp (1.4), "Exp", lines: +5 -0
		miranda/protocols/JabberG/sha1.h (1.3), "Exp", lines: +5 -0

	added revisions to all source files

2005-10-23 22:50  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.cpp (1.19), "Exp", lines: +8 -3

	[no log message]

2005-10-23 22:49  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_iqid.cpp (1.29), "Exp", lines: +4 -1
		miranda/protocols/JabberG/jabber_userinfo.cpp (1.11), "Exp", lines: +7 -8

	minor fixes for jabber GUI

2005-10-23 16:07  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/formatting.cpp (1.39), "Exp", lines: +17 -9
		miranda/plugins/tabsrmm/msgoptions.c (1.121), "Exp", lines: +12 -5
		miranda/plugins/tabsrmm/msgs.c (1.145), "Exp", lines: +7 -1
		miranda/plugins/tabsrmm/tabctrl.c (1.30), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/userprefs.c (1.11), "Exp", lines: +13 -7

	xstatus - unicode fix

2005-10-23 01:21  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.30), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_chat.cpp (1.23), "Exp", lines: +13 -9
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.43), "Exp", lines: +4 -0
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.32), "Exp", lines: +10 -13
		miranda/protocols/JabberG/version.h (1.9), "Exp", lines: +3 -3

	[+] wish #0001541: Conferences: show kick/ban msgs

2005-10-22 23:15  ghazan

	Changed:
		miranda/src/core/miranda.c (1.15), "Exp", lines: +0 -3
		miranda/src/modules/database/database.c (1.15), "Exp", lines: +0 -4

	removed the unused UnloadDatabaseModule function

2005-10-21 20:00  ghazan

	Changed:
		miranda/protocols/IRC/IRC.dsp (1.9), "Exp", lines: +8 -8
		miranda/protocols/IRC/IRC.mak (1.4), "Exp", lines: +6 -9

	fix for the project files

2005-10-21 15:52  ghazan

	Changed:
		miranda/protocols/MSN/msn_p2p.cpp (1.40), "Exp", lines: +2 -0
		miranda/protocols/MSN/Docs/history-msn.txt (1.45), "Exp", lines: +1 -0

	[!] bug 0001468 fixed: MSN 7.5 users cannot load Miranda users
	avatar.

2005-10-21 13:17  ghazan

	Changed:
		miranda/plugins/chat/manager.c (1.6), "Exp", lines: +5 -3

	fix for the rarely occurred GPF

2005-10-21 13:10  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.22), "Exp", lines: +9 -9
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.31), "Exp", lines: +8 -6

	minor fixes for the groupchat window

2005-10-21 02:46  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.121), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/msgs.c (1.144), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/docs/changelog.txt (1.55), "Exp", lines: +4 -1

	border clipping/rounding fix for visual styles

2005-10-20 11:01  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/formatting.cpp (1.38), "Exp", lines: +10 -3
		miranda/plugins/tabsrmm/msgdialog.c (1.226), "Exp", lines: +25 -17
		miranda/plugins/tabsrmm/msgdlgutils.c (1.113), "Exp", lines: +13 -2

	fix for xstatus names in utf8

2005-10-20 01:23  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.rc (1.12), "Exp", lines: +4 -4
		miranda/protocols/JabberG/jabber_svc.cpp (1.35), "Exp", lines: +9 -4
		miranda/protocols/JabberG/jabber_thread.cpp (1.36), "Exp", lines: +9 -2
		miranda/protocols/JabberG/jabber_userinfo.cpp (1.10), "Exp", lines: +2 -2

	some minor improvements to the avatars

2005-10-20 01:02  ghazan

	Changed:
		miranda/plugins/srmm/msgdialog.c (1.61), "Exp", lines: +4 -3

	fix for the invalid ACKTYPE_AVATAR processing

2005-10-19 22:39  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_agent.cpp (1.9), "Exp", lines: +5 -2

	fixes for the <instructions> field in the agent registration form

2005-10-19 13:13  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_vcard.cpp (1.12), "Exp", lines: +4 -3

	fix for CRLF's in vcard notes

2005-10-19 13:12  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_iqid.cpp (1.28), "Exp", lines: +2 -0

	allows mToolTip to view Jabber avatars

2005-10-18 23:39  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_iqid.cpp (1.27), "Exp", lines: +1 -1

	fix for the "STREET" vcard field

2005-10-18 11:55  ghazan

	Added:
		miranda/protocols/JabberG/jabber_bitmap.cpp (1.1)

	[no log message]

2005-10-17 23:17  ghazan

	Changed:
		miranda-tools/dbtool/dbtool.dsp (1.11), "Exp", lines: +7 -7
		miranda/plugins/chat/chat.vcproj (1.4), "Exp", lines: +77 -250

	update for the project files

2005-10-17 23:15  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.cpp (1.18), "Exp", lines: +21 -11
		miranda/protocols/JabberG/jabber.dsp (1.12), "Exp", lines: +4 -0
		miranda/protocols/JabberG/jabber.h (1.29), "Exp", lines: +6 -0
		miranda/protocols/JabberG/jabber.mak (1.9), "Exp", lines: +59 -71
		miranda/protocols/JabberG/jabber.rc (1.11), "Exp", lines: +22 -0
		miranda/protocols/JabberG/jabber.vcproj (1.13), "Exp", lines: +3 -0
		miranda/protocols/JabberG/jabber_iqid.cpp (1.26), "Exp", lines: +18 -13
		miranda/protocols/JabberG/jabber_misc.cpp (1.18), "Exp", lines: +9 -9
		miranda/protocols/JabberG/jabber_opt.cpp (1.15), "Exp", lines: +107 -102
		miranda/protocols/JabberG/jabber_thread.cpp (1.35), "Exp", lines: +102 -46
		miranda/protocols/JabberG/jabber_userinfo.cpp (1.9), "Exp", lines: +171 -37
		miranda/protocols/JabberG/jabber_util.cpp (1.22), "Exp", lines: +40 -15
		miranda/protocols/JabberG/resource.h (1.6), "Exp", lines: +6 -0
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.42), "Exp", lines: +1 -0

	[+] added avatar support

2005-10-17 22:25  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.43), "Exp", lines: +4 -3
		miranda/protocols/Yahoo/yahoo.c (1.56), "Exp", lines: +3 -3

	Don't remove the avatar file from the file system. MetaContacts
	somehow retains the old filename until new one is updated. Might
	need to check that issue separately.

2005-10-17 19:55  ghazan

	Changed:
		miranda/plugins/srmm/msglog.c (1.16), "Exp", lines: +1 -1
		miranda/plugins/srmm/msgoptions.c (1.22), "Exp", lines: +2 -2

	some minor fixes for the translations in contact list options

2005-10-17 18:32  ghazan

	Changed:
		miranda/plugins/clist/clcopts.c (1.13), "Exp", lines: +15 -7
		miranda/plugins/clist/clistmod.c (1.6), "Exp", lines: +3 -4
		miranda/plugins/clist/clistopts.c (1.8), "Exp", lines: +1 -1
		miranda/plugins/clist/clistsettings.c (1.7), "Exp", lines: +0 -2
		miranda/plugins/clist/groups.c (1.8), "Exp", lines: +1 -1
		miranda/plugins/clist/init.c (1.15), "Exp", lines: +1 -1

	some minor fixes for the translations in contact list options

2005-10-17 11:33  ghazan

	Changed:
		miranda/protocols/MSN/msn_useropts.cpp (1.8), "Exp", lines: +3 -2

	fix for the global setttings dialog

2005-10-17 11:12  ghazan

	Changed:
		miranda/include/m_clist.h (1.3), "Exp", lines: +6 -0

	status away messages Unicode

2005-10-17 08:06  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.120), "Exp", lines: +16 -3
		miranda/plugins/tabsrmm/m_avatars.h (1.4), "Exp", lines: +66 -1
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.108), "Exp", lines: +2 -0
		miranda/plugins/tabsrmm/msgoptions.c (1.120), "Exp", lines: +21 -1
		miranda/plugins/tabsrmm/resource.h (1.105), "Exp", lines: +4 -0
		miranda/plugins/tabsrmm/resource.rc (1.140), "Exp", lines: +10 -2

	[no log message]

2005-10-16 23:03  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.10), "Exp", lines: +22 -11
		miranda/protocols/IcqOscarJ/icq_xtraz.h (1.3), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/init.c (1.31), "Exp", lines: +4 -5

	fixed xstatus icons were broken if custom status sub-menu was in
	status menu

2005-10-16 02:05  ghazan

	Changed:
		miranda/src/modules/addcontact/addcontact.c (1.6), "Exp", lines: +31 -23
		miranda/src/modules/database/profilemanager.c (1.12), "Exp", lines: +8 -8
		miranda/src/modules/findadd/findadd.c (1.8), "Exp", lines: +23 -12
		miranda/src/modules/findadd/searchresults.c (1.7), "Exp", lines: +21 -17
		miranda/src/modules/help/about.c (1.5), "Exp", lines: +2 -2
		miranda/src/modules/history/history.c (1.8), "Exp", lines: +1 -1
		miranda/src/modules/netlib/netlibopts.c (1.4), "Exp", lines: +6 -6
		miranda/src/modules/plugins/newplugins.c (1.18), "Exp", lines: +3 -3
		miranda/src/modules/skin/skinicons.c (1.8), "Exp", lines: +2 -2
		miranda/src/modules/skin/sounds.c (1.9), "Exp", lines: +1 -1
		miranda/src/modules/srauth/authdialogs.c (1.3), "Exp", lines: +2 -2
		miranda/src/modules/srawaymsg/awaymsg.c (1.6), "Exp", lines: +1 -1
		miranda/src/modules/srawaymsg/sendmsg.c (1.8), "Exp", lines: +1 -1
		miranda/src/modules/sremail/email.c (1.4), "Exp", lines: +1 -1
		miranda/src/modules/srfile/file.c (1.5), "Exp", lines: +5 -5
		miranda/src/modules/srfile/file.h (1.3), "Exp", lines: +1 -1
		miranda/src/modules/srfile/fileexistsdlg.c (1.4), "Exp", lines: +5 -5
		miranda/src/modules/srfile/filesenddlg.c (1.9), "Exp", lines: +11 -11
		miranda/src/modules/srfile/filexferdlg.c (1.7), "Exp", lines: +47 -47
		miranda/src/modules/srurl/urldialogs.c (1.7), "Exp", lines: +14 -13
		miranda/src/modules/userinfo/stdinfo.c (1.8), "Exp", lines: +1 -3
		miranda/src/modules/userinfo/userinfo.c (1.10), "Exp", lines: +1 -1

	replacements of Translate to TranslateW when possible

2005-10-16 00:58  ghazan

	Changed:
		miranda/include/m_langpack.h (1.5), "Exp", lines: +2 -0

	new macro for Unicode translations

2005-10-16 00:00  ghazan

	Changed:
		miranda/plugins/help/datastore.cpp (1.2), "Exp", lines: +16 -14
		miranda/plugins/help/dlgboxsubclass.cpp (1.2), "Exp", lines: +6 -4
		miranda/plugins/help/help.dsp (1.2), "Exp", lines: +43 -58
		miranda/plugins/help/help.h (1.2), "Exp", lines: +1 -1
		miranda/plugins/help/helpdlg.cpp (1.2), "Exp", lines: +21 -19
		miranda/plugins/help/main.cpp (1.2), "Exp", lines: +10 -2
		miranda/plugins/help/options.cpp (1.2), "Exp", lines: +15 -14
		miranda/plugins/help/streaminout.cpp (1.2), "Exp", lines: +13 -12
		miranda/plugins/help/utils.cpp (1.2), "Exp", lines: +16 -13

	fixes for importand bug with Unicode

2005-10-15 11:23  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdlgutils.c (1.112), "Exp", lines: +28 -21
		miranda/plugins/tabsrmm/msgs.c (1.143), "Exp", lines: +1 -4
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.42), "Exp", lines: +14 -17

	transparent PNG support w/o GDI+ added

2005-10-14 22:06  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_direct.c (1.16), "Exp", lines: +9 -4
		miranda/protocols/IcqOscarJ/icq_server.c (1.24), "Exp", lines: +5 -2

	fixed do not leak cookie fixed close DC connections when going
	offline

2005-10-14 22:05  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/globals.h (1.6), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.9), "Exp", lines: +52 -40
		miranda/protocols/IcqOscarJ/init.c (1.30), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/utilities.c (1.36), "Exp", lines: +59 -2
		miranda/protocols/IcqOscarJ/utilities.h (1.19), "Exp", lines: +6 -2

	XStatuses are now fully unicode aware on NT systems

2005-10-14 02:53  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_constants.h (1.22), "Exp", lines: +6 -6
		miranda/protocols/IcqOscarJ/icq_direct.c (1.15), "Exp", lines: +189 -78
		miranda/protocols/IcqOscarJ/icq_direct.h (1.7), "Exp", lines: +14 -6
		miranda/protocols/IcqOscarJ/icq_filetransfer.c (1.11), "Exp", lines: +11 -12
		miranda/protocols/IcqOscarJ/resources.rc (1.21), "Exp", lines: +2 -2
		miranda/protocols/IcqOscarJ/stdpackets.c (1.26), "Exp", lines: +45 -8
		miranda/protocols/IcqOscarJ/stdpackets.h (1.12), "Exp", lines: +4 -2

	finished reverse DC support (reverse FT now really possible)

2005-10-14 02:52  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.8), "Exp", lines: +29 -10
		miranda/protocols/IcqOscarJ/init.c (1.29), "Exp", lines: +5 -3
		miranda/protocols/IcqOscarJ/m_cluiframes.h (1.3), "Exp", lines: +10 -0

	add custom statuses sub-menu to status menu if possible (patch by
	nullbie)

2005-10-14 02:45  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.29), "Exp", lines: +20 -9
		miranda/protocols/IcqOscarJ/fam_0alookup.c (1.3), "Exp", lines: +3 -2
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.40), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/fam_15icqserver.c (1.15), "Exp", lines: +3 -2
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.34), "Exp", lines: +62 -38
		miranda/protocols/IcqOscarJ/m_icq.h (1.7), "Exp", lines: +3 -2

	ability to receive contacts messages with AIM contacts

2005-10-14 02:39  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_clients.c (1.3), "Exp", lines: +31 -8

	added detection of localised icq5 versions; kxicq2 signature

2005-10-14 02:38  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icqoscar.h (1.9), "Exp", lines: +5 -5

	fix to compile on Linux (patch by Peter Lemenkov)

2005-10-14 02:36  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/askauthentication.c (1.7), "Exp", lines: +13 -12

	code cleaning

2005-10-14 01:10  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_svc.cpp (1.34), "Exp", lines: +1 -1

	fix for the very rare renaming issue

2005-10-14 00:02  ghazan

	Changed:
		miranda/plugins/clist/clc.c (1.12), "Exp", lines: +1 -1
		miranda/plugins/clist/clist.mak (1.2), "Exp", lines: +183 -170

	fix for the Unicode locator in the contact list

2005-10-12 23:22  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.55), "Exp", lines: +29 -6

	Adding some fixes to catch aborted file transfers. This should very
	rarely happen. Also adding fixes to avatar loading. It now also
	checks not just the checksum but the file to exist before deciding
	if we need to load the avatar file.

2005-10-12 23:18  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.42), "Exp", lines: +9 -2

	Adding some more debug strings.. Used when network log is enabled.

2005-10-12 23:16  gena01

	Changed:
		miranda/protocols/Yahoo/server.c (1.11), "Exp", lines: +6 -3

	Adding a safety check and error bail out when receiving data.

2005-10-12 01:22  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.28), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber_iq.h (1.5), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber_iqid.cpp (1.25), "Exp", lines: +74 -0
		miranda/protocols/JabberG/jabber_misc.cpp (1.17), "Exp", lines: +36 -0
		miranda/protocols/JabberG/jabber_svc.cpp (1.33), "Exp", lines: +51 -9
		miranda/protocols/JabberG/jabber_thread.cpp (1.34), "Exp", lines: +127 -117

	added ability to read JEP8/JEP84 avatars

2005-10-11 23:53  ghazan

	Changed:
		miranda/protocols/MSN/msn_global.h (1.43), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_misc.cpp (1.39), "Exp", lines: +15 -26

	discarded the code for the old MSN avatars file names

2005-10-11 01:22  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgoptions.c (1.119), "Exp", lines: +2 -2

	[no log message]

2005-10-11 00:28  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.27), "Exp", lines: +9 -1
		miranda/protocols/JabberG/jabber_file.cpp (1.12), "Exp", lines: +77 -13
		miranda/protocols/JabberG/jabber_ft.cpp (1.10), "Exp", lines: +9 -22
		miranda/protocols/JabberG/jabber_svc.cpp (1.32), "Exp", lines: +31 -2
		miranda/protocols/JabberG/jabber_thread.cpp (1.33), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber_vcard.cpp (1.11), "Exp", lines: +0 -4

	code cleaning

2005-10-09 14:25  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.21), "Exp", lines: +20 -13
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.30), "Exp", lines: +2 -4
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.41), "Exp", lines: +1 -0

	[+] wish #0001356: Don't show 'user joined' events when first
	joining a MUC

2005-10-09 12:42  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.26), "Exp", lines: +13 -21
		miranda/protocols/JabberG/jabber_chat.cpp (1.20), "Exp", lines: +2 -4
		miranda/protocols/JabberG/jabber_file.cpp (1.11), "Exp", lines: +97 -116
		miranda/protocols/JabberG/jabber_ft.cpp (1.9), "Exp", lines: +61 -90
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.29), "Exp", lines: +5 -1
		miranda/protocols/JabberG/jabber_iqid.cpp (1.24), "Exp", lines: +15 -23
		miranda/protocols/JabberG/jabber_list.cpp (1.14), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_list.h (1.7), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_menu.cpp (1.13), "Exp", lines: +7 -4
		miranda/protocols/JabberG/jabber_misc.cpp (1.16), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_svc.cpp (1.31), "Exp", lines: +68 -73
		miranda/protocols/JabberG/jabber_thread.cpp (1.32), "Exp", lines: +18 -21

	code cleaning

2005-10-07 23:58  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.19), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_menu.cpp (1.12), "Exp", lines: +1 -0
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.40), "Exp", lines: +1 -0

	[+] wish #0001319: Conference nicknames should be stored & reused

2005-10-07 23:16  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_thread.cpp (1.31), "Exp", lines: +0 -1

	fix for displaying resources for offline contacts

2005-10-07 21:02  ghazan

	Changed:
		miranda/protocols/MSN/Docs/history-msn.txt (1.44), "Exp", lines: +1 -0
		miranda/protocols/MSN/msn.cpp (1.33), "Exp", lines: +3 -3
		miranda/protocols/MSN/msn.mak (1.10), "Exp", lines: +63 -64
		miranda/protocols/MSN/msn_commands.cpp (1.73), "Exp", lines: +1 -12
		miranda/protocols/MSN/msn_global.h (1.42), "Exp", lines: +0 -1
		miranda/protocols/MSN/msn_ssl.cpp (1.18), "Exp", lines: +58 -25
		miranda/protocols/MSN/msn_threads.cpp (1.33), "Exp", lines: +21 -8

	[!] bug 0001427 fixed: Error 540 during login on slow connections

2005-10-07 01:03  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_misc.cpp (1.15), "Exp", lines: +1 -1

	[no log message]

2005-10-06 22:20  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_misc.cpp (1.14), "Exp", lines: +3 -0
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.39), "Exp", lines: +5 -4

	[!] bug #0001362 fixed: Ctrl-1 while Connecting always makes status
	Online

2005-10-06 03:56  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/docs/changelog.txt (1.54), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/msgs.c (1.142), "Exp", lines: +3 -3

	hook ME_DB_EVENT_ADDED later in the chain (moved to modulesLoaded()

2005-10-06 01:09  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_thread.cpp (1.30), "Exp", lines: +52 -1
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.38), "Exp", lines: +1 -0

	[+] wish #0001508: Support for _xmpp-client._tcp SRV DNS records
	(thanks yb for a patch)

2005-10-05 11:19  ghazan

	Changed:
		miranda/protocols/IRC/IRC.dsp (1.8), "Exp", lines: +6 -6
		miranda/protocols/IRC/IRC.mak (1.3), "Exp", lines: +8 -8
		miranda/protocols/IRC/irc.h (1.8), "Exp", lines: +20 -20

	minor fixes for the IRC project files

2005-10-05 01:31  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.rc (1.10), "Exp", lines: +3 -1
		miranda/protocols/JabberG/jabber_opt.cpp (1.14), "Exp", lines: +9 -3
		miranda/protocols/JabberG/jabber_thread.cpp (1.29), "Exp", lines: +53 -0
		miranda/protocols/JabberG/resource.h (1.5), "Exp", lines: +1 -0
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.37), "Exp", lines: +2 -1

	[+] wish #0001252: Add support for TLS (thanks yb for a patch)

2005-10-05 00:02  i_am_matrix

	Changed:
		miranda/plugins/chat/manager.c (1.5), "Exp", lines: +5 -3

	Nicklist did not update sometimes  after someone parted. Noticeable
	on w98 only afaik.

2005-10-04 23:13  ghazan

	Changed:
		miranda/plugins/chat/chat.dsp (1.8), "Exp", lines: +5 -6
		miranda/plugins/chat/chat.mak (1.3), "Exp", lines: +5 -5

	update for the project files

2005-10-04 01:03  ghazan

	Changed:
		miranda/src/version.rc (1.3), "Exp", lines: +1 -1

	code cleaning

2005-10-04 00:57  ghazan

	Changed:
		miranda/src/modules/langpack/lpservices.c (1.7), "Exp", lines: +23 -18

	important fix for TranslateW

2005-10-03 23:03  ghazan

	Changed:
		miranda/src/modules/langpack/langpack.c (1.9), "Exp", lines: +48 -13

	important fix for TranslateW

2005-10-03 16:59  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.225), "Exp", lines: +17 -5
		miranda/plugins/tabsrmm/msgdlgutils.c (1.111), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/docs/changelog.txt (1.53), "Exp", lines: +3 -0

	fix: ignore formatting messages with curly braces (rtf syntax
	special chars)

2005-10-02 23:55  ghazan

	Changed:
		miranda/plugins/chat/chat.dsp (1.7), "Exp", lines: +3 -3
		miranda/plugins/chat/chat.mak (1.2), "Exp", lines: +10 -10

	code cleaning

2005-10-02 23:21  ghazan

	Changed:
		miranda/src/miranda32.vcproj (1.4), "Exp", lines: +0 -7
		miranda/src/version.rc (1.2), "Exp", lines: +3 -3
		miranda/src/modules/history/history.c (1.7), "Exp", lines: +8 -4

	fix for the history & Unicode

2005-10-02 23:08  ghazan

	Added:
		miranda/protocols/MSN/msn_ftold.cpp (1.1)
	Changed:
		miranda/protocols/MSN/msn.dsp (1.13), "Exp", lines: +4 -0
		miranda/protocols/MSN/msn.mak (1.9), "Exp", lines: +25 -3
		miranda/protocols/MSN/msn.vcproj (1.8), "Exp", lines: +3 -0
		miranda/protocols/MSN/msn_commands.cpp (1.72), "Exp", lines: +1 -52
		miranda/protocols/MSN/msn_global.h (1.41), "Exp", lines: +2 -0
		miranda/protocols/MSN/msn_threads.cpp (1.32), "Exp", lines: +2 -275
		miranda/protocols/MSN/Docs/history-msn.txt (1.43), "Exp", lines: +1 -0

	[!] fix for the old MSN file transfers: a received file cannot be
	opened

2005-10-02 22:51  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.18), "Exp", lines: +6 -2
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.36), "Exp", lines: +1 -0

	[!] bug #0001482 fixed: Conferences: role changes aren't shown

2005-10-02 22:18  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.25), "Exp", lines: +0 -19
		miranda/protocols/JabberG/jabber_chat.cpp (1.17), "Exp", lines: +11 -12
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.28), "Exp", lines: +16 -10
		miranda/protocols/JabberG/jabber_list.cpp (1.13), "Exp", lines: +27 -86
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.35), "Exp", lines: +2 -0

	[!] bug #0001485 fixed: Conferences: toggle voice/toggle moderator
	commands [!] bug #0001481 fixed: Conferences: moderator
	controls/list management

2005-10-02 15:55  ghazan

	Changed:
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.34), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber_menu.cpp (1.11), "Exp", lines: +2 -2

	bugfix 0001490: Options about subscriptions/authorisation are not
	showing up when type of subcr is "none" for a contact

2005-09-30 21:56  i_am_matrix

	Changed:
		miranda/protocols/IRC/irc.h (1.7), "Exp", lines: +1 -1

	[no log message]

2005-09-30 21:29  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.119), "Exp", lines: +3 -3

	[no log message]

2005-09-30 04:40  snaphat

	Changed:
		miranda/protocols/AimTOC2/version.c (1.8), "Exp", lines: +1 -1
		miranda/protocols/AimTOC2/docs/toc2-readme.txt (1.7), "Exp", lines: +8 -0

	Updated for version 1.4.2.1.

2005-09-30 04:37  snaphat

	Changed:
		miranda/protocols/AimTOC2/toc.c (1.8), "Exp", lines: +50 -17

	support for the DELETE2, changes to INSERTED2

2005-09-29 23:58  i_am_matrix

	Changed:
		miranda/protocols/IRC/IRC.dsp (1.7), "Exp", lines: +6 -6
		miranda/protocols/IRC/IRC.rc (1.7), "Exp", lines: +59 -56
		miranda/protocols/IRC/IRC.vcproj (1.3), "Exp", lines: +486 -34
		miranda/protocols/IRC/irc.h (1.6), "Exp", lines: +2 -1
		miranda/protocols/IRC/options.cpp (1.9), "Exp", lines: +5 -0
		miranda/protocols/IRC/resource.h (1.4), "Exp", lines: +3 -1
		miranda/protocols/IRC/services.cpp (1.15), "Exp", lines: +5 -2

	Added option to disable the notice for outgoing filetransfer. I
	hope this commit works

2005-09-29 23:56  i_am_matrix

	Changed:
		miranda/plugins/chat/chat.dsp (1.6), "Exp", lines: +9 -9
		miranda/plugins/chat/chat.vcproj (1.3), "Exp", lines: +250 -77
		miranda/plugins/chat/services.c (1.10), "Exp", lines: +2 -0

	Added channel topic as status message for clist_nicer etc. I hope
	this commit works,  seems strange...

2005-09-29 22:47  ghazan

	Added:
		miranda/src/version.rc (1.1)
	Changed:
		miranda/src/resource.rc (1.27), "Exp", lines: +1 -48

	feature request 0001497: Add build # to 'about' dialog

2005-09-29 21:17  ghazan

	Changed:
		miranda/plugins/chat/colorchooser.c (1.3), "Exp", lines: +1 -5

	fix for the Win95 incompatibility issue

2005-09-29 03:32  snaphat

	Changed:
		miranda/protocols/AimTOC2/config.h (1.3), "Exp", lines: +1 -1
		miranda/protocols/AimTOC2/resource.rc (1.4), "Exp", lines: +1 -1
		miranda/protocols/AimTOC2/docs/toc2-readme.txt (1.6), "Exp", lines: +3 -3

	Changed default server to toc.oscar.aol.com to ensure easier
	connection(Side effect- broken profiles!).

2005-09-29 02:47  snaphat

	Changed:
		miranda/protocols/AimTOC2/version.c (1.7), "Exp", lines: +1 -1

	Updated for 1.4.2.0

2005-09-29 02:32  snaphat

	Changed:
		miranda/protocols/AimTOC2/docs/toc2-readme.txt (1.5), "Exp", lines: +6 -0

	Updated for 1.4.2.0

2005-09-29 02:29  snaphat

	Changed:
		miranda/protocols/AimTOC2/toc.c (1.7), "Exp", lines: +2 -0

	Re-added if(!tdt) fix.

2005-09-29 02:28  snaphat

	Changed:
		miranda/protocols/AimTOC2/pthread.c (1.2), "Exp", lines: +1 -0

	Added borkra's fix to stop hanging after the application exits.

2005-09-29 01:34  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_list.cpp (1.12), "Exp", lines: +64 -86
		miranda/protocols/JabberG/jabber_svc.cpp (1.30), "Exp", lines: +1 -1

	code cleaning

2005-09-29 01:07  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.10), "Exp", lines: +4 -5

	do not add contact who requests our xstatus message

2005-09-29 01:06  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_direct.c (1.14), "Exp", lines: +7 -4

	more robust dc closing when contact offline (caused occasional
	crashes with some clients)

2005-09-29 00:30  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_thread.cpp (1.28), "Exp", lines: +20 -31

	fixed a minor bug: contact's software version isn't displayed when
	that contact logs off and on

2005-09-28 22:12  ghazan

	Changed:
		miranda/src/resource.rc (1.26), "Exp", lines: +2 -2

	minor code cleaining to fix the bug #0001493: Fix error then trying
	to compile .\\src\\resource.rc with GCC

2005-09-28 22:09  ghazan

	Changed:
		miranda/src/modules/database/database.h (1.2), "Exp", lines: +3 -3
		miranda/src/modules/help/help.c (1.3), "Exp", lines: +3 -3
		miranda/src/modules/history/history.c (1.6), "Exp", lines: +16 -16
		miranda/src/modules/netlib/netlibhttp.c (1.4), "Exp", lines: +7 -7
		miranda/src/modules/netlib/netlibhttpproxy.c (1.4), "Exp", lines: +15 -15
		miranda/src/modules/netlib/netlibpktrecver.c (1.2), "Exp", lines: +3 -3
		miranda/src/modules/netlib/netlibsock.c (1.3), "Exp", lines: +3 -3
		miranda/src/modules/protocols/protochains.c (1.2), "Exp", lines: +3 -3
		miranda/src/modules/protocols/protocols.c (1.2), "Exp", lines: +4 -4
		miranda/src/modules/srfile/file.c (1.4), "Exp", lines: +8 -8
		miranda/src/modules/srfile/filesenddlg.c (1.8), "Exp", lines: +6 -6
		miranda/src/modules/utils/windowlist.c (1.2), "Exp", lines: +4 -4

	minor code cleaining to fix the bug #0001492: Suppress warnings "no
	newline at the end of file", during compilation with GCC

2005-09-28 04:19  snaphat

	Changed:
		miranda/protocols/AimTOC2/docs/toc2-readme.txt (1.4), "Exp", lines: +5 -0

	Updated for 1.4.1.9

2005-09-28 04:18  snaphat

	Changed:
		miranda/protocols/AimTOC2/toc.c (1.6), "Exp", lines: +37 -2

	Added "INSERTED2" command support and removed that extra check from
	the last version(See readme: version 1.4.1.8).

2005-09-28 01:12  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.71), "Exp", lines: +1 -1

	code cleaning

2005-09-28 00:55  snaphat

	Changed:
		miranda/protocols/AimTOC2/version.c (1.6), "Exp", lines: +1 -1

	Updated for version 1.4.1.9

2005-09-28 00:54  snaphat

	Changed:
		miranda/protocols/AimTOC2/groups.c (1.3), "Exp", lines: +2 -3

	Fixed some unicode problems that I made in the latest version. ;)

2005-09-28 00:51  ghazan

	Changed:
		miranda/src/modules/history/history.c (1.5), "Exp", lines: +114 -74

	History Unicode plugin code is now embedded

2005-09-27 22:12  ghazan

	Added:
		miranda/src/modules/utils/utf.c (1.1)
	Changed:
		miranda/plugins/db3x/utf.c (1.2), "Exp", lines: +4 -4
		miranda/src/miranda32.dsp (1.8), "Exp", lines: +4 -23
		miranda/src/miranda32.mak (1.3), "Exp", lines: +22 -60
		miranda/src/miranda32.vcproj (1.3), "Exp", lines: +3 -27

	code cleaning

2005-09-26 12:23  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_iqid.cpp (1.23), "Exp", lines: +2 -4

	important fix for the memory corruption. Thanks Wang Pei-Yu for the
	assistance

2005-09-26 05:18  snaphat

	Changed:
		miranda/protocols/AimTOC2/version.c (1.5), "Exp", lines: +1 -1
		miranda/protocols/AimTOC2/aim.vcproj (1.3), "Exp", lines: +1 -1

	Changed for version 1.4.1.8.

2005-09-26 05:16  snaphat

	Changed:
		miranda/protocols/AimTOC2/toc.c (1.5), "Exp", lines: +2 -1

	Added check for zero referenced pointer tdt.

2005-09-26 05:15  snaphat

	Changed:
		miranda/protocols/AimTOC2/groups.c (1.2), "Exp", lines: +15 -7

	Added support for utf groups.

2005-09-26 05:12  snaphat

	Changed:
		miranda/protocols/AimTOC2/utils.c (1.4), "Exp", lines: +97 -0
		miranda/protocols/AimTOC2/utils.h (1.2), "Exp", lines: +1 -0

	Added function from Joe's icq plugin to convert ascii to utf.

2005-09-26 05:09  snaphat

	Changed:
		miranda/protocols/AimTOC2/buddies.c (1.5), "Exp", lines: +16 -5

	Added support for utf groups

2005-09-26 04:58  snaphat

	Changed:
		miranda/protocols/AimTOC2/docs/toc2-readme.txt (1.3), "Exp", lines: +9 -0

	Added new Question and Answer.	Added change log for version
	1.4.1.8.

2005-09-26 02:56  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/tlv.c (1.6), "Exp", lines: +22 -18

	made code more resilent, optimised

2005-09-26 02:53  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/utilities.c (1.35), "Exp", lines: +6 -6

	fixed own uin in contact list adding & operations

2005-09-26 02:52  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_15icqserver.c (1.14), "Exp", lines: +2 -3

	code cleaning

2005-09-25 00:20  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.27), "Exp", lines: +18 -4
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.33), "Exp", lines: +1 -0

	[+] wish # 0001331: Support for sending and receiving actions (/me)

2005-09-24 23:30  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.24), "Exp", lines: +2 -1
		miranda/protocols/JabberG/jabber_chat.cpp (1.16), "Exp", lines: +17 -5
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.26), "Exp", lines: +11 -4
		miranda/protocols/JabberG/jabber_iq.h (1.4), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber_iqid.cpp (1.22), "Exp", lines: +108 -41
		miranda/protocols/JabberG/jabber_misc.cpp (1.13), "Exp", lines: +2 -2
		miranda/protocols/JabberG/jabber_opt.cpp (1.13), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_std.cpp (1.6), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_svc.cpp (1.29), "Exp", lines: +45 -60
		miranda/protocols/JabberG/jabber_thread.cpp (1.27), "Exp", lines: +16 -27
		miranda/protocols/JabberG/jabber_util.cpp (1.21), "Exp", lines: +4 -3
		miranda/protocols/JabberG/jabber_vcard.cpp (1.10), "Exp", lines: +2 -2
		miranda/protocols/JabberG/jabber_xml.h (1.5), "Exp", lines: +13 -10
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.32), "Exp", lines: +1 -0

	[+] added support for the extended JUD search

2005-09-24 11:45  ghazan

	Changed:
		miranda/src/core/miranda.c (1.14), "Exp", lines: +3 -11

	this trick isn't needed anymore

2005-09-23 22:22  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.70), "Exp", lines: +2 -6

	code cleaning

2005-09-23 00:52  ghazan

	Changed:
		miranda/plugins/db3x/dbsettings.c (1.12), "Exp", lines: +2 -1

	bugfix for the static strings

2005-09-22 20:45  ghazan

	Changed:
		miranda/include/m_clist.h (1.2), "Exp", lines: +7 -0
		miranda/include/m_database.h (1.6), "Exp", lines: +22 -0
		miranda/plugins/clist/clistsettings.c (1.6), "Exp", lines: +68 -66
		miranda/src/modules/userinfo/stdinfo.c (1.7), "Exp", lines: +1 -1
		miranda/src/modules/userinfo/userinfo.c (1.9), "Exp", lines: +12 -15

	fixes for Unicode nicks in the User Details

2005-09-22 14:22  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.26), "Exp", lines: +41 -12

	more centralisation, fixed server ids loading (caused group
	operations to fail)

2005-09-22 14:18  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_01service.c (1.35), "Exp", lines: +11 -9
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.40), "Exp", lines: +11 -11
		miranda/protocols/IcqOscarJ/fam_04message.c (1.28), "Exp", lines: +44 -35
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.39), "Exp", lines: +8 -8

	more centralisation, optimisations

2005-09-22 14:12  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.33), "Exp", lines: +120 -85

	more centralisation, fixed several mem leaks, added aim ability to
	sendcontacts

2005-09-22 13:33  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_server.c (1.23), "Exp", lines: +6 -7
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.20), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.7), "Exp", lines: +6 -6

	more centralisation, use getsettingstatic (spare malloc)

2005-09-22 13:23  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/changeinfo/db.c (1.5), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/changeinfo/upload.c (1.4), "Exp", lines: +4 -5

	more centralisation, use getsettingstatic (spare malloc)

2005-09-22 13:18  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.34), "Exp", lines: +7 -7
		miranda/protocols/IcqOscarJ/icq_direct.c (1.13), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/icq_filetransfer.c (1.10), "Exp", lines: +9 -6
		miranda/protocols/IcqOscarJ/icq_packet.c (1.15), "Exp", lines: +3 -3

	more centralisation, optimisations

2005-09-22 13:15  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_opts.c (1.16), "Exp", lines: +5 -6

	use getsettingstatic (spare malloc)

2005-09-22 13:14  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/stdpackets.h (1.11), "Exp", lines: +3 -2

	extended msg cookie data struct for aim contacts

2005-09-22 13:13  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/utilities.c (1.34), "Exp", lines: +23 -10
		miranda/protocols/IcqOscarJ/utilities.h (1.18), "Exp", lines: +3 -2

	more centralisation, fixed NetLog_Server - utf logging broken, mem
	leak

2005-09-22 13:11  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_db.c (1.9), "Exp", lines: +27 -3
		miranda/protocols/IcqOscarJ/icq_db.h (1.7), "Exp", lines: +6 -2

	more centralisation, getsettingstatic workaround (unicode DB bug)

2005-09-22 13:04  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.22), "Exp", lines: +11 -12

	optimisations, use getsettingstatic (spare malloc)

2005-09-21 20:56  ghazan

	Changed:
		miranda/include/m_clc.h (1.5), "Exp", lines: +1 -1

	code cleaning

2005-09-21 20:49  ghazan

	Changed:
		miranda/plugins/srmm/msglog.c (1.15), "Exp", lines: +1 -1

	code cleaning

2005-09-21 20:48  ghazan

	Added:
		miranda/plugins/clist/clist.dep (1.1)
		miranda/plugins/clist/clist.mak (1.1)

	adding makefiles for clist_classic

2005-09-21 18:43  ghazan

	Changed:
		miranda/src/modules/utils/hyperlink.c (1.4), "Exp", lines: +9 -10

	fix for unclickable hyperlinks

2005-09-21 16:00  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.25), "Exp", lines: +1 -1

	Jabber sometimes displays the chat disconnection message twice

2005-09-21 15:37  ghazan

	Changed:
		miranda/plugins/clist/clc.c (1.11), "Exp", lines: +17 -3
		miranda/plugins/clist/clcfiledrop.c (1.4), "Exp", lines: +3 -3
		miranda/plugins/clist/clist.dsp (1.5), "Exp", lines: +4 -0
		miranda/plugins/clist/clist.h (1.2), "Exp", lines: +2 -0
		miranda/plugins/clist/clist.vcproj (1.2), "Exp", lines: +3 -0
		miranda/plugins/clist/clui.c (1.11), "Exp", lines: +7 -7
		miranda/plugins/clist/cluiservices.c (1.5), "Exp", lines: +3 -3

	fix for expanding/contracting groups with Unicode names

2005-09-21 03:34  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/commonheaders.h (1.8), "Exp", lines: +13 -0
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.107), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgdialog.c (1.224), "Exp", lines: +11 -11
		miranda/plugins/tabsrmm/msgdlgutils.c (1.110), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgoptions.c (1.118), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgs.c (1.141), "Exp", lines: +8 -4

	unicode support for xstatus messages

2005-09-21 00:54  ghazan

	Changed:
		miranda/src/modules/contacts/contacts.c (1.8), "Exp", lines: +20 -10

	fix for the FirstName+LastName mode in clist Unicode

2005-09-20 20:02  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/commonheaders.h (1.7), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.223), "Exp", lines: +4 -4
		miranda/plugins/tabsrmm/msgdlgutils.c (1.109), "Exp", lines: +11 -11
		miranda/plugins/tabsrmm/msgs.c (1.140), "Exp", lines: +4 -4

	more unicode nickname changes

2005-09-20 17:34  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/eventpopups.c (1.42), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/functions.h (1.27), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/msgdlgutils.h (1.33), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/msgs.c (1.139), "Exp", lines: +2 -2

	added unicode nicknames in message notification popups

2005-09-20 16:22  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.118), "Exp", lines: +11 -9
		miranda/plugins/tabsrmm/eventpopups.c (1.41), "Exp", lines: +8 -3
		miranda/plugins/tabsrmm/formatting.cpp (1.37), "Exp", lines: +11 -10
		miranda/plugins/tabsrmm/functions.h (1.26), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.106), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.222), "Exp", lines: +36 -27
		miranda/plugins/tabsrmm/msgdlgutils.c (1.108), "Exp", lines: +48 -14
		miranda/plugins/tabsrmm/msgdlgutils.h (1.32), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msglog.c (1.108), "Exp", lines: +12 -12
		miranda/plugins/tabsrmm/msgoptions.c (1.117), "Exp", lines: +10 -1
		miranda/plugins/tabsrmm/msgs.c (1.138), "Exp", lines: +20 -10
		miranda/plugins/tabsrmm/sendqueue.c (1.39), "Exp", lines: +3 -2
		miranda/plugins/tabsrmm/templates.c (1.23), "Exp", lines: +5 -1
		miranda/plugins/tabsrmm/trayicon.c (1.21), "Exp", lines: +18 -6

	support for unicode nicknames added (unicode core required) for
	non-unicode core, the old way (per contact codepage encoding) is
	preserved.

2005-09-19 23:29  ghazan

	Changed:
		miranda/plugins/clist/clistmod.c (1.5), "Exp", lines: +5 -5

	fix for the garbage in the contact deletion confirmation dialog

2005-09-19 23:28  ghazan

	Changed:
		miranda/src/modules/netlib/netliblog.c (1.14), "Exp", lines: +2 -2

	fix for the garbage in the OpenFile dialog in the netlib options

2005-09-19 22:24  ghazan

	Changed:
		miranda/src/modules/contacts/contacts.c (1.7), "Exp", lines: +14 -8

	fix for displaying ICQ UINs in Unicode

2005-09-19 17:33  ghazan

	Changed:
		miranda/src/modules/contacts/contacts.c (1.6), "Exp", lines: +28 -31

	fix for Unicode

2005-09-19 00:16  ghazan

	Changed:
		miranda/plugins/import/main.c (1.4), "Exp", lines: +1 -1

	fix by Jozef Kuchera

2005-09-18 23:57  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_util.cpp (1.20), "Exp", lines: +6 -22
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.31), "Exp", lines: +1 -0

	[!] bug #0001355 fixed: Switching presence to 'Invisible' causes me
	to exit MUC

2005-09-18 23:26  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.15), "Exp", lines: +0 -7
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.24), "Exp", lines: +36 -40
		miranda/protocols/JabberG/jabber_libstr.cpp (1.2), "Exp", lines: +3 -1
		miranda/protocols/JabberG/jabber_util.cpp (1.19), "Exp", lines: +0 -3
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.30), "Exp", lines: +1 -0

	few more patches for groupchats

2005-09-18 23:24  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_thread.cpp (1.26), "Exp", lines: +1 -5

	bugfix 0001345: Offline message timestamp is ignored in some cases

2005-09-18 21:13  ghazan

	Changed:
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.29), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber.dep (1.2), "Exp", lines: +514 -3
		miranda/protocols/JabberG/jabber.mak (1.8), "Exp", lines: +68 -34
		miranda/protocols/JabberG/jabber_chat.cpp (1.14), "Exp", lines: +5 -15
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.23), "Exp", lines: +3 -8
		miranda/protocols/JabberG/jabber_iqid.cpp (1.21), "Exp", lines: +3 -3
		miranda/protocols/JabberG/jabber_list.cpp (1.11), "Exp", lines: +32 -41
		miranda/protocols/JabberG/jabber_menu.cpp (1.10), "Exp", lines: +3 -3
		miranda/protocols/JabberG/jabber_misc.cpp (1.12), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_svc.cpp (1.28), "Exp", lines: +12 -12
		miranda/protocols/JabberG/jabber_thread.cpp (1.25), "Exp", lines: +3 -5
		miranda/protocols/JabberG/jabber_userinfo.cpp (1.8), "Exp", lines: +5 -4
		miranda/protocols/JabberG/jabber_util.cpp (1.18), "Exp", lines: +2 -2

	[!] fixed the crash when two or more chats were opened

2005-09-18 17:01  ghazan

	Changed:
		miranda/src/miranda32.dsp (1.7), "Exp", lines: +23 -0
		miranda/src/miranda32.mak (1.2), "Exp", lines: +68 -8

	added utf.c to the project

2005-09-18 16:11  ghazan

	Changed:
		miranda/plugins/clist/groups.c (1.7), "Exp", lines: +47 -46

	fixes for Unicode group names in clist cliassic

2005-09-18 14:38  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.23), "Exp", lines: +7 -1
		miranda/protocols/JabberG/jabber_chat.cpp (1.13), "Exp", lines: +13 -3
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.22), "Exp", lines: +38 -38
		miranda/protocols/JabberG/jabber_list.cpp (1.10), "Exp", lines: +0 -1
		miranda/protocols/JabberG/jabber_list.h (1.6), "Exp", lines: +0 -1
		miranda/protocols/JabberG/jabber_menu.cpp (1.9), "Exp", lines: +11 -3
		miranda/protocols/JabberG/jabber_std.cpp (1.5), "Exp", lines: +7 -0

	fixes for renaming contacts in the groupchats

2005-09-18 13:08  ghazan

	Deleted:
		miranda/protocols/JabberG/sdk/m_chat.h (1.2)
	Changed:
		miranda/protocols/JabberG/jabber.h (1.22), "Exp", lines: +1 -2
		miranda/protocols/JabberG/jabber_chat.cpp (1.12), "Exp", lines: +6 -6
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.21), "Exp", lines: +12 -4
		miranda/protocols/JabberG/jabber_iqid.cpp (1.20), "Exp", lines: +3 -3
		miranda/protocols/JabberG/jabber_thread.cpp (1.24), "Exp", lines: +1 -1

	adaptation for the new m_chat.h

2005-09-18 00:15  ghazan

	Changed:
		miranda/src/miranda32.vcproj (1.2), "Exp", lines: +27 -0
		miranda/src/modules/userinfo/stdinfo.c (1.6), "Exp", lines: +258 -263

	fix for the User Details dialog: Unicode nicknames aren't displayed
	in Unicode

2005-09-16 22:58  ghazan

	Changed:
		miranda/plugins/clist/groups.c (1.6), "Exp", lines: +8 -1

	fix for the group name changing incompatibility

2005-09-16 00:43  ghazan

	Changed:
		miranda/plugins/chat/manager.c (1.4), "Exp", lines: +2 -1

	fix for the GPF during the chat participant renaming

2005-09-16 00:37  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.21), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_chat.cpp (1.11), "Exp", lines: +5 -2
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.20), "Exp", lines: +62 -33
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.28), "Exp", lines: +1 -0

	[!] bug #0001316 fixed: User appears to part/rejoin on nick change
	in conference

2005-09-15 22:45  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.69), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_threads.cpp (1.31), "Exp", lines: +2 -1
		miranda/protocols/MSN/Docs/history-msn.txt (1.42), "Exp", lines: +1 -0

	[!] BYE command was handled incorrectly

2005-09-15 12:50  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.27), "Exp", lines: +27 -27

	bugfix, do not add contacts which send us ignored events...

2005-09-14 11:10  aloya2

	Added:
		miranda/plugins/mwclist/res/AlIcq.ico (1.1)
		miranda/plugins/mwclist/res/Center.ico (1.1)
		miranda/plugins/mwclist/res/IM+.ico (1.1)
		miranda/plugins/mwclist/res/IcqMac.ico (1.1)
		miranda/plugins/mwclist/res/L.ico (1.1)
		miranda/plugins/mwclist/res/L4.ico (1.1)
		miranda/plugins/mwclist/res/L5.ico (1.1)
		miranda/plugins/mwclist/res/LibIcq2000.ico (1.1)
		miranda/plugins/mwclist/res/Micq.ico (1.1)
		miranda/plugins/mwclist/res/Mob2Icq.ico (1.1)
		miranda/plugins/mwclist/res/NICQ2.ico (1.1)
		miranda/plugins/mwclist/res/PSI.ico (1.1)
		miranda/plugins/mwclist/res/Spambot.ico (1.1)
		miranda/plugins/mwclist/res/Sticq.ico (1.1)
		miranda/plugins/mwclist/res/Stricq.ico (1.1)
		miranda/plugins/mwclist/res/Vicq.ico (1.1)
		miranda/plugins/mwclist/res/WebIcq.ico (1.1)
		miranda/plugins/mwclist/res/Yamigo.ico (1.1)
		miranda/plugins/mwclist/res/Ysm.ico (1.1)
		miranda/plugins/mwclist/res/ico00001.ico (1.1)
		miranda/plugins/mwclist/res/ico00002.ico (1.1)
		miranda/plugins/mwclist/res/ico00003.ico (1.1)
		miranda/plugins/mwclist/res/ico00004.ico (1.1)
		miranda/plugins/mwclist/res/ico00005.ico (1.1)
		miranda/plugins/mwclist/res/icon1.ico (1.1)
		miranda/plugins/mwclist/res/icon2.ico (1.1)
	Changed:
		miranda/plugins/mwclist/CLUIFrames/cluiframes.c (1.19), "Exp", lines: +2 -2

	Sync Client Icons

2005-09-14 10:39  aloya2

	Changed:
		miranda/plugins/mwclist/resource.rc (1.19), "Exp", lines: +25 -10
		miranda/plugins/mwclist/groupmenu.c (1.8), "Exp", lines: +1 -1
		miranda/plugins/mwclist/clisttray.c (1.8), "Exp", lines: +1 -1
		miranda/plugins/mwclist/clc.c (1.28), "Exp", lines: +7 -0

	Sync Client Icons

2005-09-14 10:31  aloya2

	Changed:
		miranda/plugins/mwclist/CLUIFrames/extraimage.c (1.16), "Exp", lines: +9 -4
		miranda/plugins/mwclist/resource.h (1.16), "Exp", lines: +25 -10

	Sync Client Icons

2005-09-14 04:06  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.26), "Exp", lines: +65 -57

	more garbage checks (should fix crashes on &RQ malformed reply)

2005-09-14 03:50  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_02location.c (1.8), "Exp", lines: +117 -55
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.32), "Exp", lines: +8 -4
		miranda/protocols/IcqOscarJ/stdpackets.c (1.25), "Exp", lines: +28 -2
		miranda/protocols/IcqOscarJ/stdpackets.h (1.10), "Exp", lines: +5 -2

	added support for AIM profile string (stored as About) - stop
	userinfo dialog from updating...

2005-09-14 02:44  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/chan_01login.c (1.10), "Exp", lines: +56 -56
		miranda/protocols/IcqOscarJ/chan_02data.c (1.6), "Exp", lines: +142 -142
		miranda/protocols/IcqOscarJ/chan_03error.c (1.4), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/chan_04close.c (1.15), "Exp", lines: +202 -202
		miranda/protocols/IcqOscarJ/directpackets.c (1.6), "Exp", lines: +96 -96
		miranda/protocols/IcqOscarJ/fam_01service.c (1.34), "Exp", lines: +351 -351
		miranda/protocols/IcqOscarJ/fam_02location.c (1.7), "Exp", lines: +65 -65
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.39), "Exp", lines: +224 -222
		miranda/protocols/IcqOscarJ/fam_04message.c (1.25), "Exp", lines: +1500 -1500
		miranda/protocols/IcqOscarJ/fam_09bos.c (1.7), "Exp", lines: +64 -64
		miranda/protocols/IcqOscarJ/fam_0alookup.c (1.2), "Exp", lines: +11 -11
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.38), "Exp", lines: +432 -432
		miranda/protocols/IcqOscarJ/fam_15icqserver.c (1.13), "Exp", lines: +829 -829
		miranda/protocols/IcqOscarJ/families.h (1.8), "Exp", lines: +14 -14
		miranda/protocols/IcqOscarJ/i18n.c (1.5), "Exp", lines: +162 -162
		miranda/protocols/IcqOscarJ/icq_advsearch.c (1.4), "Exp", lines: +148 -148
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.33), "Exp", lines: +7 -7
		miranda/protocols/IcqOscarJ/icq_clients.c (1.2), "Exp", lines: +33 -35
		miranda/protocols/IcqOscarJ/icq_constants.h (1.21), "Exp", lines: +115 -90
		miranda/protocols/IcqOscarJ/icq_db.c (1.8), "Exp", lines: +28 -28
		miranda/protocols/IcqOscarJ/icq_direct.c (1.12), "Exp", lines: +565 -565
		miranda/protocols/IcqOscarJ/icq_direct.h (1.6), "Exp", lines: +45 -45
		miranda/protocols/IcqOscarJ/icq_directmsg.c (1.9), "Exp", lines: +181 -181
		miranda/protocols/IcqOscarJ/icq_fieldnames.c (1.3), "Exp", lines: +220 -220
		miranda/protocols/IcqOscarJ/icq_fieldnames.h (1.3), "Exp", lines: +5 -5
		miranda/protocols/IcqOscarJ/icq_filerequests.c (1.8), "Exp", lines: +146 -146
		miranda/protocols/IcqOscarJ/icq_filetransfer.c (1.9), "Exp", lines: +422 -422
		miranda/protocols/IcqOscarJ/icq_firstrun.c (1.7), "Exp", lines: +44 -44
		miranda/protocols/IcqOscarJ/icq_http.c (1.7), "Exp", lines: +85 -85
		miranda/protocols/IcqOscarJ/icq_infoupdate.c (1.10), "Exp", lines: +171 -171
		miranda/protocols/IcqOscarJ/icq_opts.c (1.15), "Exp", lines: +320 -318
		miranda/protocols/IcqOscarJ/icq_packet.c (1.14), "Exp", lines: +253 -253
		miranda/protocols/IcqOscarJ/icq_packet.h (1.9), "Exp", lines: +11 -11
		miranda/protocols/IcqOscarJ/icq_popups.c (1.2), "Exp", lines: +208 -7
		miranda/protocols/IcqOscarJ/icq_popups.h (1.2), "Exp", lines: +8 -2
		miranda/protocols/IcqOscarJ/icq_server.c (1.22), "Exp", lines: +220 -220
		miranda/protocols/IcqOscarJ/icq_server.h (1.5), "Exp", lines: +6 -6
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.25), "Exp", lines: +70 -69
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.19), "Exp", lines: +41 -17
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.6), "Exp", lines: +130 -130
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.31), "Exp", lines: +1148 -1149
		miranda/protocols/IcqOscarJ/init.c (1.28), "Exp", lines: +176 -176
		miranda/protocols/IcqOscarJ/log.c (1.7), "Exp", lines: +65 -57
		miranda/protocols/IcqOscarJ/log.h (1.2), "Exp", lines: +7 -7
		miranda/protocols/IcqOscarJ/m_cluiframes.h (1.2), "Exp", lines: +69 -69
		miranda/protocols/IcqOscarJ/m_icq.h (1.6), "Exp", lines: +12 -12
		miranda/protocols/IcqOscarJ/md5.c (1.2), "Exp", lines: +36 -36
		miranda/protocols/IcqOscarJ/md5.h (1.2), "Exp", lines: +9 -9
		miranda/protocols/IcqOscarJ/resource.h (1.13), "Exp", lines: +22 -0
		miranda/protocols/IcqOscarJ/resources.rc (1.20), "Exp", lines: +132 -59
		miranda/protocols/IcqOscarJ/stdpackets.c (1.24), "Exp", lines: +737 -737
		miranda/protocols/IcqOscarJ/stdpackets.h (1.9), "Exp", lines: +8 -8
		miranda/protocols/IcqOscarJ/tlv.c (1.5), "Exp", lines: +120 -120
		miranda/protocols/IcqOscarJ/tlv.h (1.2), "Exp", lines: +8 -8
		miranda/protocols/IcqOscarJ/utilities.c (1.33), "Exp", lines: +552 -553
		miranda/protocols/IcqOscarJ/utilities.h (1.17), "Exp", lines: +11 -11
		miranda/protocols/IcqOscarJ/docs/icq-readme.txt (1.26), "Exp", lines: +1 -1
		miranda/protocols/IcqOscarJ/changeinfo/changeinfo.h (1.2), "Exp", lines: +17 -17
		miranda/protocols/IcqOscarJ/changeinfo/constants.c (1.2), "Exp", lines: +585 -585
		miranda/protocols/IcqOscarJ/changeinfo/db.c (1.4), "Exp", lines: +108 -108
		miranda/protocols/IcqOscarJ/changeinfo/dlgproc.c (1.4), "Exp", lines: +361 -361
		miranda/protocols/IcqOscarJ/changeinfo/editlist.c (1.3), "Exp", lines: +97 -97
		miranda/protocols/IcqOscarJ/changeinfo/editstring.c (1.2), "Exp", lines: +222 -222
		miranda/protocols/IcqOscarJ/changeinfo/main.c (1.2), "Exp", lines: +15 -15
		miranda/protocols/IcqOscarJ/changeinfo/upload.c (1.3), "Exp", lines: +135 -135
		miranda/protocols/IcqOscarJ/UI/askauthentication.c (1.6), "Exp", lines: +47 -47
		miranda/protocols/IcqOscarJ/UI/loginpassword.c (1.8), "Exp", lines: +7 -7
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.21), "Exp", lines: +151 -151

	0.3.6devel Phase 3: Popup support, optimisations

2005-09-14 02:42  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.9), "Exp", lines: +13 -6

	send xtraz messages only to clients which do support xtraz

2005-09-14 02:38  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/capabilities.c (1.5), "Exp", lines: +67 -65

	added capabilities for AIM file transfer & xtraz

2005-09-14 02:30  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/forkthread.c (1.2), "Exp", lines: +70 -65
		miranda/protocols/IcqOscarJ/forkthread.h (1.2), "Exp", lines: +30 -29

	code cleaning & mingw friendly

2005-09-14 01:38  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icos/xstatus.bmp (1.2), "Exp", lines: +11 -1

	resampled to smaller color palete

2005-09-13 23:01  ghazan

	Changed:
		miranda/src/core/commonheaders.h (1.6), "Exp", lines: +2 -2
		miranda/src/core/miranda.c (1.13), "Exp", lines: +5 -1
		miranda/src/modules/autoaway/autoaway.c (1.8), "Exp", lines: +26 -27

	MS_SYSTEM_GETVERSIONTEXT function implemenation was changed to
	return the trainlin 'Unicode'  string when the Unicode core is
	running.

2005-09-13 22:38  ghazan

	Changed:
		miranda/plugins/db3x/dbsettings.c (1.11), "Exp", lines: +1 -1

	fix for returning the actual string type

2005-09-13 21:25  ghazan

	Changed:
		miranda/plugins/import/miranda.c (1.4), "Exp", lines: +1 -0

	minor fix for the debug mode

2005-09-11 20:55  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.20), "Exp", lines: +32 -35
		miranda/protocols/JabberG/jabber_chat.cpp (1.10), "Exp", lines: +88 -36
		miranda/protocols/JabberG/jabber_iqid_muc.cpp (1.10), "Exp", lines: +51 -57
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.27), "Exp", lines: +1 -0

	[!] numerous fixes for the groupchat administration

2005-09-11 18:17  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.19), "Exp", lines: +16 -5

	bugfix: if there's no nickname in the groupchat topic setting
	message, nothing should be printed

2005-09-11 16:48  ghazan

	Changed:
		miranda/plugins/import/miranda.c (1.3), "Exp", lines: +176 -257

	fixes (thanks Jozef): - for importing contacts for the IcqOscarJ
	plugin; - for UTF8 strings.

2005-09-11 16:06  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.19), "Exp", lines: +61 -57
		miranda/protocols/JabberG/jabber_svc.cpp (1.27), "Exp", lines: +702 -647
		miranda/protocols/JabberG/jabber_thread.cpp (1.23), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_util.cpp (1.17), "Exp", lines: +1 -1
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.26), "Exp", lines: +1 -0

	important bug fixed: Jabber contact list maybe messed up under
	Win9x

2005-09-11 15:13  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.68), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_global.h (1.40), "Exp", lines: +4 -3
		miranda/protocols/MSN/msn_misc.cpp (1.38), "Exp", lines: +10 -0
		miranda/protocols/MSN/msn_svcs.cpp (1.49), "Exp", lines: +1 -2
		miranda/protocols/MSN/Docs/history-msn.txt (1.41), "Exp", lines: +1 -0

	[!] fix for the "User is already in your contact list" error

2005-09-11 08:18  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.221), "Exp", lines: +3 -2

	fix: GETWINDOWDATA API return value

2005-09-10 00:47  ghazan

	Changed:
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.25), "Exp", lines: +2 -0

	[no log message]

2005-09-10 00:46  ghazan

	Changed:
		miranda/src/modules/srurl/urldialogs.c (1.6), "Exp", lines: +1 -1

	fix for a minor cosmetic bug

2005-09-09 23:54  ghazan

	Changed:
		miranda/src/modules/skin/sounds.c (1.8), "Exp", lines: +1 -1

	fix for a minor cosmetic bug

2005-09-09 22:09  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_svc.cpp (1.26), "Exp", lines: +11 -7

	fix for the rarely occurring hangup on startup

2005-09-08 00:02  ghazan

	Changed:
		miranda/src/modules/findadd/findadd.c (1.7), "Exp", lines: +3 -4

	minor fix for the Unicode options dialogs

2005-09-07 22:51  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.9), "Exp", lines: +8 -3
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.18), "Exp", lines: +7 -6

	[!] bug #0001324 fixed: groupchat subjects don't get recognized [!]
	bug #0001430 fixed: several problems with moderator controls

2005-09-07 22:41  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.dsp (1.11), "Exp", lines: +2 -2
		miranda/protocols/JabberG/jabber.mak (1.7), "Exp", lines: +30 -28

	updates for the project files

2005-09-07 00:37  ghazan

	Changed:
		miranda/src/modules/options/options.c (1.7), "Exp", lines: +1 -1

	fix for the non-Unicode options dialogs

2005-09-06 22:55  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.54), "Exp", lines: +2 -2

	Disable nick update from server for now. Still looking for a way to
	update it.

2005-09-06 22:46  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.30), "Exp", lines: +19 -2
		miranda/protocols/IcqOscarJ/icqosc_svcs.h (1.4), "Exp", lines: +3 -6
		miranda/protocols/IcqOscarJ/init.c (1.27), "Exp", lines: +6 -3

	added SetNickname service

2005-09-06 22:46  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/utilities.c (1.32), "Exp", lines: +4 -2

	fixed, do not find AIM contacts if AIM support disabled

2005-09-06 22:44  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_packet.c (1.13), "Exp", lines: +7 -7

	changed for NULL secure strlen

2005-09-06 22:44  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/m_icq.h (1.5), "Exp", lines: +7 -2

	declaration for SetNickname service

2005-09-06 22:42  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.38), "Exp", lines: +3 -3

	fixed compiler warning

2005-09-06 22:41  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.24), "Exp", lines: +4 -4

	fixed, trailing zeros was broken for ANSI->Unicode conversion

2005-09-06 14:02  ghazan

	Changed:
		miranda/src/modules/userinfo/contactinfo.c (1.4), "Exp", lines: +2 -2

	fix for custom phone numbers in Unicode

2005-09-05 23:55  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.8), "Exp", lines: +12 -7
		miranda/protocols/JabberG/jabber_thread.cpp (1.22), "Exp", lines: +1 -1

	fixes for groupchats

2005-09-05 22:32  ghazan

	Changed:
		miranda/plugins/chat/chat.h (1.8), "Exp", lines: +1 -0
		miranda/plugins/chat/main.c (1.12), "Exp", lines: +3 -2
		miranda/plugins/chat/services.c (1.9), "Exp", lines: +28 -8

	some fixes for the critical sections

2005-09-05 22:04  i_am_matrix

	Changed:
		miranda/plugins/chat/main.c (1.11), "Exp", lines: +1 -1
		miranda/plugins/chat/services.c (1.8), "Exp", lines: +74 -18

	Threadsafety update for Chat... should help crashes in msn and
	Jabber

2005-09-05 21:05  snaphat

	Changed:
		miranda/protocols/AimTOC2/aim.vcproj (1.2), "Exp", lines: +2 -2
		miranda/protocols/AimTOC2/version.c (1.4), "Exp", lines: +1 -1

	-Updates for version 1.4.1.7

2005-09-05 21:04  snaphat

	Changed:
		miranda/protocols/AimTOC2/services.c (1.4), "Exp", lines: +22 -7

	-Changed to buddy addition.

2005-09-05 21:03  snaphat

	Changed:
		miranda/protocols/AimTOC2/toc.c (1.4), "Exp", lines: +0 -2

	-Fixed proxy crash & profile viewing with proxy.

2005-09-05 20:57  snaphat

	Changed:
		miranda/protocols/AimTOC2/buddies.c (1.4), "Exp", lines: +0 -2

	Code clean up.

2005-09-05 20:53  snaphat

	Changed:
		miranda/protocols/AimTOC2/docs/toc2-readme.txt (1.2), "Exp", lines: +7 -0

	Added 1.4.1.7 change log.

2005-09-05 18:37  ghazan

	Changed:
		miranda/plugins/tabsrmm/msgoptions.c (1.116), "Exp", lines: +3 -3

	fixes for the unicode translation

2005-09-05 18:00  ghazan

	Changed:
		miranda/src/modules/findadd/searchresults.c (1.6), "Exp", lines: +3 -3

	fix for the Unicode in the search dialog

2005-09-05 10:31  ghazan

	Changed:
		miranda/plugins/clist/clc.c (1.10), "Exp", lines: +1 -1
		miranda/plugins/clist/clcmsgs.c (1.6), "Exp", lines: +4 -1
		miranda/plugins/clist/clcopts.c (1.12), "Exp", lines: +137 -137
		miranda/plugins/clist/clist.dsp (1.4), "Exp", lines: +6 -6
		miranda/plugins/clist/clistmenus.c (1.10), "Exp", lines: +2 -2
		miranda/plugins/clist/clisttray.c (1.6), "Exp", lines: +1 -1
		miranda/plugins/clist/clui.c (1.10), "Exp", lines: +2 -2
		miranda/plugins/clist/init.c (1.14), "Exp", lines: +1 -1

	various clist modifications for Unicode

2005-09-05 08:38  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/gdiplus.cpp (1.3), "Exp", lines: +14 -0
		miranda/plugins/tabsrmm/msgs.c (1.137), "Exp", lines: +2 -1

	gdi+ unloading

2005-09-04 23:49  ghazan

	Changed:
		miranda/protocols/IRC/IRC.dep (1.2), "Exp", lines: +539 -561
		miranda/protocols/IRC/IRC.dsp (1.6), "Exp", lines: +6 -6
		miranda/protocols/IRC/IRC.mak (1.2), "Exp", lines: +4 -4

	updates for the project files

2005-09-04 23:30  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_iqid.cpp (1.19), "Exp", lines: +27 -27

	fix for the VCard Unicode

2005-09-04 22:50  ghazan

	Changed:
		miranda/src/modules/plugins/newplugins.c (1.17), "Exp", lines: +7 -17
		miranda/src/modules/database/profilemanager.c (1.11), "Exp", lines: +1 -1

	code cleaning

2005-09-04 21:47  ghazan

	Changed:
		miranda/src/modules/button/button.c (1.10), "Exp", lines: +6 -6

	changes for Unicode

2005-09-04 21:19  ghazan

	Added:
		miranda/src/miranda32.dep (1.1)
		miranda/src/miranda32.mak (1.1)
		miranda/src/miranda32.vcproj (1.1)
		miranda/src/miranda32.vcproj.vspscc (1.1)
	Changed:
		miranda/src/miranda32.dsp (1.6), "Exp", lines: +96 -4
		miranda/src/core/commonheaders.h (1.5), "Exp", lines: +5 -1
		miranda/src/core/miranda.c (1.12), "Exp", lines: +18 -18
		miranda/src/core/modules.c (1.7), "Exp", lines: +10 -10
		miranda/src/core/modules.h (1.2), "Exp", lines: +1 -1
		miranda/src/modules/addcontact/addcontact.c (1.5), "Exp", lines: +8 -8
		miranda/src/modules/button/button.c (1.9), "Exp", lines: +10 -10
		miranda/src/modules/contacts/contacts.c (1.5), "Exp", lines: +25 -25
		miranda/src/modules/database/database.c (1.14), "Exp", lines: +33 -33
		miranda/src/modules/database/dbtime.c (1.2), "Exp", lines: +5 -5
		miranda/src/modules/database/profilemanager.c (1.10), "Exp", lines: +36 -32
		miranda/src/modules/findadd/findadd.c (1.6), "Exp", lines: +50 -35
		miranda/src/modules/findadd/searchresults.c (1.5), "Exp", lines: +30 -30
		miranda/src/modules/help/about.c (1.4), "Exp", lines: +6 -6
		miranda/src/modules/history/history.c (1.4), "Exp", lines: +10 -10
		miranda/src/modules/idle/idle.c (1.10), "Exp", lines: +4 -4
		miranda/src/modules/ignore/ignore.c (1.3), "Exp", lines: +3 -3
		miranda/src/modules/langpack/langpack.c (1.8), "Exp", lines: +29 -29
		miranda/src/modules/langpack/lpservices.c (1.6), "Exp", lines: +53 -33
		miranda/src/modules/netlib/netlib.c (1.6), "Exp", lines: +2 -2
		miranda/src/modules/netlib/netlibhttp.c (1.3), "Exp", lines: +32 -32
		miranda/src/modules/netlib/netlibhttpproxy.c (1.3), "Exp", lines: +1 -1
		miranda/src/modules/netlib/netliblog.c (1.13), "Exp", lines: +31 -31
		miranda/src/modules/netlib/netlibopenconn.c (1.8), "Exp", lines: +8 -8
		miranda/src/modules/netlib/netlibopts.c (1.3), "Exp", lines: +16 -16
		miranda/src/modules/options/options.c (1.6), "Exp", lines: +17 -17
		miranda/src/modules/plugins/newplugins.c (1.16), "Exp", lines: +70 -60
		miranda/src/modules/skin/skin.c (1.3), "Exp", lines: +2 -2
		miranda/src/modules/skin/skinicons.c (1.7), "Exp", lines: +49 -49
		miranda/src/modules/skin/sounds.c (1.7), "Exp", lines: +263 -265
		miranda/src/modules/srauth/authdialogs.c (1.2), "Exp", lines: +6 -6
		miranda/src/modules/srawaymsg/awaymsg.c (1.5), "Exp", lines: +7 -7
		miranda/src/modules/srawaymsg/sendmsg.c (1.7), "Exp", lines: +18 -18
		miranda/src/modules/sremail/email.c (1.3), "Exp", lines: +5 -5
		miranda/src/modules/srfile/file.c (1.3), "Exp", lines: +6 -6
		miranda/src/modules/srfile/fileexistsdlg.c (1.3), "Exp", lines: +27 -27
		miranda/src/modules/srfile/fileopts.c (1.3), "Exp", lines: +17 -17
		miranda/src/modules/srfile/filerecvdlg.c (1.4), "Exp", lines: +39 -39
		miranda/src/modules/srfile/filesenddlg.c (1.7), "Exp", lines: +22 -22
		miranda/src/modules/srfile/filexferdlg.c (1.6), "Exp", lines: +60 -60
		miranda/src/modules/srurl/url.c (1.3), "Exp", lines: +1 -1
		miranda/src/modules/srurl/urldialogs.c (1.5), "Exp", lines: +33 -33
		miranda/src/modules/userinfo/contactinfo.c (1.3), "Exp", lines: +67 -66
		miranda/src/modules/userinfo/stdinfo.c (1.5), "Exp", lines: +40 -40
		miranda/src/modules/userinfo/userinfo.c (1.8), "Exp", lines: +14 -14
		miranda/src/modules/utils/bmpfilter.c (1.7), "Exp", lines: +23 -23
		miranda/src/modules/utils/hyperlink.c (1.3), "Exp", lines: +4 -4
		miranda/src/modules/utils/openurl.c (1.4), "Exp", lines: +26 -26
		miranda/src/modules/utils/path.c (1.3), "Exp", lines: +1 -1
		miranda/src/modules/utils/resizer.c (1.4), "Exp", lines: +1 -1
		miranda/src/modules/utils/utils.c (1.3), "Exp", lines: +8 -8
		miranda/src/modules/visibility/visibility.c (1.3), "Exp", lines: +2 -2

	Miranda Unicode core - the first version

2005-09-04 21:14  ghazan

	Added:
		miranda/protocols/JabberG/jabber.dep (1.1)
		miranda/protocols/MSN/msn.dep (1.1)
	Changed:
		miranda/protocols/JabberG/jabber.mak (1.6), "Exp", lines: +40 -75
		miranda/protocols/MSN/msn.mak (1.8), "Exp", lines: +97 -130
		miranda/protocols/Yahoo/Yahoo.dep (1.2), "Exp", lines: +8 -0
		miranda/protocols/Yahoo/Yahoo.mak (1.2), "Exp", lines: +30 -18

	updates for the project files

2005-09-04 21:12  ghazan

	Changed:
		miranda/include/m_chat.h (1.2), "Exp", lines: +631 -0

	[no log message]

2005-09-04 21:12  ghazan

	Changed:
		miranda/protocols/IRC/irc.h (1.5), "Exp", lines: +1 -1

	code cleaning

2005-09-04 21:11  ghazan

	Added:
		miranda/protocols/IRC/IRC.dep (1.1)
		miranda/protocols/IRC/IRC.mak (1.1)
		miranda/protocols/IRC/IRC.vcproj.vspscc (1.1)
	Changed:
		miranda/protocols/IRC/IRC.vcproj (1.2), "Exp", lines: +36 -487

	updates for the project files

2005-09-04 21:05  ghazan

	Added:
		miranda/protocols/IcqOscarJ/icqoscar8.dep (1.1)
		miranda/protocols/IcqOscarJ/icqoscar8.mak (1.1)
		miranda/protocols/IcqOscarJ/icqoscar8.vcproj (1.1)
		miranda/protocols/IcqOscarJ/icqoscar8.vcproj.vspscc (1.1)

	updates for the project files

2005-09-04 21:01  ghazan

	Added:
		miranda/plugins/srmm/srmm.dep (1.1)
		miranda/plugins/srmm/srmm.mak (1.1)
		miranda/protocols/AimTOC2/aim.dep (1.1)
		miranda/protocols/AimTOC2/aim.mak (1.1)
	Changed:
		miranda/plugins/srmm/msgdialog.c (1.60), "Exp", lines: +13 -11
		miranda/plugins/srmm/srmm.dsp (1.13), "Exp", lines: +6 -6
		miranda/protocols/AimTOC2/aim.dsp (1.2), "Exp", lines: +2 -2

	updates for the project files

2005-09-04 20:57  ghazan

	Added:
		miranda/plugins/db3x/db3x.dep (1.1)
		miranda/plugins/import/import.dep (1.1)
		miranda/plugins/import/import.mak (1.1)
	Changed:
		miranda/plugins/db3x/db3x.dsp (1.7), "Exp", lines: +4 -2
		miranda/plugins/db3x/db3x.mak (1.2), "Exp", lines: +46 -46

	updates for the project files

2005-09-04 20:53  ghazan

	Added:
		miranda/plugins/changeinfo/changeinfo.dep (1.1)
		miranda/plugins/changeinfo/changeinfo.mak (1.1)
		miranda/plugins/changeinfo/changeinfo.vcproj (1.1)
		miranda/plugins/changeinfo/changeinfo.vcproj.vspscc (1.1)
		miranda/plugins/chat/chat.dep (1.1)
		miranda/plugins/chat/chat.mak (1.1)
		miranda/plugins/chat/chat.vcproj.vspscc (1.1)
	Changed:
		miranda/plugins/changeinfo/changeinfo.dsp (1.2), "Exp", lines: +3 -3
		miranda/plugins/chat/chat.dsp (1.5), "Exp", lines: +9 -9
		miranda/plugins/chat/chat.vcproj (1.2), "Exp", lines: +77 -249

	updates for the project files

2005-09-04 20:48  ghazan

	Changed:
		miranda/include/m_button.h (1.2), "Exp", lines: +1 -1

	changes for Unicode

2005-09-04 20:46  ghazan

	Changed:
		miranda/include/m_clc.h (1.4), "Exp", lines: +9 -1

	Added new command: CLM_ADDINFOITEMW

2005-09-04 20:44  ghazan

	Changed:
		miranda/include/m_langpack.h (1.4), "Exp", lines: +7 -17

	support for unicode translation in dialogs

2005-09-04 20:43  ghazan

	Changed:
		miranda/include/m_utils.h (1.5), "Exp", lines: +15 -4

	support for Unicode in mir_sntprintf

2005-09-04 20:42  ghazan

	Changed:
		miranda/include/win2k.h (1.10), "Exp", lines: +2 -0

	new SIZEOF() macro for the array size calculation

2005-09-04 04:54  snaphat

	Changed:
		miranda/protocols/AimTOC2/buddies.c (1.3), "Exp", lines: +12 -45
		miranda/protocols/AimTOC2/resource.rc (1.3), "Exp", lines: +12 -12
		miranda/protocols/AimTOC2/services.c (1.3), "Exp", lines: +45 -23
		miranda/protocols/AimTOC2/toc.c (1.3), "Exp", lines: +14 -2
		miranda/protocols/AimTOC2/utils.c (1.3), "Exp", lines: +0 -1
		miranda/protocols/AimTOC2/version.c (1.3), "Exp", lines: +1 -1

	-Changed strcpy() and strcat() functions to buffer overun safe
	mir_snprintf().  -Fixed bug causing main menu to appear in the
	incorrect spot.  -Added a note to the options dialog about the
	default server.  -Refined Typing notify even more(added handling of
	"has entered text" case, and corrected the timing of typing
	notify).  -Fixed a bug that potentially could cause the deletion of
	all buddies if a database key was present.  -Removed old buddylist
	syncing code.

2005-09-04 04:35  snaphat

	Added:
		miranda/protocols/AimTOC2/docs/toc2-readme.txt (1.1)

	Added readme to help some people with connection problems.

2005-09-03 05:00  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.23), "Exp", lines: +15 -2

	added more checks for malformed msgs (thx Bug-O-Mira)

2005-09-02 21:58  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.53), "Exp", lines: +9 -1

	Adding support for setting your own nick if server sends us that
	information.

2005-09-02 16:47  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_thread.cpp (1.21), "Exp", lines: +3 -6

	code cleaning

2005-09-02 16:40  ghazan

	Changed:
		miranda/src/modules/srfile/filexferdlg.c (1.5), "Exp", lines: +4 -2

	small fix for the possible resource leak

2005-09-02 14:56  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.18), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber_iqid.cpp (1.18), "Exp", lines: +30 -28
		miranda/protocols/JabberG/jabber_misc.cpp (1.11), "Exp", lines: +7 -7
		miranda/protocols/JabberG/jabber_std.cpp (1.4), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber_svc.cpp (1.25), "Exp", lines: +118 -100
		miranda/protocols/JabberG/jabber_thread.cpp (1.20), "Exp", lines: +19 -16

	numerous minor bugfixes for the Unicode settings

2005-09-02 07:07  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/gdiplus.cpp (1.2), "Exp", lines: +15 -3
		miranda/plugins/tabsrmm/msgdlgutils.c (1.107), "Exp", lines: +22 -20
		miranda/plugins/tabsrmm/msgs.c (1.136), "Exp", lines: +5 -2
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.41), "Exp", lines: +14 -12

	delayed linking for gdi+

2005-09-02 06:21  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.41), "Exp", lines: +2 -2
		miranda/protocols/Yahoo/util.c (1.13), "Exp", lines: +2 -2
		miranda/protocols/Yahoo/yahoo.h (1.15), "Exp", lines: +2 -1

	Fixing it so when new mail arrives and you see a popup. When you
	press it it can go into your inbox if you enabled autologin.

2005-09-02 06:13  gena01

	Changed:
		miranda/protocols/Yahoo/Yahoo.rc (1.6), "Exp", lines: +4 -1
		miranda/protocols/Yahoo/options.c (1.11), "Exp", lines: +4 -1
		miranda/protocols/Yahoo/resource.h (1.4), "Exp", lines: +2 -1
		miranda/protocols/Yahoo/services.c (1.40), "Exp", lines: +18 -8

	Adding Yahoo Mail Autologin (optional and off by default)

2005-09-02 02:45  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_01service.c (1.33), "Exp", lines: +56 -62
		miranda/protocols/IcqOscarJ/fam_09bos.c (1.6), "Exp", lines: +20 -21
		miranda/protocols/IcqOscarJ/icq_db.c (1.7), "Exp", lines: +34 -2
		miranda/protocols/IcqOscarJ/icq_db.h (1.6), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/icq_infoupdate.c (1.9), "Exp", lines: +11 -16
		miranda/protocols/IcqOscarJ/icq_server.c (1.21), "Exp", lines: +13 -18
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.24), "Exp", lines: +53 -34
		miranda/protocols/IcqOscarJ/icq_servlist.h (1.15), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.18), "Exp", lines: +25 -30
		miranda/protocols/IcqOscarJ/utilities.c (1.31), "Exp", lines: +66 -88

	centralised enumerating ICQ contacts...

2005-09-01 17:50  aloya2

	Changed:
		miranda/plugins/mwclist/resource.rc (1.18), "Exp", lines: +19 -17

	Copyright note for client icons: all client icons are made by
	Angeli-ka, and I have her permission to use them in clist_mw plugin

2005-09-01 01:26  snaphat

	Changed:
		miranda/protocols/AimTOC2/aim.h (1.2), "Exp", lines: +1 -0
		miranda/protocols/AimTOC2/buddies.c (1.2), "Exp", lines: +2 -17
		miranda/protocols/AimTOC2/config.h (1.2), "Exp", lines: +2 -1
		miranda/protocols/AimTOC2/options.c (1.2), "Exp", lines: +3 -0
		miranda/protocols/AimTOC2/resource.h (1.2), "Exp", lines: +1 -0
		miranda/protocols/AimTOC2/resource.rc (1.2), "Exp", lines: +28 -13
		miranda/protocols/AimTOC2/services.c (1.2), "Exp", lines: +63 -63
		miranda/protocols/AimTOC2/toc.c (1.2), "Exp", lines: +10 -3
		miranda/protocols/AimTOC2/userinfo.c (1.2), "Exp", lines: +3 -2
		miranda/protocols/AimTOC2/utils.c (1.2), "Exp", lines: +4 -3
		miranda/protocols/AimTOC2/version.c (1.2), "Exp", lines: +1 -1

	Changed for 1.4.1.5.

2005-09-01 00:07  nightwish2004

	Added:
		miranda/plugins/tabsrmm/gdiplus.cpp (1.1)
	Changed:
		miranda/plugins/tabsrmm/m_avatars.h (1.3), "Exp", lines: +9 -8
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.105), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.220), "Exp", lines: +3 -2
		miranda/plugins/tabsrmm/docs/changelog.txt (1.52), "Exp", lines: +3 -0
		miranda/plugins/tabsrmm/msgdlgutils.c (1.106), "Exp", lines: +89 -17
		miranda/plugins/tabsrmm/resource.h (1.104), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/resource.rc (1.139), "Exp", lines: +6 -3
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.40), "Exp", lines: +411 -405

	[no log message]

2005-08-31 22:32  ghazan

	Changed:
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.24), "Exp", lines: +8 -0
		miranda/protocols/JabberG/jabber.cpp (1.17), "Exp", lines: +5 -0
		miranda/protocols/JabberG/jabber.dsp (1.10), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber.h (1.17), "Exp", lines: +2 -2
		miranda/protocols/JabberG/jabber.rc (1.9), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber.vcproj (1.12), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_agent.cpp (1.8), "Exp", lines: +3 -3
		miranda/protocols/JabberG/jabber_byte.cpp (1.10), "Exp", lines: +7 -7
		miranda/protocols/JabberG/jabber_chat.cpp (1.7), "Exp", lines: +17 -17
		miranda/protocols/JabberG/jabber_file.cpp (1.10), "Exp", lines: +2 -2
		miranda/protocols/JabberG/jabber_ft.cpp (1.8), "Exp", lines: +7 -7
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.17), "Exp", lines: +5 -5
		miranda/protocols/JabberG/jabber_iqid.cpp (1.17), "Exp", lines: +177 -168
		miranda/protocols/JabberG/jabber_iqid_muc.cpp (1.9), "Exp", lines: +9 -9
		miranda/protocols/JabberG/jabber_list.cpp (1.9), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_menu.cpp (1.8), "Exp", lines: +11 -11
		miranda/protocols/JabberG/jabber_misc.cpp (1.10), "Exp", lines: +13 -15
		miranda/protocols/JabberG/jabber_svc.cpp (1.24), "Exp", lines: +83 -49
		miranda/protocols/JabberG/jabber_thread.cpp (1.19), "Exp", lines: +40 -29
		miranda/protocols/JabberG/jabber_userinfo.cpp (1.7), "Exp", lines: +4 -4
		miranda/protocols/JabberG/jabber_util.cpp (1.16), "Exp", lines: +63 -56
		miranda/protocols/JabberG/jabber_vcard.cpp (1.9), "Exp", lines: +1 -1
		miranda/protocols/JabberG/jabber_xmlns.cpp (1.7), "Exp", lines: +3 -3
		miranda/protocols/JabberG/version.h (1.8), "Exp", lines: +3 -3

	fixes for the Unicode settings added support for the GNUPG

2005-08-31 22:28  ghazan

	Changed:
		miranda/src/modules/skin/skinicons.c (1.6), "Exp", lines: +6 -9

	fix for possible memory corruption

2005-08-31 22:27  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.37), "Exp", lines: +53 -81
		miranda/protocols/IcqOscarJ/i18n.h (1.4), "Exp", lines: +3 -2
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.23), "Exp", lines: +105 -133
		miranda/protocols/IcqOscarJ/icq_servlist.h (1.14), "Exp", lines: +8 -6
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.17), "Exp", lines: +19 -50
		miranda/protocols/IcqOscarJ/stdpackets.c (1.23), "Exp", lines: +4 -4

	finished support for Utf-8 custom nicknames (and fixed bug with
	renaming contacts with unicode version of CList - was not working)

2005-08-31 22:24  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/utilities.c (1.30), "Exp", lines: +9 -3

	changed netlog function to accept utf-8

2005-08-31 22:22  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.32), "Exp", lines: +5 -2

	fixed possible crash - queue was broken

2005-08-31 03:32  snaphat

	Added:
		miranda/protocols/AimTOC2/docs/aim-license.txt (1.1)
		miranda/protocols/AimTOC2/docs/aim-protocol.txt (1.1)
		miranda/protocols/AimTOC2/docs/aim-readme.txt (1.1)
		miranda/protocols/AimTOC2/docs/aim-translation.txt (1.1)
		miranda/protocols/AimTOC2/icos/aim.ico (1.1)
		miranda/protocols/AimTOC2/icos/aimxp.ico (1.1)
		miranda/protocols/AimTOC2/icos/blank.ico (1.1)
		miranda/protocols/AimTOC2/icos/delete.ico (1.1)
		miranda/protocols/AimTOC2/icos/groupchat.ico (1.1)
		miranda/protocols/AimTOC2/icos/groupchata.ico (1.1)
		miranda/protocols/AimTOC2/icos/password.ico (1.1)
		miranda/protocols/AimTOC2/icos/show.ico (1.1)
		miranda/protocols/AimTOC2/icos/warn.ico (1.1)
		miranda/protocols/AimTOC2/sdkex/m_chat.h (1.1)
		miranda/protocols/AimTOC2/sdkex/m_smileyadd.h (1.1)

	Updated to 1.4.1.4

2005-08-31 03:18  snaphat

	Added:
		miranda/protocols/AimTOC2/Makefile (1.1)
		miranda/protocols/AimTOC2/Makefile.debug (1.1)
		miranda/protocols/AimTOC2/aim.c (1.1)
		miranda/protocols/AimTOC2/aim.dsp (1.1)
		miranda/protocols/AimTOC2/aim.dsw (1.1)
		miranda/protocols/AimTOC2/aim.h (1.1)
		miranda/protocols/AimTOC2/aim.sln (1.1)
		miranda/protocols/AimTOC2/aim.vcproj (1.1)
		miranda/protocols/AimTOC2/buddies.c (1.1)
		miranda/protocols/AimTOC2/buddies.h (1.1)
		miranda/protocols/AimTOC2/config.h (1.1)
		miranda/protocols/AimTOC2/evilmode.c (1.1)
		miranda/protocols/AimTOC2/evilmode.h (1.1)
		miranda/protocols/AimTOC2/filerecv.c (1.1)
		miranda/protocols/AimTOC2/filerecv.h (1.1)
		miranda/protocols/AimTOC2/firstrun.c (1.1)
		miranda/protocols/AimTOC2/firstrun.h (1.1)
		miranda/protocols/AimTOC2/groupchat.c (1.1)
		miranda/protocols/AimTOC2/groupchat.h (1.1)
		miranda/protocols/AimTOC2/groups.c (1.1)
		miranda/protocols/AimTOC2/groups.h (1.1)
		miranda/protocols/AimTOC2/idle.c (1.1)
		miranda/protocols/AimTOC2/idle.h (1.1)
		miranda/protocols/AimTOC2/im.c (1.1)
		miranda/protocols/AimTOC2/im.h (1.1)
		miranda/protocols/AimTOC2/keepalive.c (1.1)
		miranda/protocols/AimTOC2/keepalive.h (1.1)
		miranda/protocols/AimTOC2/links.c (1.1)
		miranda/protocols/AimTOC2/links.h (1.1)
		miranda/protocols/AimTOC2/list.c (1.1)
		miranda/protocols/AimTOC2/list.h (1.1)
		miranda/protocols/AimTOC2/log.c (1.1)
		miranda/protocols/AimTOC2/log.h (1.1)
		miranda/protocols/AimTOC2/options.c (1.1)
		miranda/protocols/AimTOC2/options.h (1.1)
		miranda/protocols/AimTOC2/password.c (1.1)
		miranda/protocols/AimTOC2/password.h (1.1)
		miranda/protocols/AimTOC2/pthread.c (1.1)
		miranda/protocols/AimTOC2/pthread.h (1.1)
		miranda/protocols/AimTOC2/resource.h (1.1)
		miranda/protocols/AimTOC2/resource.rc (1.1)
		miranda/protocols/AimTOC2/resrc1.h (1.1)
		miranda/protocols/AimTOC2/search.c (1.1)
		miranda/protocols/AimTOC2/search.h (1.1)
		miranda/protocols/AimTOC2/server.c (1.1)
		miranda/protocols/AimTOC2/server.h (1.1)
		miranda/protocols/AimTOC2/services.c (1.1)
		miranda/protocols/AimTOC2/services.h (1.1)
		miranda/protocols/AimTOC2/toc.c (1.1)
		miranda/protocols/AimTOC2/toc.h (1.1)
		miranda/protocols/AimTOC2/userinfo.c (1.1)
		miranda/protocols/AimTOC2/userinfo.h (1.1)
		miranda/protocols/AimTOC2/utils.c (1.1)
		miranda/protocols/AimTOC2/utils.h (1.1)
		miranda/protocols/AimTOC2/version.c (1.1)

	Updated to 1.4.1.4

2005-08-31 00:57  gena01

	Changed:
		miranda/protocols/Yahoo/options.c (1.10), "Exp", lines: +4 -4
		miranda/protocols/Yahoo/util.c (1.12), "Exp", lines: +2 -2
		miranda/protocols/Yahoo/yahoo.c (1.52), "Exp", lines: +2 -2

	Changing some defaults. Show Error Popups and don't show typing
	notification popups since most *srmm already show typing right in
	the message window.

2005-08-30 23:20  ghazan

	Changed:
		miranda/src/modules/contacts/contacts.c (1.4), "Exp", lines: +4 -1

	fix for clist_classic Unicode: the 'Unknown contact' message

2005-08-30 23:15  ghazan

	Changed:
		miranda/src/modules/button/button.c (1.8), "Exp", lines: +4 -5

	fir for a potential resource leak

2005-08-30 02:18  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdlgutils.c (1.105), "Exp", lines: +64 -60
		miranda/plugins/tabsrmm/msgs.c (1.135), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/resource.h (1.103), "Exp", lines: +2 -8
		miranda/plugins/tabsrmm/resource.rc (1.138), "Exp", lines: +2 -15
		miranda/plugins/tabsrmm/docs/changelog.txt (1.51), "Exp", lines: +4 -0

	[no log message]

2005-08-29 22:40  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/m_avatars.h (1.2), "Exp", lines: +55 -9
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.104), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.219), "Exp", lines: +12 -24
		miranda/plugins/tabsrmm/msgdlgutils.c (1.104), "Exp", lines: +11 -86
		miranda/plugins/tabsrmm/msgdlgutils.h (1.31), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgs.c (1.134), "Exp", lines: +21 -36
		miranda/plugins/tabsrmm/msgs.h (1.99), "Exp", lines: +3 -2
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.39), "Exp", lines: +2 -0

	converted avatar code to use avatarservice tabSRMM now requires
	loadavatars.dll

2005-08-27 23:22  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_01service.c (1.32), "Exp", lines: +4 -5
		miranda/protocols/IcqOscarJ/fam_02location.c (1.6), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.37), "Exp", lines: +9 -7
		miranda/protocols/IcqOscarJ/fam_04message.c (1.22), "Exp", lines: +9 -18
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.36), "Exp", lines: +3 -8
		miranda/protocols/IcqOscarJ/globals.h (1.5), "Exp", lines: +3 -2
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.31), "Exp", lines: +38 -20
		miranda/protocols/IcqOscarJ/icq_avatar.h (1.7), "Exp", lines: +6 -6
		miranda/protocols/IcqOscarJ/icq_db.c (1.6), "Exp", lines: +7 -5
		miranda/protocols/IcqOscarJ/icq_db.h (1.5), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_packet.c (1.12), "Exp", lines: +7 -5
		miranda/protocols/IcqOscarJ/icq_packet.h (1.8), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_server.c (1.20), "Exp", lines: +3 -4
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.22), "Exp", lines: +14 -16
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.16), "Exp", lines: +10 -17
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.29), "Exp", lines: +32 -33
		miranda/protocols/IcqOscarJ/utilities.c (1.29), "Exp", lines: +54 -9

	changed UID handling not to use malloc; Auth fixes; Avatar fixes;
	more effective cookie list; code cleaning

2005-08-27 23:21  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.20), "Exp", lines: +55 -48

	changed UID handling not to use malloc; Avatar fixes

2005-08-27 22:14  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.67), "Exp", lines: +15 -4
		miranda/protocols/MSN/Docs/history-msn.txt (1.40), "Exp", lines: +6 -0

	fixed bug with initial Hotmail notification in the MSN Messenger 7
	mode

2005-08-27 17:27  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.35), "Exp", lines: +33 -11
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.28), "Exp", lines: +25 -11
		miranda/protocols/IcqOscarJ/stdpackets.c (1.22), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/stdpackets.h (1.8), "Exp", lines: +3 -3

	added AIM support for Auth part

2005-08-27 17:26  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.36), "Exp", lines: +3 -40
		miranda/protocols/IcqOscarJ/icq_packet.c (1.11), "Exp", lines: +4 -3
		miranda/protocols/IcqOscarJ/utilities.c (1.28), "Exp", lines: +35 -4

	fixed global UID handling - did not work for short SNs and was
	case-sensitive

2005-08-27 01:24  ghazan

	Changed:
		miranda/protocols/MSN/version.h (1.11), "Exp", lines: +3 -3

	version bump

2005-08-27 00:19  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.66), "Exp", lines: +4 -5

	fixed a bug with UTF8 in the group names

2005-08-26 22:24  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_db.c (1.5), "Exp", lines: +50 -7
		miranda/protocols/IcqOscarJ/icq_db.h (1.4), "Exp", lines: +6 -2

	0.3.6devel phase 2: global UID handling (with AIM SN support);
	unicode dB module support

2005-08-26 22:12  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/fam_0alookup.c (1.1)
	Changed:
		miranda/protocols/IcqOscarJ/chan_01login.c (1.9), "Exp", lines: +5 -5
		miranda/protocols/IcqOscarJ/chan_02data.c (1.5), "Exp", lines: +26 -31
		miranda/protocols/IcqOscarJ/channels.h (1.3), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/fam_01service.c (1.31), "Exp", lines: +59 -37
		miranda/protocols/IcqOscarJ/fam_02location.c (1.5), "Exp", lines: +14 -28
		miranda/protocols/IcqOscarJ/fam_04message.c (1.21), "Exp", lines: +171 -122
		miranda/protocols/IcqOscarJ/fam_09bos.c (1.5), "Exp", lines: +6 -4
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.34), "Exp", lines: +215 -259
		miranda/protocols/IcqOscarJ/fam_15icqserver.c (1.12), "Exp", lines: +87 -31
		miranda/protocols/IcqOscarJ/families.h (1.7), "Exp", lines: +3 -2
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.30), "Exp", lines: +62 -16
		miranda/protocols/IcqOscarJ/icq_avatar.h (1.6), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_constants.h (1.20), "Exp", lines: +18 -3
		miranda/protocols/IcqOscarJ/icq_direct.c (1.11), "Exp", lines: +6 -3
		miranda/protocols/IcqOscarJ/icq_directmsg.c (1.8), "Exp", lines: +9 -18
		miranda/protocols/IcqOscarJ/icq_filerequests.c (1.7), "Exp", lines: +4 -3
		miranda/protocols/IcqOscarJ/icq_filetransfer.c (1.8), "Exp", lines: +4 -3
		miranda/protocols/IcqOscarJ/icq_infoupdate.c (1.8), "Exp", lines: +14 -9
		miranda/protocols/IcqOscarJ/icq_opts.c (1.14), "Exp", lines: +9 -4
		miranda/protocols/IcqOscarJ/icq_server.c (1.19), "Exp", lines: +8 -5
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.21), "Exp", lines: +106 -56
		miranda/protocols/IcqOscarJ/icq_servlist.h (1.13), "Exp", lines: +5 -3
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.15), "Exp", lines: +72 -24
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.27), "Exp", lines: +255 -136
		miranda/protocols/IcqOscarJ/resource.h (1.12), "Exp", lines: +2 -0
		miranda/protocols/IcqOscarJ/resources.rc (1.19), "Exp", lines: +5 -5
		miranda/protocols/IcqOscarJ/stdpackets.c (1.21), "Exp", lines: +187 -92
		miranda/protocols/IcqOscarJ/stdpackets.h (1.7), "Exp", lines: +29 -11

	0.3.6devel phase 2: global UID handling (with AIM SN support);
	unicode dB module support; code clieaning & optimisations

2005-08-26 22:03  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/icq_clients.c (1.1)
	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.35), "Exp", lines: +188 -411

	global UID handling (with AIM SN support); separated client
	detection

2005-08-26 21:59  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_packet.c (1.10), "Exp", lines: +47 -12
		miranda/protocols/IcqOscarJ/icq_packet.h (1.7), "Exp", lines: +4 -2

	added UID functions

2005-08-26 21:58  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.8), "Exp", lines: +15 -48

	global UID handling (with AIM SN support); unicode DB module
	support

2005-08-26 21:57  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icqoscar8.dsp (1.10), "Exp", lines: +9 -1

	added LOOKUP family handler, separated client detection

2005-08-26 21:55  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/init.h (1.7), "Exp", lines: +4 -3
		miranda/protocols/IcqOscarJ/init.c (1.26), "Exp", lines: +8 -4

	UIN cache; new DEFINEs

2005-08-26 21:53  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/utilities.c (1.27), "Exp", lines: +271 -85
		miranda/protocols/IcqOscarJ/utilities.h (1.16), "Exp", lines: +11 -6

	global UID handling (with AIM SN support); UIN cache; code cleaning

2005-08-26 21:46  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/askauthentication.c (1.5), "Exp", lines: +5 -4
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.19), "Exp", lines: +20 -14

	global UID handling (with AIM SN support)

2005-08-26 21:36  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/changeinfo/dlgproc.c (1.3), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/changeinfo/editlist.c (1.2), "Exp", lines: +4 -5

	fixed bug with translated listbox values (thx Bio)

2005-08-26 21:31  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/docs/icq-readme.txt (1.25), "Exp", lines: +6 -1

	updated

2005-08-26 20:50  ghazan

	Added:
		miranda/protocols/Yahoo/Yahoo.sln (1.1)
		miranda/protocols/Yahoo/Yahoo.vcproj (1.1)
		miranda/protocols/Yahoo/Yahoo.vcproj.vspscc (1.1)

	[no log message]

2005-08-24 21:33  nightwish2004

	Added:
		miranda/plugins/tabsrmm/m_updater.h (1.1)
	Changed:
		miranda/plugins/tabsrmm/msgs.c (1.133), "Exp", lines: +35 -2
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.38), "Exp", lines: +2 -0
		miranda/plugins/tabsrmm/docs/changelog.txt (1.50), "Exp", lines: +2 -0

	added support for updater plugin

2005-08-24 01:09  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/m_smileyadd.h (1.5), "Exp", lines: +45 -11
		miranda/plugins/tabsrmm/msgdialog.c (1.218), "Exp", lines: +22 -49
		miranda/plugins/tabsrmm/msgdlgutils.c (1.103), "Exp", lines: +38 -1
		miranda/plugins/tabsrmm/msgdlgutils.h (1.30), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgs.c (1.132), "Exp", lines: +11 -2
		miranda/plugins/tabsrmm/msgs.h (1.98), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/docs/changelog.txt (1.49), "Exp", lines: +11 -1

	added support for smileyadds new changed options event

2005-08-24 01:04  ghazan

	Changed:
		miranda/plugins/import/import.dsp (1.2), "Exp", lines: +173 -173

	code cleaning

2005-08-24 01:01  ghazan

	Added:
		miranda/plugins/srmm/srmm.vcproj (1.1)
		miranda/plugins/srmm/srmm.vcproj.vspscc (1.1)
		miranda/plugins/import/import.vcproj (1.1)
		miranda/plugins/import/import.vcproj.vspscc (1.1)

	added project files for VS2003

2005-08-24 00:59  ghazan

	Changed:
		miranda/plugins/srmm/srmm.dsp (1.12), "Exp", lines: +16 -15

	code cleaning

2005-08-24 00:48  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.217), "Exp", lines: +5 -6

	fixed gdi leak in the new "embedded" clist (multisend) code

2005-08-24 00:37  ghazan

	Added:
		miranda/protocols/Yahoo/Yahoo.dep (1.1)
		miranda/protocols/Yahoo/Yahoo.dsp (1.1)
		miranda/protocols/Yahoo/Yahoo.mak (1.1)
	Changed:
		miranda/protocols/Yahoo/services.c (1.39), "Exp", lines: +11 -9

	fixes to compile plugin using VC6

2005-08-23 23:16  ghazan

	Added:
		miranda/protocols/AimTOC/aim.sln (1.1)
		miranda/protocols/AimTOC/aim.vcproj (1.1)

	changes for TOC2 (thanks snaphat)

2005-08-23 23:11  ghazan

	Changed:
		miranda/protocols/AimTOC/Makefile (1.6), "Exp", lines: +1 -0
		miranda/protocols/AimTOC/aim.c (1.8), "Exp", lines: +1 -1
		miranda/protocols/AimTOC/aim.dsw (1.2), "Exp", lines: +29 -29
		miranda/protocols/AimTOC/buddies.c (1.14), "Exp", lines: +48 -23
		miranda/protocols/AimTOC/config.h (1.16), "Exp", lines: +1 -1
		miranda/protocols/AimTOC/im.c (1.5), "Exp", lines: +6 -5
		miranda/protocols/AimTOC/services.c (1.7), "Exp", lines: +51 -2
		miranda/protocols/AimTOC/toc.c (1.9), "Exp", lines: +18 -10
		miranda/protocols/AimTOC/toc.h (1.4), "Exp", lines: +1 -1
		miranda/protocols/AimTOC/version.c (1.8), "Exp", lines: +1 -1

	changes for TOC2 (thanks snaphat)

2005-08-23 22:29  ghazan

	Changed:
		miranda/protocols/AimTOC/Makefile (1.5), "Exp", lines: +1 -1
		miranda/protocols/AimTOC/aim.dsp (1.4), "Exp", lines: +332 -332
		miranda/protocols/AimTOC/buddies.c (1.13), "Exp", lines: +38 -16
		miranda/protocols/AimTOC/config.h (1.15), "Exp", lines: +2 -2
		miranda/protocols/AimTOC/im.c (1.4), "Exp", lines: +1 -1
		miranda/protocols/AimTOC/services.c (1.6), "Exp", lines: +1 -1
		miranda/protocols/AimTOC/toc.c (1.8), "Exp", lines: +34 -14
		miranda/protocols/AimTOC/toc.h (1.3), "Exp", lines: +2 -2
		miranda/protocols/AimTOC/version.c (1.7), "Exp", lines: +6 -6

	changes for TOC2 (thanks snaphat)

2005-08-21 14:22  ghazan

	Changed:
		miranda/protocols/MSN/msn.cpp (1.32), "Exp", lines: +5 -33

	code cleaning

2005-08-21 14:04  ghazan

	Changed:
		miranda/protocols/MSN/msn.cpp (1.31), "Exp", lines: +1 -1
		miranda/plugins/clist/init.c (1.13), "Exp", lines: +5 -0

	code cleaning

2005-08-21 12:40  ghazan

	Changed:
		miranda/protocols/IcqOscarJ/icq_db.c (1.4), "Exp", lines: +3 -3

	fix for a function name typo

2005-08-21 06:04  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/tabctrl.c (1.29), "Exp", lines: +1 -2

	[no log message]

2005-08-20 00:31  ghazan

	Changed:
		miranda/include/m_database.h (1.5), "Exp", lines: +1 -1

	fixed typo in the function name

2005-08-20 00:30  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.65), "Exp", lines: +3 -4
		miranda/protocols/MSN/msn_misc.cpp (1.37), "Exp", lines: +2 -3
		miranda/protocols/MSN/msn_srv.cpp (1.4), "Exp", lines: +4 -1
		miranda/protocols/MSN/msn_std.cpp (1.7), "Exp", lines: +1 -1

	fix for the incorrect group names processing

2005-08-19 17:18  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdlgutils.c (1.102), "Exp", lines: +2 -2

	xstatus bugfix

2005-08-19 16:21  i_am_matrix

	Added:
		miranda/plugins/chat/IcoLib.h (1.1)
		miranda/plugins/chat/chat.vcproj (1.1)
		miranda/plugins/chat/m_ieview.h (1.1)
		miranda/plugins/chat/richutil.c (1.1)
		miranda/plugins/chat/richutil.h (1.1)
	Changed:
		miranda/plugins/chat/chat.dsp (1.4), "Exp", lines: +74 -6
		miranda/plugins/chat/chat.h (1.7), "Exp", lines: +238 -91
		miranda/plugins/chat/chat.rc (1.5), "Exp", lines: +139 -99
		miranda/plugins/chat/clist.c (1.7), "Exp", lines: +50 -66
		miranda/plugins/chat/colorchooser.c (1.2), "Exp", lines: +7 -7
		miranda/plugins/chat/log.c (1.5), "Exp", lines: +295 -346
		miranda/plugins/chat/m_chat.h (1.2), "Exp", lines: +421 -214
		miranda/plugins/chat/main.c (1.10), "Exp", lines: +107 -26
		miranda/plugins/chat/manager.c (1.3), "Exp", lines: +1162 -195
		miranda/plugins/chat/message.c (1.5), "Exp", lines: +28 -29
		miranda/plugins/chat/options.c (1.7), "Exp", lines: +492 -224
		miranda/plugins/chat/resource.h (1.3), "Exp", lines: +34 -11
		miranda/plugins/chat/services.c (1.7), "Exp", lines: +702 -76
		miranda/plugins/chat/tools.c (1.8), "Exp", lines: +679 -173
		miranda/plugins/chat/window.c (1.11), "Exp", lines: +1845 -1474

	Tabbed chat... rm_chat.h changed, please re-read it

2005-08-19 16:18  i_am_matrix

	Changed:
		miranda/plugins/chat/Docs/Chat_Readme.txt (1.3), "Exp", lines: +3 -3
		miranda/plugins/chat/Docs/Chat_Translate.txt (1.3), "Exp", lines: +31 -13

	docs update

2005-08-19 16:16  i_am_matrix

	Added:
		miranda/plugins/chat/Icons/1.ico (1.1)
		miranda/plugins/chat/Icons/2.ico (1.1)
		miranda/plugins/chat/Icons/3.ico (1.1)
		miranda/plugins/chat/Icons/4.ico (1.1)
		miranda/plugins/chat/Icons/5.ico (1.1)
		miranda/plugins/chat/Icons/6.ico (1.1)
		miranda/plugins/chat/Icons/Thumbs.db (1.1)
		miranda/plugins/chat/Icons/close.ico (1.1)
		miranda/plugins/chat/Icons/filter2.ico (1.1)
		miranda/plugins/chat/Icons/nicklist2.ico (1.1)
		miranda/plugins/chat/Icons/overlay.ico (1.1)
		miranda/plugins/chat/Icons/smileyc.ico (1.1)
	Changed:
		miranda/plugins/chat/Icons/bkgcolor.ico (1.2), "Exp", lines: +1 -4
		miranda/plugins/chat/Icons/bold.ico (1.2), "Exp", lines: +5 -1
		miranda/plugins/chat/Icons/color.ico (1.3), "Exp", lines: +2 -2
		miranda/plugins/chat/Icons/filter.ico (1.2), "Exp", lines: +1 -9
		miranda/plugins/chat/Icons/history.ico (1.2), "Exp", lines: +1 -3
		miranda/plugins/chat/Icons/italics.ico (1.2), "Exp", lines: +2 -1
		miranda/plugins/chat/Icons/nicklist.ico (1.2), "Exp", lines: +1 -3
		miranda/plugins/chat/Icons/topicbut.ico (1.2), "Exp", lines: +1 -1
		miranda/plugins/chat/Icons/underline.ico (1.2), "Exp", lines: +2 -1
		miranda/plugins/chat/Icons/window.ico (1.2), "Exp", lines: +5 -1

	Icons update

2005-08-19 16:10  i_am_matrix

	Changed:
		miranda/protocols/IRC/Docs/IRC_Readme.txt (1.4), "Exp", lines: +10 -10
		miranda/protocols/IRC/Docs/IRC_Translate.txt (1.4), "Exp", lines: +36 -14

	updates to docs

2005-08-19 16:09  i_am_matrix

	Added:
		miranda/protocols/IRC/Icons/dcc.ico (1.1)
		miranda/protocols/IRC/Icons/part.ico (1.1)

	Tabbed Chat, re-read m_chat.h

2005-08-19 16:03  i_am_matrix

	Added:
		miranda/protocols/IRC/IRC.vcproj (1.1)
		miranda/protocols/IRC/IcoLib.h (1.1)
		miranda/protocols/IRC/m_ircscript.h (1.1)
		miranda/protocols/IRC/scripting.cpp (1.1)
	Changed:
		miranda/protocols/IRC/IRC.dsp (1.5), "Exp", lines: +22 -2
		miranda/protocols/IRC/IRC.rc (1.6), "Exp", lines: +189 -90
		miranda/protocols/IRC/clist.cpp (1.3), "Exp", lines: +1 -2
		miranda/protocols/IRC/commandmonitor.cpp (1.11), "Exp", lines: +657 -399
		miranda/protocols/IRC/commandmonitor.h (1.4), "Exp", lines: +1 -0
		miranda/protocols/IRC/input.cpp (1.6), "Exp", lines: +104 -53
		miranda/protocols/IRC/irc.h (1.4), "Exp", lines: +35 -6
		miranda/protocols/IRC/irclib.cpp (1.9), "Exp", lines: +97 -16
		miranda/protocols/IRC/irclib.h (1.4), "Exp", lines: +11 -9
		miranda/protocols/IRC/main.cpp (1.14), "Exp", lines: +34 -7
		miranda/protocols/IRC/options.cpp (1.8), "Exp", lines: +745 -55
		miranda/protocols/IRC/output.cpp (1.4), "Exp", lines: +7 -7
		miranda/protocols/IRC/resource.h (1.3), "Exp", lines: +26 -8
		miranda/protocols/IRC/services.cpp (1.14), "Exp", lines: +350 -218
		miranda/protocols/IRC/tools.cpp (1.5), "Exp", lines: +226 -110
		miranda/protocols/IRC/windows.cpp (1.4), "Exp", lines: +103 -40

	Update to 0.6.3.5. Lots of changes. Support for scripting, icolib
	(0003+) and tabbed Chat (0.3+).

2005-08-19 00:06  ghazan

	Changed:
		miranda/src/modules/langpack/langpack.c (1.7), "Exp", lines: +15 -12

	fixed memory corruption bug

2005-08-17 00:23  ghazan

	Changed:
		miranda/protocols/MSN/msn.cpp (1.30), "Exp", lines: +6 -3
		miranda/protocols/MSN/msn_commands.cpp (1.64), "Exp", lines: +5 -10
		miranda/protocols/MSN/msn_global.h (1.39), "Exp", lines: +21 -1
		miranda/protocols/MSN/msn_misc.cpp (1.36), "Exp", lines: +19 -11
		miranda/protocols/MSN/msn_opts.cpp (1.27), "Exp", lines: +3 -7
		miranda/protocols/MSN/msn_srv.cpp (1.3), "Exp", lines: +4 -4
		miranda/protocols/MSN/msn_std.cpp (1.6), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_svcs.cpp (1.48), "Exp", lines: +20 -38

	fixes for adding/removing contacts from/to a server group

2005-08-15 23:43  ghazan

	Changed:
		miranda/plugins/db3x/init.c (1.11), "Exp", lines: +1 -1

	version bump, to distinguish db3x version with Unicode changes

2005-08-09 18:47  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.51), "Exp", lines: +5 -3

	Don't continue downloading if we got the full size of the file
	already? Seems in some cases some garbage gets sent??

2005-08-09 18:40  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.38), "Exp", lines: +2 -2

	Changing to HTTPS for logging in to yahoo mail using secure
	protocol.

2005-08-04 16:50  nightwish2004

	Added:
		miranda/plugins/tabsrmm/m_avatars.h (1.1)

	[no log message]

2005-08-04 02:32  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/docs/changelog.txt (1.48), "Exp", lines: +7 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.216), "Exp", lines: +38 -31
		miranda/plugins/tabsrmm/msgdlgutils.c (1.101), "Exp", lines: +8 -7
		miranda/plugins/tabsrmm/msgwindow.rc (1.53), "Exp", lines: +0 -2
		miranda/plugins/tabsrmm/templates.c (1.22), "Exp", lines: +2 -2

	multisend-clist fix

2005-07-30 04:29  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/eventpopups.c (1.40), "Exp", lines: +5 -5
		miranda/plugins/tabsrmm/msgdlgutils.c (1.100), "Exp", lines: +6 -4
		miranda/plugins/tabsrmm/msglog.c (1.107), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/resource.rc (1.137), "Exp", lines: +5 -5
		miranda/plugins/tabsrmm/srmm.c (1.37), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/themes.c (1.12), "Exp", lines: +41 -37

	bugfix user prefs dialog version number bump

2005-07-28 22:17  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_constants.h (1.19), "Exp", lines: +3 -3

	updated Lost Password URL

2005-07-28 00:20  nightwish2004

	Added:
		miranda/plugins/tabsrmm/themes/compact.tabsrmm (1.1)
		miranda/plugins/tabsrmm/themes/fancy.tabsrmm (1.1)
	Changed:
		miranda/plugins/tabsrmm/container.c (1.117), "Exp", lines: +63 -3
		miranda/plugins/tabsrmm/containeroptions.c (1.20), "Exp", lines: +29 -1
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.103), "Exp", lines: +41 -24
		miranda/plugins/tabsrmm/msgdialog.c (1.215), "Exp", lines: +16 -22
		miranda/plugins/tabsrmm/msgdlgutils.c (1.99), "Exp", lines: +101 -10
		miranda/plugins/tabsrmm/msgdlgutils.h (1.29), "Exp", lines: +4 -1
		miranda/plugins/tabsrmm/msglog.c (1.106), "Exp", lines: +65 -51
		miranda/plugins/tabsrmm/msgoptions.c (1.115), "Exp", lines: +1 -5
		miranda/plugins/tabsrmm/msgs.h (1.97), "Exp", lines: +5 -0
		miranda/plugins/tabsrmm/resource.h (1.102), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/resource.rc (1.136), "Exp", lines: +32 -22
		miranda/plugins/tabsrmm/srmm.c (1.36), "Exp", lines: +26 -1
		miranda/plugins/tabsrmm/themes.c (1.11), "Exp", lines: +233 -86

	per container themes

2005-07-26 15:46  nightwish2004

	Added:
		miranda/plugins/tabsrmm/docs/INSTALL (1.1)
		miranda/plugins/tabsrmm/help/Message Window Help.rtf (1.1)
		miranda/plugins/tabsrmm/installer/installer_unicode.nsi (1.1)
		miranda/plugins/tabsrmm/installer/license.txt (1.1)
	Changed:
		miranda/plugins/tabsrmm/URLCtrl.c (1.2), "Exp", lines: +12 -2
		miranda/plugins/tabsrmm/URLCtrl.h (1.2), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/container.c (1.116), "Exp", lines: +17 -7
		miranda/plugins/tabsrmm/msgdialog.c (1.214), "Exp", lines: +28 -13
		miranda/plugins/tabsrmm/msgdlgutils.c (1.98), "Exp", lines: +11 -5
		miranda/plugins/tabsrmm/msgoptions.c (1.114), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgs.c (1.131), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/resource.h (1.101), "Exp", lines: +20 -3
		miranda/plugins/tabsrmm/resource.rc (1.135), "Exp", lines: +68 -0
		miranda/plugins/tabsrmm/srmm.c (1.35), "Exp", lines: +120 -0
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.37), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/templates.c (1.21), "Exp", lines: +38 -9
		miranda/plugins/tabsrmm/docs/changelog.txt (1.47), "Exp", lines: +18 -0
		miranda/plugins/tabsrmm/docs/readme.txt (1.4), "Exp", lines: +0 -37

	about dialog, first time config, help system

2005-07-26 01:16  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/chan_01login.c (1.8), "Exp", lines: +5 -5
		miranda/protocols/IcqOscarJ/directpackets.c (1.5), "Exp", lines: +8 -4
		miranda/protocols/IcqOscarJ/fam_02location.c (1.4), "Exp", lines: +143 -2
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.34), "Exp", lines: +36 -180
		miranda/protocols/IcqOscarJ/fam_04message.c (1.20), "Exp", lines: +107 -33
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.33), "Exp", lines: +20 -3
		miranda/protocols/IcqOscarJ/fam_15icqserver.c (1.11), "Exp", lines: +14 -17
		miranda/protocols/IcqOscarJ/globals.h (1.4), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.29), "Exp", lines: +180 -3
		miranda/protocols/IcqOscarJ/icq_avatar.h (1.5), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/icq_constants.h (1.18), "Exp", lines: +42 -38
		miranda/protocols/IcqOscarJ/icq_db.c (1.3), "Exp", lines: +67 -2
		miranda/protocols/IcqOscarJ/icq_db.h (1.3), "Exp", lines: +5 -2
		miranda/protocols/IcqOscarJ/icq_opts.c (1.13), "Exp", lines: +17 -7
		miranda/protocols/IcqOscarJ/icq_server.c (1.18), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.5), "Exp", lines: +15 -13
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.7), "Exp", lines: +7 -2
		miranda/protocols/IcqOscarJ/init.c (1.25), "Exp", lines: +56 -89
		miranda/protocols/IcqOscarJ/resource.h (1.11), "Exp", lines: +3 -1
		miranda/protocols/IcqOscarJ/resources.rc (1.18), "Exp", lines: +10 -6
		miranda/protocols/IcqOscarJ/stdpackets.c (1.20), "Exp", lines: +8 -58
		miranda/protocols/IcqOscarJ/utilities.c (1.26), "Exp", lines: +40 -2
		miranda/protocols/IcqOscarJ/utilities.h (1.15), "Exp", lines: +5 -2

	too much changes to list

2005-07-26 01:14  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.18), "Exp", lines: +30 -12

	added current status, removed change details hyperlink

2005-07-26 01:14  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/changeinfo/db.c (1.3), "Exp", lines: +2 -6

	no message

2005-07-26 01:12  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/docs/icq-readme.txt (1.24), "Exp", lines: +7 -1

	updated

2005-07-25 05:34  nightwish2004

	Changed:
		miranda/src/modules/help/about.c (1.3), "Exp", lines: +5 -0

	fixed small GDI font leak in about dialog (IDC_VERSION font wasn't
	destroyed)

2005-07-24 19:47  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.115), "Exp", lines: +31 -16
		miranda/plugins/tabsrmm/formatting.cpp (1.36), "Exp", lines: +29 -6
		miranda/plugins/tabsrmm/msgdialog.c (1.213), "Exp", lines: +14 -2
		miranda/plugins/tabsrmm/msgdlgutils.c (1.97), "Exp", lines: +2 -6
		miranda/plugins/tabsrmm/msgoptions.c (1.113), "Exp", lines: +4 -4
		miranda/plugins/tabsrmm/msgs.c (1.130), "Exp", lines: +7 -7
		miranda/plugins/tabsrmm/resource.rc (1.134), "Exp", lines: +4 -7
		miranda/plugins/tabsrmm/srmm.c (1.34), "Exp", lines: +14 -1
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.36), "Exp", lines: +11 -16
		miranda/plugins/tabsrmm/docs/changelog.txt (1.46), "Exp", lines: +15 -1

	0.9.9.97

2005-07-23 21:42  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.18), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.17), "Exp", lines: +1 -0

	Connection server config was broken for non-debug

2005-07-23 19:01  ono

	Changed:
		miranda/protocols/Gadu-Gadu/dialogs.c (1.11), "Exp", lines: +7 -1
		miranda/protocols/Gadu-Gadu/ownerinfo.c (1.5), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.16), "Exp", lines: +3 -2
		miranda/protocols/Gadu-Gadu/docs/gg-translation-sample.txt (1.5), "Exp", lines: +2 -0

	Fix: Password retrieval was broken

2005-07-23 15:09  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.17), "Exp", lines: +3 -2
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.15), "Exp", lines: +3 -1

	Image size reduced to 255KB max accepted by org GG client + receive
	fix

2005-07-23 00:29  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.16), "Exp", lines: +297 -292
		miranda/protocols/Gadu-Gadu/gg.c (1.13), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/image.cpp (1.7), "Exp", lines: +13 -8
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.14), "Exp", lines: +4 -0

	0.0.3.4: libgadu fixed introduced ghost image messages

2005-07-22 23:24  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.114), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgdlgutils.c (1.96), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgoptions.c (1.112), "Exp", lines: +4 -4
		miranda/plugins/tabsrmm/msgs.h (1.96), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/tabctrl.c (1.28), "Exp", lines: +2 -2

	[no log message]

2005-07-22 22:56  ghazan

	Changed:
		miranda/plugins/clist/init.c (1.12), "Exp", lines: +42 -39

	version bump

2005-07-22 22:13  ghazan

	Changed:
		miranda/plugins/clist/clc.c (1.9), "Exp", lines: +11 -3

	fix for group collapsing/expanding

2005-07-22 21:37  ghazan

	Changed:
		miranda/plugins/clist/clc.h (1.7), "Exp", lines: +2 -0
		miranda/plugins/clist/clcmsgs.c (1.5), "Exp", lines: +428 -421
		miranda/plugins/clist/clistsettings.c (1.5), "Exp", lines: +27 -24

	fix for 'Chinese' symbols in user-defined contacts (like **All
	contacts**)

2005-07-22 17:07  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/docs/changelog.txt (1.45), "Exp", lines: +2 -0
		miranda/plugins/tabsrmm/m_smileyadd.h (1.4), "Exp", lines: +75 -65
		miranda/plugins/tabsrmm/msgdialog.c (1.212), "Exp", lines: +29 -12
		miranda/plugins/tabsrmm/msglog.c (1.105), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgoptions.c (1.111), "Exp", lines: +12 -10
		miranda/plugins/tabsrmm/msgs.h (1.95), "Exp", lines: +1 -1

	ctrl-k for clearing the message input area support for smileyadd
	0.1.5 added

2005-07-21 15:32  ghazan

	Changed:
		miranda/include/m_database.h (1.4), "Exp", lines: +5 -6

	fixed a typo in the code. thanks Josef for pointing me out :)

2005-07-21 15:26  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.63), "Exp", lines: +20 -7

	fix for receiving our own nickname in Unicode from the server

2005-07-21 12:29  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/docs/changelog.txt (1.44), "Exp", lines: +5 -0

	typo in the template parser (%m variable) removed internal focus
	checks for the smiley selection window (no longer necessary,
	because fixed smileyadd doesn't any longer mess up the input focus)

2005-07-21 12:25  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.211), "Exp", lines: +4 -4
		miranda/plugins/tabsrmm/msglog.c (1.104), "Exp", lines: +2 -2

	typo in the template parser (%m variable) removed internal focus
	checks for the smiley selection window (no longer necessary,
	because fixed smileyadd doesn't any longer mess up the input focus)

2005-07-21 01:05  ghazan

	Changed:
		miranda/protocols/MSN/msn_global.h (1.38), "Exp", lines: +1 -0
		miranda/protocols/MSN/msn_misc.cpp (1.35), "Exp", lines: +12 -0
		miranda/protocols/MSN/msn_opts.cpp (1.26), "Exp", lines: +2 -5
		miranda/protocols/MSN/msn_svcs.cpp (1.47), "Exp", lines: +1 -3

	change for setting our own nick in Unicode

2005-07-20 20:05  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.113), "Exp", lines: +4 -3
		miranda/plugins/tabsrmm/formatting.cpp (1.35), "Exp", lines: +29 -5
		miranda/plugins/tabsrmm/msgdialog.c (1.210), "Exp", lines: +2 -3
		miranda/plugins/tabsrmm/msgdlgutils.c (1.95), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgdlgutils.h (1.28), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/msglog.c (1.103), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgoptions.c (1.110), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgs.c (1.129), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/docs/changelog.txt (1.43), "Exp", lines: +17 -2

	bugfixes (info panel, tooltips)

2005-07-20 01:57  ono

	Changed:
		miranda/protocols/Gadu-Gadu/gg.c (1.12), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/image.cpp (1.6), "Exp", lines: +4 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.13), "Exp", lines: +2 -0
		miranda/protocols/Gadu-Gadu/libgadu/Makefile.in (1.2), "Exp", lines: +5 -5
		miranda/protocols/Gadu-Gadu/libgadu/common.c (1.5), "Exp", lines: +0 -0
		miranda/protocols/Gadu-Gadu/libgadu/compat.h (1.4), "Exp", lines: +0 -0
		miranda/protocols/Gadu-Gadu/libgadu/dcc.c (1.5), "Exp", lines: +0 -0
		miranda/protocols/Gadu-Gadu/libgadu/events.c (1.6), "Exp", lines: +9 -8
		miranda/protocols/Gadu-Gadu/libgadu/http.c (1.4), "Exp", lines: +0 -0
		miranda/protocols/Gadu-Gadu/libgadu/libgadu-config.h.in (1.2), "Exp", lines: +3 -0
		miranda/protocols/Gadu-Gadu/libgadu/libgadu.c (1.5), "Exp", lines: +3 -3
		miranda/protocols/Gadu-Gadu/libgadu/libgadu.h (1.5), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/libgadu/libgadu.pc.in (1.3), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/libgadu/pubdir.c (1.4), "Exp", lines: +0 -0
		miranda/protocols/Gadu-Gadu/libgadu/pubdir50.c (1.5), "Exp", lines: +0 -0

	0.0.3.3: ekg 1.6rc3 libgadu vulnerabilities fixed

2005-07-19 01:52  ghazan

	Changed:
		miranda/protocols/MSN/msn.cpp (1.29), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn.dsp (1.12), "Exp", lines: +1 -1

	added support for nicknames in Unicode

2005-07-19 01:43  ghazan

	Added:
		miranda/plugins/clist/clist.vcproj (1.1)
		miranda/plugins/clist/clist.vcproj.vspscc (1.1)
	Changed:
		miranda/plugins/clist/Docking.c (1.3), "Exp", lines: +1 -1
		miranda/plugins/clist/clc.c (1.8), "Exp", lines: +1243 -1240
		miranda/plugins/clist/clc.h (1.6), "Exp", lines: +14 -7
		miranda/plugins/clist/clcfiledrop.c (1.3), "Exp", lines: +13 -13
		miranda/plugins/clist/clcitems.c (1.5), "Exp", lines: +597 -597
		miranda/plugins/clist/clcmsgs.c (1.4), "Exp", lines: +5 -5
		miranda/plugins/clist/clcopts.c (1.11), "Exp", lines: +867 -869
		miranda/plugins/clist/clcpaint.c (1.9), "Exp", lines: +7 -7
		miranda/plugins/clist/clcutils.c (1.12), "Exp", lines: +649 -648
		miranda/plugins/clist/clist.dsp (1.3), "Exp", lines: +236 -7
		miranda/plugins/clist/clistmenus.c (1.9), "Exp", lines: +36 -36
		miranda/plugins/clist/clistmod.c (1.4), "Exp", lines: +13 -13
		miranda/plugins/clist/clistopts.c (1.7), "Exp", lines: +9 -9
		miranda/plugins/clist/clistsettings.c (1.4), "Exp", lines: +291 -166
		miranda/plugins/clist/clisttray.c (1.5), "Exp", lines: +529 -529
		miranda/plugins/clist/clui.c (1.9), "Exp", lines: +773 -784
		miranda/plugins/clist/cluiopts.c (1.3), "Exp", lines: +298 -298
		miranda/plugins/clist/cluiservices.c (1.4), "Exp", lines: +6 -6
		miranda/plugins/clist/commonheaders.h (1.4), "Exp", lines: +5 -0
		miranda/plugins/clist/contact.c (1.4), "Exp", lines: +108 -108
		miranda/plugins/clist/groups.c (1.5), "Exp", lines: +434 -404
		miranda/plugins/clist/keyboard.c (1.5), "Exp", lines: +4 -4
		miranda/plugins/clist/resource.rc (1.7), "Exp", lines: +28 -28

	changes for clist_classic Unicode

2005-07-19 01:41  ghazan

	Changed:
		miranda/include/m_langpack.h (1.3), "Exp", lines: +24 -0
		miranda/src/modules/langpack/langpack.c (1.6), "Exp", lines: +64 -36
		miranda/src/modules/langpack/lpservices.c (1.5), "Exp", lines: +6 -6

	langpack Unicode (thanks Nightwish for the source code)

2005-07-19 01:40  ghazan

	Changed:
		miranda/include/m_clc.h (1.3), "Exp", lines: +1 -1

	changes for clist_classic Unicode

2005-07-19 01:38  ghazan

	Changed:
		miranda/src/modules/contacts/contacts.c (1.3), "Exp", lines: +38 -34
		miranda/include/m_contacts.h (1.2), "Exp", lines: +4 -1

	changes to support the contacts info obtaining in Unicode (nicks,
	etc)

2005-07-19 01:37  ghazan

	Changed:
		miranda/plugins/db3x/db3x.dsp (1.6), "Exp", lines: +4 -4
		miranda/plugins/db3x/dbsettings.c (1.10), "Exp", lines: +17 -1

	finally Unicode strings can be saved to the database

2005-07-18 03:04  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.112), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/containeroptions.c (1.19), "Exp", lines: +3 -2
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.102), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.209), "Exp", lines: +3 -4
		miranda/plugins/tabsrmm/msgdlgutils.c (1.94), "Exp", lines: +5 -6
		miranda/plugins/tabsrmm/msglog.c (1.102), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgoptions.c (1.109), "Exp", lines: +2 -4
		miranda/plugins/tabsrmm/msgs.c (1.128), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgs.h (1.94), "Exp", lines: +2 -2

	bug: disable icon pack version checking didn't work fixed %E
	variable reset conainerflags if old flags are found

2005-07-16 12:14  ghazan

	Changed:
		miranda/plugins/db3x/dbsettings.c (1.9), "Exp", lines: +5 -1

	fix for the problem with Unicode settings - GPF when reading ICQ
	UINs

2005-07-16 01:32  ghazan

	Changed:
		miranda/protocols/MSN/msn.cpp (1.28), "Exp", lines: +5 -0
		miranda/protocols/MSN/msn_commands.cpp (1.62), "Exp", lines: +5 -24
		miranda/protocols/MSN/msn_contact.cpp (1.4), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_global.h (1.37), "Exp", lines: +3 -1
		miranda/protocols/MSN/msn_misc.cpp (1.34), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_opts.cpp (1.25), "Exp", lines: +33 -7
		miranda/protocols/MSN/msn_ssl.cpp (1.17), "Exp", lines: +52 -34
		miranda/protocols/MSN/msn_std.cpp (1.5), "Exp", lines: +9 -0
		miranda/protocols/MSN/msn_svcs.cpp (1.46), "Exp", lines: +26 -16

	fix for various crashes during reconnect using OpenSSL

2005-07-15 22:28  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.208), "Exp", lines: +7 -5
		miranda/plugins/tabsrmm/msgs.h (1.93), "Exp", lines: +6 -0

	[no log message]

2005-07-14 22:01  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.207), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgdlgutils.c (1.93), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgoptions.c (1.108), "Exp", lines: +2 -2

	history size limit

2005-07-14 19:26  ghazan

	Changed:
		miranda/protocols/MSN/msn_bitmap.cpp (1.7), "Exp", lines: +10 -1

	fix for bug #958 - avatars get corrupted sometimes on low-color
	monitors

2005-07-14 17:51  ono

	Changed:
		miranda/protocols/Gadu-Gadu/gg.c (1.11), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.12), "Exp", lines: +3 -0
		miranda/protocols/Gadu-Gadu/libgadu/events.c (1.5), "Exp", lines: +4 -3

	0.0.3.2: Because of ugly libgadu bug crashing Miranda on image
	receive

2005-07-14 15:40  ono

	Added:
		miranda/protocols/Gadu-Gadu/libgadu/win32/stdint.h (1.1)

	Visual Studio compatible stdint.h

2005-07-13 23:09  ghazan

	Changed:
		miranda/plugins/db3x/dbsettings.c (1.8), "Exp", lines: +7 -1

	memory leak fixed

2005-07-13 19:11  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/changeinfo/db.c (1.2), "Exp", lines: +10 -7
		miranda/protocols/IcqOscarJ/changeinfo/dlgproc.c (1.2), "Exp", lines: +11 -6
		miranda/protocols/IcqOscarJ/changeinfo/upload.c (1.2), "Exp", lines: +24 -9
		miranda/protocols/IcqOscarJ/UI/loginpassword.c (1.7), "Exp", lines: +16 -9

	added possibility to remember password for session; fixed changing
	password no longer writes it to DB

2005-07-13 19:09  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.33), "Exp", lines: +10 -3
		miranda/protocols/IcqOscarJ/globals.h (1.3), "Exp", lines: +5 -2
		miranda/protocols/IcqOscarJ/icq_direct.c (1.10), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/icq_filetransfer.c (1.7), "Exp", lines: +5 -3
		miranda/protocols/IcqOscarJ/icq_firstrun.c (1.6), "Exp", lines: +8 -8
		miranda/protocols/IcqOscarJ/icq_opts.c (1.12), "Exp", lines: +18 -8
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.26), "Exp", lines: +6 -13
		miranda/protocols/IcqOscarJ/init.c (1.24), "Exp", lines: +15 -17
		miranda/protocols/IcqOscarJ/resource.h (1.10), "Exp", lines: +1 -0
		miranda/protocols/IcqOscarJ/resources.rc (1.17), "Exp", lines: +7 -5
		miranda/protocols/IcqOscarJ/utilities.c (1.25), "Exp", lines: +22 -2
		miranda/protocols/IcqOscarJ/utilities.h (1.14), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/docs/icq-readme.txt (1.23), "Exp", lines: +4 -0

	fixed GnomeICU detection & file transfers; added possibility to
	remember password for session; fixed changing password no longer
	writes it to DB

2005-07-13 09:27  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdlgutils.c (1.92), "Exp", lines: +7 -1

	[no log message]

2005-07-12 23:50  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.50), "Exp", lines: +3 -2

	Trying to fix a weird crash. Don't try to call CLIST methods for
	network log.

2005-07-12 20:23  ono

	Changed:
		miranda/protocols/Gadu-Gadu/services.c (1.8), "Exp", lines: +0 -1

	Add to list doesn't need GG to be online

2005-07-12 19:39  ono

	Changed:
		miranda/protocols/Gadu-Gadu/dialogs.c (1.10), "Exp", lines: +8 -4

	More GG versions

2005-07-12 16:50  ono

	Changed:
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.11), "Exp", lines: +5 -2

	0.0.3.1: Version notes

2005-07-12 16:34  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.15), "Exp", lines: +13 -10

	Another unintentional fix #2

2005-07-12 16:26  ono

	Changed:
		miranda/protocols/Gadu-Gadu/gg.c (1.10), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.10), "Exp", lines: +3 -0

	0.0.3.1 version bump

2005-07-12 16:25  ono

	Changed:
		miranda/protocols/Gadu-Gadu/dialogs.c (1.9), "Exp", lines: +7 -4
		miranda/protocols/Gadu-Gadu/gg.h (1.10), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/ownerinfo.c (1.4), "Exp", lines: +29 -12

	Password remind fix

2005-07-12 16:24  ono

	Changed:
		miranda/protocols/Gadu-Gadu/Makefile (1.6), "Exp", lines: +4 -4

	Small formatting fixes

2005-07-12 16:24  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.14), "Exp", lines: +25 -20

	Friends only fix that doesn't uncover our status when having
	temporary contact, unintentional disconnection fix

2005-07-12 16:20  ono

	Changed:
		miranda/protocols/Gadu-Gadu/libgadu/common.c (1.4), "Exp", lines: +0 -0
		miranda/protocols/Gadu-Gadu/libgadu/compat.h (1.3), "Exp", lines: +0 -0
		miranda/protocols/Gadu-Gadu/libgadu/dcc.c (1.4), "Exp", lines: +0 -0
		miranda/protocols/Gadu-Gadu/libgadu/events.c (1.4), "Exp", lines: +28 -11
		miranda/protocols/Gadu-Gadu/libgadu/http.c (1.3), "Exp", lines: +6 -6
		miranda/protocols/Gadu-Gadu/libgadu/libgadu.c (1.4), "Exp", lines: +4 -2
		miranda/protocols/Gadu-Gadu/libgadu/libgadu.h (1.4), "Exp", lines: +7 -5
		miranda/protocols/Gadu-Gadu/libgadu/pubdir.c (1.3), "Exp", lines: +73 -25
		miranda/protocols/Gadu-Gadu/libgadu/pubdir50.c (1.4), "Exp", lines: +0 -0

	libgadu-20050711

2005-07-12 01:33  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.206), "Exp", lines: +7 -4

	fixed bug with ieview scrolling

2005-07-11 11:30  ghazan

	Changed:
		miranda/include/m_database.h (1.3), "Exp", lines: +123 -1

	added DBVT_UTF8 support for settings

2005-07-11 10:51  ghazan

	Added:
		miranda/plugins/db3x/db3x.mak (1.1)
		miranda/plugins/db3x/db3x.vcproj (1.1)
		miranda/plugins/db3x/db3x.vcproj.vspscc (1.1)
		miranda/plugins/db3x/utf.c (1.1)
	Changed:
		miranda/plugins/db3x/commonheaders.h (1.4), "Exp", lines: +4 -4
		miranda/plugins/db3x/database.h (1.3), "Exp", lines: +4 -0
		miranda/plugins/db3x/db3x.dsp (1.5), "Exp", lines: +9 -5
		miranda/plugins/db3x/dbsettings.c (1.7), "Exp", lines: +99 -16

	added DBVT_UTF8 support for settings

2005-07-10 16:11  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/chan_01login.c (1.7), "Exp", lines: +7 -8
		miranda/protocols/IcqOscarJ/chan_02data.c (1.4), "Exp", lines: +6 -6
		miranda/protocols/IcqOscarJ/chan_03error.c (1.3), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/chan_04close.c (1.14), "Exp", lines: +19 -19
		miranda/protocols/IcqOscarJ/chan_05ping.c (1.5), "Exp", lines: +5 -5
		miranda/protocols/IcqOscarJ/directpackets.c (1.4), "Exp", lines: +7 -7
		miranda/protocols/IcqOscarJ/fam_01service.c (1.30), "Exp", lines: +33 -33
		miranda/protocols/IcqOscarJ/fam_02location.c (1.3), "Exp", lines: +5 -5
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.32), "Exp", lines: +56 -52
		miranda/protocols/IcqOscarJ/fam_04message.c (1.19), "Exp", lines: +127 -102
		miranda/protocols/IcqOscarJ/fam_09bos.c (1.4), "Exp", lines: +6 -6
		miranda/protocols/IcqOscarJ/fam_0bstatus.c (1.3), "Exp", lines: +5 -5
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.32), "Exp", lines: +93 -96
		miranda/protocols/IcqOscarJ/fam_15icqserver.c (1.10), "Exp", lines: +62 -77
		miranda/protocols/IcqOscarJ/icq_advsearch.c (1.3), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.28), "Exp", lines: +58 -57
		miranda/protocols/IcqOscarJ/icq_constants.h (1.17), "Exp", lines: +48 -47
		miranda/protocols/IcqOscarJ/icq_db.c (1.2), "Exp", lines: +25 -4
		miranda/protocols/IcqOscarJ/icq_db.h (1.2), "Exp", lines: +5 -3
		miranda/protocols/IcqOscarJ/icq_direct.c (1.9), "Exp", lines: +40 -39
		miranda/protocols/IcqOscarJ/icq_directmsg.c (1.7), "Exp", lines: +22 -22
		miranda/protocols/IcqOscarJ/icq_filerequests.c (1.6), "Exp", lines: +11 -12
		miranda/protocols/IcqOscarJ/icq_filetransfer.c (1.6), "Exp", lines: +18 -17
		miranda/protocols/IcqOscarJ/icq_firstrun.c (1.5), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/icq_http.c (1.6), "Exp", lines: +9 -9
		miranda/protocols/IcqOscarJ/icq_infoupdate.c (1.7), "Exp", lines: +9 -9
		miranda/protocols/IcqOscarJ/icq_opts.c (1.11), "Exp", lines: +9 -9
		miranda/protocols/IcqOscarJ/icq_packet.c (1.9), "Exp", lines: +83 -28
		miranda/protocols/IcqOscarJ/icq_packet.h (1.6), "Exp", lines: +22 -19
		miranda/protocols/IcqOscarJ/icq_server.c (1.17), "Exp", lines: +9 -9
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.20), "Exp", lines: +30 -30
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.14), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.4), "Exp", lines: +21 -22
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.6), "Exp", lines: +21 -21
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.25), "Exp", lines: +18 -18
		miranda/protocols/IcqOscarJ/icqoscar.h (1.8), "Exp", lines: +6 -2
		miranda/protocols/IcqOscarJ/icqoscar8.dsp (1.9), "Exp", lines: +48 -0
		miranda/protocols/IcqOscarJ/init.c (1.23), "Exp", lines: +13 -11
		miranda/protocols/IcqOscarJ/log.c (1.6), "Exp", lines: +13 -13
		miranda/protocols/IcqOscarJ/resource.h (1.9), "Exp", lines: +7 -0
		miranda/protocols/IcqOscarJ/resources.rc (1.16), "Exp", lines: +51 -5
		miranda/protocols/IcqOscarJ/stdpackets.c (1.19), "Exp", lines: +7 -7
		miranda/protocols/IcqOscarJ/utilities.c (1.24), "Exp", lines: +96 -16
		miranda/protocols/IcqOscarJ/utilities.h (1.13), "Exp", lines: +14 -11

	merged with ChangeInfo (thx Bio); code cleaning & optimisation

2005-07-10 16:09  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/icq_popups.c (1.1)
		miranda/protocols/IcqOscarJ/icq_popups.h (1.1)

	pre-liminary support for popup module

2005-07-10 16:07  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/askauthentication.c (1.4), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/UI/loginpassword.c (1.6), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.17), "Exp", lines: +10 -8

	code cleaning & optimisation

2005-07-10 16:07  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/changeinfo/changeinfo.h (1.1)
		miranda/protocols/IcqOscarJ/changeinfo/constants.c (1.1)
		miranda/protocols/IcqOscarJ/changeinfo/db.c (1.1)
		miranda/protocols/IcqOscarJ/changeinfo/dlgproc.c (1.1)
		miranda/protocols/IcqOscarJ/changeinfo/editlist.c (1.1)
		miranda/protocols/IcqOscarJ/changeinfo/editstring.c (1.1)
		miranda/protocols/IcqOscarJ/changeinfo/expandst.ico (1.1)
		miranda/protocols/IcqOscarJ/changeinfo/main.c (1.1)
		miranda/protocols/IcqOscarJ/changeinfo/upload.c (1.1)

	merged with latest ChangeInfo (thx Bio)

2005-07-10 16:05  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/docs/icq-readme.txt (1.22), "Exp", lines: +6 -3

	updated

2005-07-10 07:36  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.205), "Exp", lines: +5 -1
		miranda/plugins/tabsrmm/res/blocked.ico (1.4), "Exp", lines: +5 -1
		miranda/plugins/tabsrmm/res/visible.ico (1.4), "Exp", lines: +6 -7

	redraw fix in the info panel

2005-07-08 06:22  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgs.c (1.127), "Exp", lines: +4 -6

	[no log message]

2005-07-07 04:48  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.18), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_filerequests.c (1.5), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icqoscar8.dsp (1.8), "Exp", lines: +2 -1

	fixed, debug mode build was broken

2005-07-06 20:57  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdlgutils.c (1.91), "Exp", lines: +27 -7

	added 0 checks to avoid divide by zero for "broken" avatar images
	when calculating aspect ratios

2005-07-06 11:42  ghazan

	Changed:
		miranda/protocols/MSN/msn_threads.cpp (1.30), "Exp", lines: +1 -1

	code cleaning

2005-07-06 11:25  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.204), "Exp", lines: +3 -2

	corrected tooltip bringing message container on top when it
	actually shouldn't

2005-07-05 20:40  ghazan

	Changed:
		miranda/protocols/MSN/Docs/history-msn.txt (1.39), "Exp", lines: +5 -0

	fix for the hangup on exit when Clist_Modern is used.

2005-07-05 20:33  ghazan

	Changed:
		miranda/protocols/MSN/msn_misc.cpp (1.33), "Exp", lines: +2 -1

	fix for the hangup on exit when Clist_Modern is used.

2005-07-05 15:13  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.203), "Exp", lines: +6 -4
		miranda/plugins/tabsrmm/msgoptions.c (1.107), "Exp", lines: +7 -7

	corrected some default values (fonts)

2005-07-05 07:37  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.111), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.202), "Exp", lines: +65 -30
		miranda/plugins/tabsrmm/msgdlgutils.c (1.90), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgs.h (1.92), "Exp", lines: +17 -17
		miranda/plugins/tabsrmm/msgwindow.rc (1.52), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/docs/changelog.txt (1.42), "Exp", lines: +14 -0

	toolbar button fixes minor layout corrections

2005-07-05 02:20  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.3), "Exp", lines: +3 -3

	fixed, icons were missing if startup status was none...

2005-07-05 02:19  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.31), "Exp", lines: +7 -2
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.27), "Exp", lines: +33 -4

	fixed memory leak; better error handling; fixed two hashes in
	Avatar TLV handling

2005-07-04 13:49  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.17), "Exp", lines: +9 -9

	fixed server acks & errors were not handled properly

2005-07-04 00:23  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/TSButton.c (1.11), "Exp", lines: +8 -4
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.101), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.201), "Exp", lines: +15 -10
		miranda/plugins/tabsrmm/msgdlgutils.c (1.89), "Exp", lines: +7 -4
		miranda/plugins/tabsrmm/msgoptions.c (1.106), "Exp", lines: +3 -2
		miranda/plugins/tabsrmm/docs/changelog.txt (1.41), "Exp", lines: +2 -0

	some small layout corrections added flat border style for the info
	panel fields

2005-07-03 00:58  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.5), "Exp", lines: +4 -4

	fixed xtraz packets

2005-07-03 00:57  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/directpackets.c (1.3), "Exp", lines: +3 -4
		miranda/protocols/IcqOscarJ/icq_constants.h (1.16), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_packet.c (1.8), "Exp", lines: +3 -3

	fixed bug in packUIN funciton; fixed direct xtraz packets

2005-07-02 16:36  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/askauthentication.c (1.3), "Exp", lines: +10 -17
		miranda/protocols/IcqOscarJ/UI/loginpassword.c (1.5), "Exp", lines: +4 -7
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.16), "Exp", lines: +16 -17

	centralised DB code for main module

2005-07-02 16:32  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/icq_db.c (1.1)
		miranda/protocols/IcqOscarJ/icq_db.h (1.1)
	Changed:
		miranda/protocols/IcqOscarJ/capabilities.c (1.4), "Exp", lines: +10 -20
		miranda/protocols/IcqOscarJ/chan_04close.c (1.13), "Exp", lines: +6 -6
		miranda/protocols/IcqOscarJ/fam_01service.c (1.29), "Exp", lines: +18 -18
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.30), "Exp", lines: +28 -29
		miranda/protocols/IcqOscarJ/fam_04message.c (1.16), "Exp", lines: +52 -83
		miranda/protocols/IcqOscarJ/fam_09bos.c (1.3), "Exp", lines: +13 -14
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.31), "Exp", lines: +58 -133
		miranda/protocols/IcqOscarJ/fam_15icqserver.c (1.9), "Exp", lines: +16 -16
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.26), "Exp", lines: +8 -8
		miranda/protocols/IcqOscarJ/icq_direct.c (1.8), "Exp", lines: +10 -10
		miranda/protocols/IcqOscarJ/icq_filetransfer.c (1.5), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_firstrun.c (1.4), "Exp", lines: +27 -35
		miranda/protocols/IcqOscarJ/icq_infoupdate.c (1.6), "Exp", lines: +5 -7
		miranda/protocols/IcqOscarJ/icq_opts.c (1.10), "Exp", lines: +78 -84
		miranda/protocols/IcqOscarJ/icq_packet.c (1.7), "Exp", lines: +29 -24
		miranda/protocols/IcqOscarJ/icq_packet.h (1.5), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/icq_server.c (1.16), "Exp", lines: +9 -9
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.19), "Exp", lines: +42 -43
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.13), "Exp", lines: +31 -31
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.2), "Exp", lines: +201 -17
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.4), "Exp", lines: +10 -12
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.24), "Exp", lines: +41 -42
		miranda/protocols/IcqOscarJ/icqoscar.h (1.7), "Exp", lines: +3 -2
		miranda/protocols/IcqOscarJ/icqoscar8.dsp (1.7), "Exp", lines: +8 -0
		miranda/protocols/IcqOscarJ/init.c (1.22), "Exp", lines: +12 -12
		miranda/protocols/IcqOscarJ/log.c (1.5), "Exp", lines: +3 -8
		miranda/protocols/IcqOscarJ/resource.h (1.8), "Exp", lines: +3 -0
		miranda/protocols/IcqOscarJ/resources.rc (1.15), "Exp", lines: +14 -0
		miranda/protocols/IcqOscarJ/stdpackets.c (1.18), "Exp", lines: +29 -70
		miranda/protocols/IcqOscarJ/utilities.c (1.23), "Exp", lines: +59 -104
		miranda/protocols/IcqOscarJ/utilities.h (1.12), "Exp", lines: +2 -4

	added custom status menu items; centralised DB code for main
	module; code cleaning

2005-07-02 00:13  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/docs/changelog.txt (1.40), "Exp", lines: +1 -4
		miranda/plugins/tabsrmm/eventpopups.c (1.39), "Exp", lines: +10 -2
		miranda/plugins/tabsrmm/formatting.cpp (1.34), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.100), "Exp", lines: +4 -3
		miranda/plugins/tabsrmm/msgdialog.c (1.200), "Exp", lines: +7 -10
		miranda/plugins/tabsrmm/msgdlgutils.c (1.88), "Exp", lines: +19 -8
		miranda/plugins/tabsrmm/msglog.c (1.101), "Exp", lines: +15 -9
		miranda/plugins/tabsrmm/msgoptions.c (1.105), "Exp", lines: +30 -4
		miranda/plugins/tabsrmm/msgs.c (1.126), "Exp", lines: +5 -15
		miranda/plugins/tabsrmm/msgwindow.rc (1.51), "Exp", lines: +2 -4
		miranda/plugins/tabsrmm/resource.h (1.100), "Exp", lines: +0 -2
		miranda/plugins/tabsrmm/sendqueue.c (1.38), "Exp", lines: +2 -2

	bugfixes (title bar formatting), possible msg log icons
	transparency issue message dialog drawing handler moved

2005-07-01 12:05  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.29), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/icq_direct.c (1.7), "Exp", lines: +27 -2
		miranda/protocols/IcqOscarJ/icq_direct.h (1.5), "Exp", lines: +3 -2

	fixed, close DC connections when user goes offline

2005-07-01 04:39  nightwish2004

	Deleted:
		miranda/plugins/tabsrmm/res/Clock8.ico (1.2)
	Added:
		miranda/plugins/tabsrmm/m_popupw.h (1.1)
	Changed:
		miranda/plugins/tabsrmm/container.c (1.110), "Exp", lines: +3 -14
		miranda/plugins/tabsrmm/eventpopups.c (1.38), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/formatting.cpp (1.33), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/m_fontservice.h (1.3), "Exp", lines: +78 -11
		miranda/plugins/tabsrmm/m_popup.h (1.5), "Exp", lines: +0 -24
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.99), "Exp", lines: +32 -5
		miranda/plugins/tabsrmm/msgdialog.c (1.199), "Exp", lines: +27 -278
		miranda/plugins/tabsrmm/msgdlgutils.c (1.87), "Exp", lines: +317 -3
		miranda/plugins/tabsrmm/msgdlgutils.h (1.27), "Exp", lines: +2 -3
		miranda/plugins/tabsrmm/msglog.c (1.100), "Exp", lines: +27 -1
		miranda/plugins/tabsrmm/msgoptions.c (1.104), "Exp", lines: +77 -4
		miranda/plugins/tabsrmm/msgs.c (1.125), "Exp", lines: +10 -11
		miranda/plugins/tabsrmm/msgs.h (1.91), "Exp", lines: +6 -0
		miranda/plugins/tabsrmm/msgwindow.rc (1.50), "Exp", lines: +8 -8
		miranda/plugins/tabsrmm/nen.h (1.16), "Exp", lines: +4 -1
		miranda/plugins/tabsrmm/resource.h (1.99), "Exp", lines: +3 -2
		miranda/plugins/tabsrmm/resource.rc (1.133), "Exp", lines: +11 -9
		miranda/plugins/tabsrmm/docs/changelog.txt (1.39), "Exp", lines: +12 -2

	unicode popups completed added configurable fonts for the info
	panel (font service required)

2005-06-30 23:44  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_opts.c (1.9), "Exp", lines: +13 -18
		miranda/protocols/IcqOscarJ/icq_packet.c (1.6), "Exp", lines: +18 -2
		miranda/protocols/IcqOscarJ/icq_packet.h (1.4), "Exp", lines: +3 -2

	fixed, owner details was broken if privacy options aplied

2005-06-30 12:11  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/eventpopups.c (1.37), "Exp", lines: +401 -2
		miranda/plugins/tabsrmm/msgdlgutils.c (1.86), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/docs/changelog.txt (1.38), "Exp", lines: +5 -0
		miranda/plugins/tabsrmm/msgs.c (1.124), "Exp", lines: +5 -5
		miranda/plugins/tabsrmm/nen.h (1.15), "Exp", lines: +20 -1
		miranda/plugins/tabsrmm/res/blocked.ico (1.3), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/res/status.ico (1.3), "Exp", lines: +5 -1
		miranda/plugins/tabsrmm/res/visible.ico (1.3), "Exp", lines: +7 -1

	added support for unicode popups

2005-06-30 08:34  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.98), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.198), "Exp", lines: +17 -8
		miranda/plugins/tabsrmm/docs/changelog.txt (1.37), "Exp", lines: +5 -2
		miranda/plugins/tabsrmm/msgwindow.rc (1.49), "Exp", lines: +24 -24
		miranda/plugins/tabsrmm/resource.h (1.98), "Exp", lines: +2 -2

	dialog layout fixes

2005-06-30 02:08  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.197), "Exp", lines: +29 -27
		miranda/plugins/tabsrmm/docs/changelog.txt (1.36), "Exp", lines: +15 -1
		miranda/plugins/tabsrmm/msglog.c (1.99), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/resource.h (1.97), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/resource.rc (1.132), "Exp", lines: +23 -23
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.35), "Exp", lines: +10 -10
		miranda/plugins/tabsrmm/res/blocked.ico (1.2), "Exp", lines: +1 -3
		miranda/plugins/tabsrmm/res/status.ico (1.2), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/res/visible.ico (1.2), "Exp", lines: +1 -1

	support underlined fonts with FontService temporary icons for
	visibility indicator bug fixes, minor layout corrections

2005-06-29 21:08  aloya2

	Changed:
		miranda/plugins/mwclist/clc.c (1.27), "Exp", lines: +2 -1
		miranda/plugins/mwclist/genmenu.c (1.14), "Exp", lines: +1 -0
		miranda/plugins/mwclist/keyboard.c (1.8), "Exp", lines: +11 -5
		miranda/plugins/mwclist/CLUIFrames/cluiframes.c (1.18), "Exp", lines: +16 -0
		miranda/plugins/mwclist/CLUIFrames/framesmenu.c (1.3), "Exp", lines: +29 -5

	fixed some leaks of memory..patch from ghazan

2005-06-29 07:42  nightwish2004

	Added:
		miranda/plugins/tabsrmm/res/blocked.ico (1.1)
		miranda/plugins/tabsrmm/res/status.ico (1.1)
		miranda/plugins/tabsrmm/res/visible.ico (1.1)
	Changed:
		miranda/plugins/tabsrmm/container.c (1.109), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/formatting.cpp (1.32), "Exp", lines: +20 -7
		miranda/plugins/tabsrmm/hotkeyhandler.c (1.43), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.97), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.196), "Exp", lines: +21 -3
		miranda/plugins/tabsrmm/msgdlgutils.c (1.85), "Exp", lines: +4 -5
		miranda/plugins/tabsrmm/msglog.c (1.98), "Exp", lines: +4 -2
		miranda/plugins/tabsrmm/msgoptions.c (1.103), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgs.c (1.123), "Exp", lines: +38 -26
		miranda/plugins/tabsrmm/msgwindow.rc (1.48), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/resource.h (1.96), "Exp", lines: +3 -0
		miranda/plugins/tabsrmm/resource.rc (1.131), "Exp", lines: +16 -11
		miranda/plugins/tabsrmm/srmm.c (1.33), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.34), "Exp", lines: +19 -10
		miranda/plugins/tabsrmm/templates.c (1.20), "Exp", lines: +8 -8
		miranda/plugins/tabsrmm/docs/changelog.txt (1.35), "Exp", lines: +14 -1

	version bump (.96) some bugfixes, typos, visibility icons

2005-06-29 01:12  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.3), "Exp", lines: +31 -23

	fixed xstatus details requests is now handled according to privacy

2005-06-29 01:10  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/icq_xstatus.c (1.1)
	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.28), "Exp", lines: +7 -114
		miranda/protocols/IcqOscarJ/globals.h (1.2), "Exp", lines: +2 -5
		miranda/protocols/IcqOscarJ/icq_xtraz.h (1.2), "Exp", lines: +10 -3
		miranda/protocols/IcqOscarJ/icqoscar8.dsp (1.6), "Exp", lines: +4 -0
		miranda/protocols/IcqOscarJ/init.c (1.21), "Exp", lines: +6 -65

	centralised custom status code; added menu for setting own custom
	status

2005-06-29 01:09  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.15), "Exp", lines: +12 -3
		miranda/protocols/IcqOscarJ/guids.h (1.4), "Exp", lines: +9 -2
		miranda/protocols/IcqOscarJ/icq_constants.h (1.15), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/icq_directmsg.c (1.6), "Exp", lines: +5 -2

	fixed, direct msg ack from icq2003b is now recognized correctly

2005-06-29 01:08  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/utilities.c (1.22), "Exp", lines: +7 -4
		miranda/protocols/IcqOscarJ/utilities.h (1.11), "Exp", lines: +3 -3

	validateStatusMsgRequest now take Temporary Visible contacts into
	account

2005-06-28 19:56  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/docs/changelog.txt (1.34), "Exp", lines: +7 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.195), "Exp", lines: +10 -4
		miranda/plugins/tabsrmm/msgdlgutils.c (1.84), "Exp", lines: +11 -6
		miranda/plugins/tabsrmm/msgs.c (1.122), "Exp", lines: +2 -2

	post - .95 fixes

2005-06-28 06:52  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgs.c (1.121), "Exp", lines: +5 -2
		miranda/plugins/tabsrmm/docs/changelog.txt (1.33), "Exp", lines: +13 -1
		miranda/plugins/tabsrmm/resource.rc (1.130), "Exp", lines: +2 -2

	0.9.9.95 rel

2005-06-27 22:13  ono

	Changed:
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.9), "Exp", lines: +1 -1

	typo

2005-06-27 21:43  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.13), "Exp", lines: +3 -3
		miranda/protocols/Gadu-Gadu/dialogs.c (1.8), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/gg.h (1.9), "Exp", lines: +2 -2
		miranda/protocols/Gadu-Gadu/services.c (1.7), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.8), "Exp", lines: +2 -1

	Status descriptions compatible with MWClist

2005-06-27 21:28  ono

	Changed:
		miranda/protocols/Gadu-Gadu/services.c (1.6), "Exp", lines: +0 -4

	We don't need to check screensaver anymore ;)

2005-06-27 20:33  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.12), "Exp", lines: +4 -5
		miranda/protocols/Gadu-Gadu/gg.c (1.9), "Exp", lines: +3 -2
		miranda/protocols/Gadu-Gadu/gg.h (1.8), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/groupchat.c (1.7), "Exp", lines: +3 -3
		miranda/protocols/Gadu-Gadu/import.c (1.5), "Exp", lines: +1 -1

	GG debug logging not enabled in VC builds.

2005-06-27 06:38  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.96), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.194), "Exp", lines: +35 -22
		miranda/plugins/tabsrmm/msgdlgutils.c (1.83), "Exp", lines: +16 -1
		miranda/plugins/tabsrmm/msgdlgutils.h (1.26), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgoptions.c (1.102), "Exp", lines: +4 -1
		miranda/plugins/tabsrmm/msgs.c (1.120), "Exp", lines: +4 -2
		miranda/plugins/tabsrmm/resource.h (1.95), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/resource.rc (1.129), "Exp", lines: +2 -0

	added "paste and send" feature

2005-06-27 01:24  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.193), "Exp", lines: +35 -9

	added tooltip for extended status (username field, info panel)

2005-06-26 14:22  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.27), "Exp", lines: +21 -18
		miranda/protocols/IcqOscarJ/icq_server.c (1.15), "Exp", lines: +10 -8
		miranda/protocols/IcqOscarJ/icq_server.h (1.4), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.23), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/init.c (1.20), "Exp", lines: +5 -3

	fixed hang on exit; fixed spam bot detection again

2005-06-25 15:01  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/docs/icq-readme.txt (1.21), "Exp", lines: +3 -2

	updated

2005-06-25 15:00  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/utilities.c (1.21), "Exp", lines: +11 -4
		miranda/protocols/IcqOscarJ/utilities.h (1.10), "Exp", lines: +3 -2

	added cookie timeout - old cookies are removed automatically

2005-06-25 14:59  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/directpackets.c (1.2), "Exp", lines: +30 -16
		miranda/protocols/IcqOscarJ/directpackets.h (1.2), "Exp", lines: +4 -4
		miranda/protocols/IcqOscarJ/icq_constants.h (1.14), "Exp", lines: +3 -2
		miranda/protocols/IcqOscarJ/icq_directmsg.c (1.5), "Exp", lines: +18 -2
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.2), "Exp", lines: +4 -4

	finished xtraz direct packets

2005-06-25 14:58  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_04message.c (1.14), "Exp", lines: +5 -2

	fixed memory leak

2005-06-25 14:57  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.26), "Exp", lines: +3 -3

	fixed, spam bot detection

2005-06-25 13:14  ghazan

	Changed:
		miranda/protocols/MSN/msn_ssl.cpp (1.16), "Exp", lines: +2 -1

	fixed a stupid bug with OpenSSL which might prevented it from
	logging to the MSN Passport service

2005-06-24 23:54  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msglog.c (1.97), "Exp", lines: +14 -1
		miranda/plugins/tabsrmm/docs/changelog.txt (1.32), "Exp", lines: +8 -0

	contact local time fix

2005-06-24 22:42  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_direct.h (1.4), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_filerequests.c (1.4), "Exp", lines: +7 -3
		miranda/protocols/IcqOscarJ/stdpackets.c (1.17), "Exp", lines: +8 -4

	added workaround for receiving files from Trillian (works now)

2005-06-24 21:45  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/loginpassword.c (1.4), "Exp", lines: +4 -7

	centralised status changing

2005-06-24 21:44  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/chan_04close.c (1.12), "Exp", lines: +3 -7
		miranda/protocols/IcqOscarJ/fam_01service.c (1.28), "Exp", lines: +4 -8
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.25), "Exp", lines: +3 -3
		miranda/protocols/IcqOscarJ/icq_server.c (1.14), "Exp", lines: +10 -16
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.22), "Exp", lines: +7 -19
		miranda/protocols/IcqOscarJ/utilities.c (1.20), "Exp", lines: +10 -2
		miranda/protocols/IcqOscarJ/utilities.h (1.9), "Exp", lines: +4 -2

	centralised status changing; fixed clear custom statuses on
	disconnect

2005-06-24 20:35  nightwish2004

	Added:
		miranda/plugins/tabsrmm/res/Clock8.ico (1.1)
	Changed:
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.95), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.192), "Exp", lines: +13 -14
		miranda/plugins/tabsrmm/msgdlgutils.c (1.82), "Exp", lines: +12 -1
		miranda/plugins/tabsrmm/msgdlgutils.h (1.25), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgs.c (1.119), "Exp", lines: +10 -2
		miranda/plugins/tabsrmm/resource.h (1.94), "Exp", lines: +3 -0
		miranda/plugins/tabsrmm/resource.rc (1.128), "Exp", lines: +5 -12
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.33), "Exp", lines: +10 -4
		miranda/plugins/tabsrmm/userprefs.c (1.10), "Exp", lines: +30 -3

	[no log message]

2005-06-24 09:15  nightwish2004

	Added:
		miranda/plugins/tabsrmm/res/xstatus.bmp (1.1)
	Changed:
		miranda/plugins/tabsrmm/docs/changelog.txt (1.31), "Exp", lines: +3 -0
		miranda/plugins/tabsrmm/icons/ICONSXP/ICONSXP.rc (1.12), "Exp", lines: +0 -1
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.94), "Exp", lines: +2 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.191), "Exp", lines: +30 -13
		miranda/plugins/tabsrmm/icons/ICONSXP/resource.h (1.7), "Exp", lines: +0 -1
		miranda/plugins/tabsrmm/icons/default/resource.h (1.7), "Exp", lines: +0 -1
		miranda/plugins/tabsrmm/msgs.c (1.118), "Exp", lines: +18 -4
		miranda/plugins/tabsrmm/resource.h (1.93), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/resource.rc (1.127), "Exp", lines: +19 -0

	added support for custom status icons (ICQ only, requires recent
	ICQJ or ISee)

2005-06-24 06:28  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msglog.c (1.96), "Exp", lines: +2 -6

	"freeze msg log" changed to work with ieview when the new scrolling
	service is available

2005-06-24 05:49  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/docs/icq-readme.txt (1.20), "Exp", lines: +25 -0

	updated

2005-06-24 05:48  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/icos/xstatus.bmp (1.1)

	custom status icons from Big Muscle

2005-06-24 05:47  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/UI/askauthentication.c (1.2), "Exp", lines: +3 -10
		miranda/protocols/IcqOscarJ/UI/loginpassword.c (1.3), "Exp", lines: +3 -12
		miranda/protocols/IcqOscarJ/UI/userinfotab.c (1.15), "Exp", lines: +3 -7

	0.3.6devel phase 1

2005-06-24 05:47  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/directpackets.c (1.1)
		miranda/protocols/IcqOscarJ/directpackets.h (1.1)

	added functions for Direct messaging

2005-06-24 05:45  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/capabilities.c (1.3), "Exp", lines: +3 -6
		miranda/protocols/IcqOscarJ/chan_01login.c (1.6), "Exp", lines: +2 -5
		miranda/protocols/IcqOscarJ/chan_02data.c (1.3), "Exp", lines: +42 -13
		miranda/protocols/IcqOscarJ/chan_03error.c (1.2), "Exp", lines: +3 -10
		miranda/protocols/IcqOscarJ/chan_04close.c (1.11), "Exp", lines: +92 -64
		miranda/protocols/IcqOscarJ/chan_05ping.c (1.4), "Exp", lines: +2 -3
		miranda/protocols/IcqOscarJ/channels.h (1.2), "Exp", lines: +5 -2
		miranda/protocols/IcqOscarJ/fam_01service.c (1.27), "Exp", lines: +59 -46
		miranda/protocols/IcqOscarJ/fam_02location.c (1.2), "Exp", lines: +18 -12
		miranda/protocols/IcqOscarJ/fam_03buddy.c (1.24), "Exp", lines: +152 -82
		miranda/protocols/IcqOscarJ/fam_04message.c (1.13), "Exp", lines: +431 -339
		miranda/protocols/IcqOscarJ/fam_09bos.c (1.2), "Exp", lines: +111 -14
		miranda/protocols/IcqOscarJ/fam_0bstatus.c (1.2), "Exp", lines: +30 -23
		miranda/protocols/IcqOscarJ/fam_13servclist.c (1.30), "Exp", lines: +66 -64
		miranda/protocols/IcqOscarJ/fam_15icqserver.c (1.8), "Exp", lines: +51 -57
		miranda/protocols/IcqOscarJ/families.h (1.6), "Exp", lines: +12 -4
		miranda/protocols/IcqOscarJ/icq_constants.h (1.13), "Exp", lines: +157 -65
		miranda/protocols/IcqOscarJ/icq_direct.c (1.6), "Exp", lines: +287 -273
		miranda/protocols/IcqOscarJ/icq_direct.h (1.3), "Exp", lines: +13 -10
		miranda/protocols/IcqOscarJ/icq_directmsg.c (1.4), "Exp", lines: +192 -210
		miranda/protocols/IcqOscarJ/icq_fieldnames.c (1.2), "Exp", lines: +16 -6
		miranda/protocols/IcqOscarJ/icq_fieldnames.h (1.2), "Exp", lines: +4 -2
		miranda/protocols/IcqOscarJ/icq_filerequests.c (1.3), "Exp", lines: +11 -73
		miranda/protocols/IcqOscarJ/icq_filetransfer.c (1.4), "Exp", lines: +22 -43
		miranda/protocols/IcqOscarJ/icq_packet.c (1.5), "Exp", lines: +170 -13
		miranda/protocols/IcqOscarJ/icq_packet.h (1.3), "Exp", lines: +17 -4
		miranda/protocols/IcqOscarJ/icq_server.c (1.13), "Exp", lines: +17 -11
		miranda/protocols/IcqOscarJ/icqosc_svcs.c (1.21), "Exp", lines: +115 -42
		miranda/protocols/IcqOscarJ/init.c (1.19), "Exp", lines: +82 -19
		miranda/protocols/IcqOscarJ/stdpackets.c (1.16), "Exp", lines: +179 -189
		miranda/protocols/IcqOscarJ/stdpackets.h (1.6), "Exp", lines: +9 -4

	0.3.6devel phase 1: messaging support changes, optimisations;
	massive dc & ft changes; custom status support

2005-06-24 05:43  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_infoupdate.c (1.5), "Exp", lines: +11 -9

	centralising global variables; trying to fix hang on exit issues

2005-06-24 05:42  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_opts.c (1.8), "Exp", lines: +196 -103

	added features page

2005-06-24 05:41  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/icq_xtraz.c (1.1)
		miranda/protocols/IcqOscarJ/icq_xtraz.h (1.1)

	added internal API for xtraz messaging support

2005-06-24 05:40  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_advsearch.c (1.2), "Exp", lines: +79 -70

	changed to TLV search (thx Bio)

2005-06-24 05:40  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_http.c (1.5), "Exp", lines: +40 -16
		miranda/protocols/IcqOscarJ/icq_http.h (1.3), "Exp", lines: +7 -6

	implemented walking thru proxy - fixes http gateway issues

2005-06-24 05:36  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icq_uploadui.c (1.12), "Exp", lines: +2 -8
		miranda/protocols/IcqOscarJ/icq_avatar.c (1.25), "Exp", lines: +2 -4
		miranda/protocols/IcqOscarJ/icq_firstrun.c (1.3), "Exp", lines: +7 -15
		miranda/protocols/IcqOscarJ/icq_servlist.c (1.18), "Exp", lines: +2 -6
		miranda/protocols/IcqOscarJ/init.h (1.6), "Exp", lines: +3 -10

	centralising global variables

2005-06-24 05:35  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/resource.h (1.7), "Exp", lines: +15 -1
		miranda/protocols/IcqOscarJ/resources.rc (1.14), "Exp", lines: +307 -319

	added features dialog; other minor changes

2005-06-24 05:34  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/icqoscar.h (1.6), "Exp", lines: +9 -4
		miranda/protocols/IcqOscarJ/icqoscar8.dsp (1.5), "Exp", lines: +25 -1

	added new headers & files

2005-06-24 05:32  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/utilities.c (1.19), "Exp", lines: +165 -37
		miranda/protocols/IcqOscarJ/utilities.h (1.8), "Exp", lines: +10 -4

	added list for Gateway Mode indexing, functions for XML handling

2005-06-24 05:31  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/globals.h (1.1)
	Changed:
		miranda/protocols/IcqOscarJ/log.c (1.4), "Exp", lines: +3 -6

	centralised global variables

2005-06-24 05:31  jokusoftware

	Added:
		miranda/protocols/IcqOscarJ/m_cluiframes.h (1.1)

	added header for cluiframes - extraicons

2005-06-24 05:29  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/m_icq.h (1.4), "Exp", lines: +40 -7

	new change info part

2005-06-24 05:28  jokusoftware

	Changed:
		miranda/protocols/IcqOscarJ/guids.h (1.3), "Exp", lines: +8 -3

	added message type guids

2005-06-24 00:23  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/containeroptions.c (1.18), "Exp", lines: +7 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.190), "Exp", lines: +5 -2
		miranda/plugins/tabsrmm/resource.rc (1.126), "Exp", lines: +10 -10
		miranda/plugins/tabsrmm/sendqueue.c (1.37), "Exp", lines: +2 -2

	dialog layout fixes input history: after inserting prev message,
	put the cursor at the end of the text

2005-06-23 23:59  ghazan

	Changed:
		miranda/protocols/MSN/msn_ssl.cpp (1.15), "Exp", lines: +3 -3

	fixed the incorrect DLL name.

2005-06-23 14:52  ghazan

	Changed:
		miranda/protocols/MSN/Docs/readme-msn.txt (1.6), "Exp", lines: +4 -5

	added the URL of the OpenSSL libraries to the FAQ

2005-06-23 09:04  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgoptions.c (1.101), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/resource.rc (1.125), "Exp", lines: +1 -1

	[no log message]

2005-06-23 04:27  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.189), "Exp", lines: +4 -4
		miranda/plugins/tabsrmm/msglog.c (1.95), "Exp", lines: +7 -1
		miranda/plugins/tabsrmm/msgoptions.c (1.100), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgs.c (1.117), "Exp", lines: +4 -2

	translation updates

2005-06-22 23:00  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/m_ieview.h (1.8), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/docs/changelog.txt (1.30), "Exp", lines: +19 -0
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.93), "Exp", lines: +22 -2
		miranda/plugins/tabsrmm/msgdialog.c (1.188), "Exp", lines: +28 -19
		miranda/plugins/tabsrmm/msgdlgutils.c (1.81), "Exp", lines: +15 -15
		miranda/plugins/tabsrmm/msgs.c (1.116), "Exp", lines: +6 -2
		miranda/plugins/tabsrmm/msgs.h (1.90), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/templates.h (1.6), "Exp", lines: +1 -23

	added support for ieviews new scrolling service some small fixes

2005-06-22 07:12  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.187), "Exp", lines: +17 -17
		miranda/plugins/tabsrmm/msgwindow.rc (1.47), "Exp", lines: +1 -1

	minor changes for the info panel avatar display

2005-06-22 04:47  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/TSButton.c (1.10), "Exp", lines: +7 -7
		miranda/plugins/tabsrmm/container.c (1.108), "Exp", lines: +7 -8
		miranda/plugins/tabsrmm/eventpopups.c (1.36), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/hotkeyhandler.c (1.42), "Exp", lines: +7 -5
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.92), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.186), "Exp", lines: +25 -27
		miranda/plugins/tabsrmm/msgdlgutils.c (1.80), "Exp", lines: +17 -3
		miranda/plugins/tabsrmm/msglog.c (1.94), "Exp", lines: +4 -17
		miranda/plugins/tabsrmm/msgoptions.c (1.99), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgwindow.rc (1.46), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/resource.rc (1.124), "Exp", lines: +6 -6
		miranda/plugins/tabsrmm/tabctrl.c (1.27), "Exp", lines: +2 -2

	own avatars set in the message window is set for the protocol (msn
	only) small redraw fixes session list bug fixed

2005-06-21 18:28  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.49), "Exp", lines: +2 -1

	Fixing bug #0001313 - Tell KeepStatus we have been disconnected,
	because of duplicate login.

2005-06-21 18:08  ono

	Changed:
		miranda/protocols/Gadu-Gadu/gg.c (1.8), "Exp", lines: +14 -3
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.7), "Exp", lines: +2 -1

	Fix: Windows 95 & NT problems with GetLongPathName function missing

2005-06-21 08:46  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.107), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.91), "Exp", lines: +4 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.185), "Exp", lines: +95 -16
		miranda/plugins/tabsrmm/msglog.c (1.93), "Exp", lines: +3 -7
		miranda/plugins/tabsrmm/msgoptions.c (1.98), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgs.c (1.115), "Exp", lines: +10 -8
		miranda/plugins/tabsrmm/msgwindow.rc (1.45), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/resource.h (1.92), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/sendqueue.c (1.36), "Exp", lines: +2 -2

	added protocol and local time display to the info panel its now
	possible to disable status msg retrieval when hovering the status
	field in the panel

2005-06-21 04:54  nightwish2004

	Added:
		miranda/plugins/tabsrmm/res/checked.ico (1.1)
		miranda/plugins/tabsrmm/res/expand.ico (1.1)
		miranda/plugins/tabsrmm/res/unchecked.ico (1.1)
	Changed:
		miranda/plugins/tabsrmm/eventpopups.c (1.35), "Exp", lines: +13 -7
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.90), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.184), "Exp", lines: +13 -7
		miranda/plugins/tabsrmm/msglog.c (1.92), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgoptions.c (1.97), "Exp", lines: +45 -25
		miranda/plugins/tabsrmm/msgs.c (1.114), "Exp", lines: +36 -81
		miranda/plugins/tabsrmm/resource.h (1.91), "Exp", lines: +3 -0
		miranda/plugins/tabsrmm/resource.rc (1.123), "Exp", lines: +3 -0
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.32), "Exp", lines: +17 -7

	improved tree views on option pages (image list, custom icons)
	awaymsg tooltip now checks if the request came from the msg window

2005-06-20 15:36  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.106), "Exp", lines: +17 -8
		miranda/plugins/tabsrmm/eventpopups.c (1.34), "Exp", lines: +17 -17
		miranda/plugins/tabsrmm/formatting.cpp (1.31), "Exp", lines: +20 -1
		miranda/plugins/tabsrmm/functions.h (1.25), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.183), "Exp", lines: +21 -12
		miranda/plugins/tabsrmm/msgdlgutils.c (1.79), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgs.c (1.113), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/srmm.c (1.32), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/trayicon.c (1.20), "Exp", lines: +38 -11
		miranda/plugins/tabsrmm/userprefs.c (1.9), "Exp", lines: +11 -9

	more codepage stuff (nickname encoding)

2005-06-20 07:29  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/TSButton.c (1.9), "Exp", lines: +12 -1
		miranda/plugins/tabsrmm/container.c (1.105), "Exp", lines: +33 -13
		miranda/plugins/tabsrmm/eventpopups.c (1.33), "Exp", lines: +44 -12
		miranda/plugins/tabsrmm/formatting.cpp (1.30), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/hotkeyhandler.c (1.41), "Exp", lines: +27 -9
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.89), "Exp", lines: +8 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.182), "Exp", lines: +170 -30
		miranda/plugins/tabsrmm/msglog.c (1.91), "Exp", lines: +25 -3
		miranda/plugins/tabsrmm/msgoptions.c (1.96), "Exp", lines: +16 -14
		miranda/plugins/tabsrmm/msgs.c (1.112), "Exp", lines: +13 -2
		miranda/plugins/tabsrmm/msgs.h (1.89), "Exp", lines: +4 -4
		miranda/plugins/tabsrmm/msgwindow.rc (1.44), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/resource.h (1.90), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/sendqueue.c (1.35), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/sendqueue.h (1.8), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/tabctrl.c (1.26), "Exp", lines: +8 -1
		miranda/plugins/tabsrmm/userprefs.c (1.8), "Exp", lines: +5 -2
		miranda/plugins/tabsrmm/docs/changelog.txt (1.29), "Exp", lines: +10 -0

	flashing bugfix added more idle support, away message retrieval
	(hover the status field in the info panel)

2005-06-19 23:59  ghazan

	Changed:
		miranda/protocols/MSN/msn.cpp (1.27), "Exp", lines: +0 -2
		miranda/protocols/MSN/msn.dsp (1.11), "Exp", lines: +1 -2
		miranda/protocols/MSN/msn.rc (1.8), "Exp", lines: +15 -7
		miranda/protocols/MSN/msn_global.h (1.36), "Exp", lines: +2 -0
		miranda/protocols/MSN/msn_opts.cpp (1.24), "Exp", lines: +17 -6
		miranda/protocols/MSN/msn_ssl.cpp (1.14), "Exp", lines: +114 -49
		miranda/protocols/MSN/Docs/translate-msn.txt (1.12), "Exp", lines: +4 -1
		miranda/protocols/MSN/resource.h (1.13), "Exp", lines: +2 -1

	added support for OpenSSL libraries

2005-06-18 18:51  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/TSButton.c (1.8), "Exp", lines: +0 -1
		miranda/plugins/tabsrmm/container.c (1.104), "Exp", lines: +47 -17
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.88), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.181), "Exp", lines: +7 -9
		miranda/plugins/tabsrmm/msgs.h (1.88), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/docs/changelog.txt (1.28), "Exp", lines: +27 -9

	converted the session list control button in the status bar to a
	real button, added a tooltip fixed possible crash when logging
	error messages to the message history

2005-06-18 13:16  aloya2

	Changed:
		miranda/plugins/mwclist/CLUIFrames/cluiframes.c (1.17), "Exp", lines: +32 -0

	Added long ------ separator for genmenu options.

2005-06-18 13:11  aloya2

	Changed:
		miranda/plugins/mwclist/clc.c (1.26), "Exp", lines: +1 -1
		miranda/plugins/mwclist/clc.h (1.13), "Exp", lines: +1 -1
		miranda/plugins/mwclist/genmenuopt.c (1.9), "Exp", lines: +7 -6

	Added long ------ separator for genmenu options.

2005-06-17 18:45  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/MAKEFILE.W32 (1.22), "Exp", lines: +2 -3
		miranda/plugins/tabsrmm/TSButton.c (1.7), "Exp", lines: +4 -3
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.87), "Exp", lines: +1 -8
		miranda/plugins/tabsrmm/msgdialog.c (1.180), "Exp", lines: +23 -13
		miranda/plugins/tabsrmm/msglog.c (1.90), "Exp", lines: +6 -6
		miranda/plugins/tabsrmm/msgoptions.c (1.95), "Exp", lines: +7 -14
		miranda/plugins/tabsrmm/msgs.c (1.111), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgs.h (1.87), "Exp", lines: +1 -13
		miranda/plugins/tabsrmm/msgwindow.rc (1.43), "Exp", lines: +10 -9
		miranda/plugins/tabsrmm/sendqueue.c (1.34), "Exp", lines: +15 -3
		miranda/plugins/tabsrmm/tabctrl.c (1.25), "Exp", lines: +46 -32
		miranda/plugins/tabsrmm/tabsrmm_private.rc (1.5), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/templates.c (1.19), "Exp", lines: +2 -2

	some code cleanups sending 7bit as ANSI only now optional (but on
	by default)

2005-06-17 13:09  aloya2

	Changed:
		miranda/plugins/mwclist/clc.c (1.25), "Exp", lines: +17 -4
		miranda/plugins/mwclist/clc.h (1.12), "Exp", lines: +1 -0
		miranda/plugins/mwclist/clcopts.c (1.16), "Exp", lines: +4 -4
		miranda/plugins/mwclist/clcpaint.c (1.17), "Exp", lines: +56 -7
		miranda/plugins/mwclist/m_clc.h (1.10), "Exp", lines: +2 -1

	Fixed closed group fonts,add hover contact font,dim extra icons
	when mouse hover it.

2005-06-17 00:26  ghazan

	Changed:
		miranda/src/modules/srawaymsg/awaymsg.c (1.4), "Exp", lines: +12 -12

	prevents Miranda from reading status messages for chat conferences

2005-06-17 00:17  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.103), "Exp", lines: +17 -58
		miranda/plugins/tabsrmm/formatting.cpp (1.29), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/functions.h (1.24), "Exp", lines: +0 -2
		miranda/plugins/tabsrmm/msgdialog.c (1.179), "Exp", lines: +10 -12
		miranda/plugins/tabsrmm/msglog.c (1.89), "Exp", lines: +11 -17
		miranda/plugins/tabsrmm/msgoptions.c (1.94), "Exp", lines: +1 -2
		miranda/plugins/tabsrmm/resource.rc (1.122), "Exp", lines: +107 -106

	dialog layout tab order fixes

2005-06-16 22:16  egodust

	Changed:
		miranda/src/resource.rc (1.25), "Exp", lines: +5 -5

	Bump from 0401 -> 0430

2005-06-16 20:34  ghazan

	Changed:
		miranda/protocols/MSN/version.h (1.10), "Exp", lines: +3 -3
		miranda/protocols/JabberG/version.h (1.7), "Exp", lines: +3 -3

	version bump

2005-06-16 20:09  ono

	Changed:
		miranda/protocols/Gadu-Gadu/docs/gg-readme.txt (1.6), "Exp", lines: +4 -0

	Version & VC builds 0.0.3 comments

2005-06-16 20:01  ono

	Changed:
		miranda/protocols/Gadu-Gadu/Gadu-Gadu.dsp (1.2), "Exp", lines: +294 -18
		miranda/protocols/Gadu-Gadu/Gadu-Gadu.dsw (1.2), "Exp", lines: +1 -1
		miranda/protocols/Gadu-Gadu/core.c (1.11), "Exp", lines: +3 -1
		miranda/protocols/Gadu-Gadu/dialogs.c (1.7), "Exp", lines: +0 -1
		miranda/protocols/Gadu-Gadu/filetransfer.c (1.5), "Exp", lines: +0 -1
		miranda/protocols/Gadu-Gadu/gg.h (1.7), "Exp", lines: +11 -0
		miranda/protocols/Gadu-Gadu/groupchat.c (1.6), "Exp", lines: +7 -1
		miranda/protocols/Gadu-Gadu/image.cpp (1.5), "Exp", lines: +7 -1
		miranda/protocols/Gadu-Gadu/import.c (1.4), "Exp", lines: +10 -4
		miranda/protocols/Gadu-Gadu/ownerinfo.c (1.3), "Exp", lines: +2 -0
		miranda/protocols/Gadu-Gadu/services.c (1.5), "Exp", lines: +8 -10
		miranda/protocols/Gadu-Gadu/userutils.c (1.4), "Exp", lines: +9 -1
		miranda/protocols/Gadu-Gadu/libgadu/libgadu-config.h (1.3), "Exp", lines: +4 -1
		miranda/protocols/Gadu-Gadu/libgadu/win32/sys/socket.h (1.3), "Exp", lines: +5 -2

	Another buch of VC++ 6.0 fixes and projects. Should be able now
	produce automatic builds.

2005-06-16 18:43  ono

	Added:
		miranda/protocols/Gadu-Gadu/Gadu-Gadu.dsp (1.1)
		miranda/protocols/Gadu-Gadu/Gadu-Gadu.dsw (1.1)

	Visual C++ 6.0 project files

2005-06-16 18:25  ono

	Changed:
		miranda/protocols/Gadu-Gadu/core.c (1.10), "Exp", lines: +24 -16
		miranda/protocols/Gadu-Gadu/dialogs.c (1.6), "Exp", lines: +2 -1
		miranda/protocols/Gadu-Gadu/dynstuff.c (1.3), "Exp", lines: +6 -2
		miranda/protocols/Gadu-Gadu/filetransfer.c (1.4), "Exp", lines: +14 -11
		miranda/protocols/Gadu-Gadu/gg.c (1.7), "Exp", lines: +9 -8
		miranda/protocols/Gadu-Gadu/gg.h (1.6), "Exp", lines: +14 -5
		miranda/protocols/Gadu-Gadu/groupchat.c (1.5), "Exp", lines: +53 -33
		miranda/protocols/Gadu-Gadu/image.cpp (1.4), "Exp", lines: +7 -5
		miranda/protocols/Gadu-Gadu/import.c (1.3), "Exp", lines: +20 -18
		miranda/protocols/Gadu-Gadu/ownerinfo.c (1.2), "Exp", lines: +3 -3
		miranda/protocols/Gadu-Gadu/pthread.c (1.3), "Exp", lines: +2 -6
		miranda/protocols/Gadu-Gadu/services.c (1.4), "Exp", lines: +27 -25
		miranda/protocols/Gadu-Gadu/ssl.c (1.2), "Exp", lines: +2 -1
		miranda/protocols/Gadu-Gadu/userutils.c (1.3), "Exp", lines: +25 -23
		miranda/protocols/Gadu-Gadu/libgadu/common.c (1.3), "Exp", lines: +134 -111
		miranda/protocols/Gadu-Gadu/libgadu/dcc.c (1.3), "Exp", lines: +111 -42
		miranda/protocols/Gadu-Gadu/libgadu/events.c (1.3), "Exp", lines: +173 -124
		miranda/protocols/Gadu-Gadu/libgadu/libgadu-config.h (1.2), "Exp", lines: +7 -0
		miranda/protocols/Gadu-Gadu/libgadu/libgadu.c (1.3), "Exp", lines: +119 -72
		miranda/protocols/Gadu-Gadu/libgadu/libgadu.h (1.3), "Exp", lines: +69 -66
		miranda/protocols/Gadu-Gadu/libgadu/libgadu.pc.in (1.2), "Exp", lines: +3 -2
		miranda/protocols/Gadu-Gadu/libgadu/pubdir50.c (1.3), "Exp", lines: +17 -21
		miranda/protocols/Gadu-Gadu/libgadu/win32/sys/ioctl.h (1.2), "Exp", lines: +8 -3
		miranda/protocols/Gadu-Gadu/libgadu/win32/sys/socket.h (1.2), "Exp", lines: +24 -8

	Libgadu 2005.06.15 update, VC++ compilation changes, version 0.0.3
	bump

2005-06-16 17:59  ono

	Changed:
		miranda/protocols/Gadu-Gadu/.cvsignore (1.2), "Exp", lines: +11 -2

	Ignore Visual Studio 2005 project files

2005-06-16 15:01  ono

	Changed:
		miranda/protocols/Gadu-Gadu/Makefile (1.5), "Exp", lines: +2 -2

	GCC now should optimize for size

2005-06-16 09:49  aloya2

	Changed:
		miranda/plugins/mwclist/clc.c (1.24), "Exp", lines: +1 -1
		miranda/plugins/mwclist/clistmod.c (1.14), "Exp", lines: +1 -1

	fixed error on shutdown when no protocols loaded BUG #0001244

2005-06-16 09:35  aloya2

	Changed:
		miranda/plugins/mwclist/clcpaint.c (1.16), "Exp", lines: +6 -6

	fixed quicksearch font setting BUG #0001260

2005-06-16 07:20  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/MAKEFILE.W32 (1.21), "Exp", lines: +4 -3
		miranda/plugins/tabsrmm/formatting.cpp (1.28), "Exp", lines: +24 -23
		miranda/plugins/tabsrmm/m_Snapping_windows.h (1.2), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/m_fontservice.h (1.2), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/m_toptoolbar.h (1.2), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.178), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgoptions.c (1.93), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgs.h (1.86), "Exp", lines: +2 -0
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.31), "Exp", lines: +3 -1

	checked build for gcc 4.0 relaxed bbcode formatting - closing tags
	can be optional, additional safety check for broken/incomplete
	[color] tag

2005-06-16 04:20  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/docs/changelog.txt (1.27), "Exp", lines: +7 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.177), "Exp", lines: +6 -12
		miranda/plugins/tabsrmm/msgdlgutils.c (1.78), "Exp", lines: +16 -1
		miranda/plugins/tabsrmm/msgdlgutils.h (1.24), "Exp", lines: +2 -1

	info panel splitter follows splitter configuration rules
	(global/per contact, saving policy etc.)

2005-06-15 18:17  gena01

	Changed:
		miranda/protocols/Yahoo/version.h (1.6), "Exp", lines: +3 -3

	Updating version for cvs after 0.3.0.8 release, also updated readme
	file.

2005-06-14 12:54  egodust

	Changed:
		miranda/plugins/clist/clui.c (1.8), "Exp", lines: +6 -3
		miranda/plugins/clist/init.c (1.11), "Exp", lines: +1 -1

	when handling Miranda::ProcessFile do ShowWindow(), SetFocus()
	SetForegroundWindow().

		Version bump to 0502

2005-06-14 12:52  egodust

	Changed:
		miranda/src/modules/database/database.c (1.13), "Exp", lines: +1 -1

	wait 100ms for other instance of miranda to activate

2005-06-13 21:22  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.16), "Exp", lines: +5 -6

	minor fix for setting conference topic

2005-06-13 19:28  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.176), "Exp", lines: +3 -4
		miranda/plugins/tabsrmm/msgwindow.rc (1.42), "Exp", lines: +2 -2

	bugfix: double click didn't select text in the history

2005-06-13 13:01  egodust

	Changed:
		miranda/plugins/clist/clistmenus.c (1.8), "Exp", lines: +7 -1
		miranda/plugins/clist/init.c (1.10), "Exp", lines: +1 -1

	BugFix:

		Right clicking on a contact (unknown or otherwise) would
	crash if there were no context items since BuildContactMenu() used
	an malloc()'d itemOrder of 0. There are no context items when no
	one adds any.

		(Bump to 0501)

2005-06-13 03:03  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/functions.h (1.23), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.175), "Exp", lines: +7 -4
		miranda/plugins/tabsrmm/msgdlgutils.c (1.77), "Exp", lines: +6 -3
		miranda/plugins/tabsrmm/msglog.c (1.88), "Exp", lines: +12 -15
		miranda/plugins/tabsrmm/msgoptions.c (1.92), "Exp", lines: +13 -13
		miranda/plugins/tabsrmm/msgs.c (1.110), "Exp", lines: +2 -2

	small layout fixes

2005-06-12 21:48  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_chat.cpp (1.6), "Exp", lines: +5 -1

	[no log message]

2005-06-12 19:21  egodust

	Changed:
		miranda/src/core/commonheaders.h (1.4.4.1), "Exp", lines: +2 -0
		miranda/src/core/modules.c (1.6.6.1), "Exp", lines: +6 -4
		miranda/src/core/modules.h (1.1.12.1), "Exp", lines: +5 -0

	NameHashFunction external linkage, loading of IO stuff

2005-06-12 19:21  egodust

	Changed:
		miranda/src/miranda32.dsp (1.5.6.1), "Exp", lines: +24 -0

	m_io inclusion

2005-06-12 19:19  egodust

	Changed:
		miranda/src/modules/database/database.c (1.12.2.1), "Exp", lines: +10 -2

	Reject plugins which don't support DB volatiles, i.e.
	DB_CAP_VOLATILE_CONTACTS

2005-06-12 19:18  egodust

	Changed:
		miranda/src/modules/plugins/newplugins.c (1.15.2.1), "Exp", lines: +1 -0

	Access to NameHashFunction

2005-06-12 19:17  egodust

	Changed:
		miranda/plugins/db3x/commonheaders.h (1.3.2.1), "Exp", lines: +1 -0
		miranda/plugins/db3x/dbcontacts.c (1.2.12.1), "Exp", lines: +221 -0
		miranda/plugins/db3x/dblists.c (1.1.12.1), "Exp", lines: +19 -3
		miranda/plugins/db3x/dblists.h (1.1.12.1), "Exp", lines: +2 -0
		miranda/plugins/db3x/dbsettings.c (1.6.2.1), "Exp", lines: +11 -1
		miranda/plugins/db3x/init.c (1.10.2.1), "Exp", lines: +6 -1

	version bump to 0.6 - added volatile contact handles support for
	0.5x, will create in memory DBVARIANT settings for handles, which
	can be used as chat contacts, or session settings.

2005-06-12 19:16  egodust

	Changed:
		miranda/include/m_database2.h (1.1.2.1), "Exp", lines: +88 -0
		miranda/include/m_io.h (1.1.2.1), "Exp", lines: +77 -0
		miranda/include/m_io_ui.h (1.1.2.1), "Exp", lines: +61 -0

	m_io: The new IO subsystem, m_io_ui: layer to use UI, m_database2:
	extra APIs to add volatile handles (in memory contacts/handles
	which work like hContact's but arent on disk)

2005-06-12 19:15  egodust

	Changed:
		miranda/include/newpluginapi.h (1.2.12.1), "Exp", lines: +8 -1

	Added NameHashFunction to PLUGLNINK, m_io, m_io_ui.h headers

2005-06-12 15:03  egodust

	Changed:
		miranda/src/modules/netlib/netlib.c (1.5), "Exp", lines: +2 -0
		miranda/src/modules/netlib/netlibopenconn.c (1.7), "Exp", lines: +19 -0

	BugFix:

		XP SP2 imposes a limit of 10 connection attempts per
	second, might conflict if many protos are connecting with other
	applications (web, email, update checkers)

		Now waits 1.2 seconds if the last connection attempt was
	less than 1 second ago.

2005-06-10 23:02  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_menu.cpp (1.7), "Exp", lines: +2 -2

	minor bugfix for conferences

2005-06-10 20:33  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/functions.h (1.22), "Exp", lines: +7 -0
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.86), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.174), "Exp", lines: +3 -3
		miranda/plugins/tabsrmm/msgdlgutils.c (1.76), "Exp", lines: +2 -3
		miranda/plugins/tabsrmm/msglog.c (1.87), "Exp", lines: +6 -59
		miranda/plugins/tabsrmm/msgoptions.c (1.91), "Exp", lines: +129 -76
		miranda/plugins/tabsrmm/msgs.c (1.109), "Exp", lines: +11 -7
		miranda/plugins/tabsrmm/msgs.h (1.85), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/tabctrl.c (1.24), "Exp", lines: +27 -14
		miranda/plugins/tabsrmm/themes.c (1.10), "Exp", lines: +39 -24

	font service support continued font + color settings moved to new
	db settings group

2005-06-10 19:42  ghazan

	Changed:
		miranda/protocols/JabberG/jabber_list.cpp (1.8), "Exp", lines: +7 -10

	fix for rare access violation error

2005-06-10 15:29  aloya2

	Changed:
		miranda/plugins/mwclist/clcopts.c (1.15), "Exp", lines: +4 -4
		miranda/plugins/mwclist/clcpaint.c (1.15), "Exp", lines: +22 -2
		miranda/plugins/mwclist/m_clc.h (1.9), "Exp", lines: +2 -1
		miranda/plugins/mwclist/CLUIFrames/cluiframes.c (1.16), "Exp", lines: +6 -1

	fixed color for fonts in titlebars, added group closed font

2005-06-10 01:55  nightwish2004

	Added:
		miranda/plugins/tabsrmm/m_fontservice.h (1.1)
	Changed:
		miranda/plugins/tabsrmm/functions.h (1.21), "Exp", lines: +0 -1
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.85), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/docs/changelog.txt (1.26), "Exp", lines: +5 -0
		miranda/plugins/tabsrmm/msgoptions.c (1.90), "Exp", lines: +143 -56
		miranda/plugins/tabsrmm/msgs.c (1.108), "Exp", lines: +5 -1
		miranda/plugins/tabsrmm/resource.rc (1.121), "Exp", lines: +25 -23
		miranda/plugins/tabsrmm/tabsrmm.dsp (1.9), "Exp", lines: +76 -13
		miranda/plugins/tabsrmm/tabsrmm.vcproj (1.30), "Exp", lines: +16 -12

	fontservice support (started) moved options from font + colors page
	to msglog options page fixed target .dll names for debug builds
	updated VC++ 6 project files

2005-06-10 01:13  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.37), "Exp", lines: +7 -6

	More fixes: fixing the log messages, also don't send authorization,
	since once we return a valid locally added hContact handle it
	apparently does autorization send. So all we need to do is return
	the handle and hope authorization request is sent now. Part of
	previous fix. I want to thank GHazan and Bio for help and support
	and for helping me get this working.

2005-06-10 00:17  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.36), "Exp", lines: +86 -8

	Adding missing AddToListByEvent. You can finally normally add
	somebody when you get an authorization request from somebody who is
	NOT on your buddy list. This feature NEVER worked before and it
	should now.

2005-06-09 16:13  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/msgdialog.c (1.173), "Exp", lines: +3 -2
		miranda/plugins/tabsrmm/msgdlgutils.c (1.75), "Exp", lines: +5 -3
		miranda/plugins/tabsrmm/msglog.c (1.86), "Exp", lines: +9 -12
		miranda/plugins/tabsrmm/msgwindow.rc (1.41), "Exp", lines: +1 -1
		miranda/plugins/tabsrmm/sendqueue.c (1.33), "Exp", lines: +8 -6
		miranda/plugins/tabsrmm/docs/changelog.txt (1.25), "Exp", lines: +4 -0

	fixed some visual glitches with the info panel

2005-06-08 22:03  ghazan

	Changed:
		miranda/protocols/MSN/Icos/invite.ico (1.2), "Exp", lines: +10 -221

	the same icon, but in more compact binary. thanks to Pixador for
	saving 1Kb :)

2005-06-08 21:49  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.61), "Exp", lines: +1 -1

	minor fix for opening the Hotmail site

2005-06-08 20:46  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.35), "Exp", lines: +9 -3

	Updated logging trying to figure out clist_mw weirdness w/
	statuses. Also don't change idle state if we are invisible. mmm.. i
	need more time to investigate this...

2005-06-08 20:44  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.48), "Exp", lines: +2 -2

	Small update to debug log related to status change.

2005-06-08 16:29  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.102), "Exp", lines: +30 -29

	setwindowpos() fix

2005-06-08 01:53  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.34), "Exp", lines: +6 -3
		miranda/protocols/Yahoo/yahoo.c (1.47), "Exp", lines: +9 -3

	Changing to write clist_mw compatible status message. NOTE: This
	string is not tied to the Gaming status. Also adding support for
	mTooltip, we now create ContactPhoto link.

2005-06-07 23:40  gena01

	Changed:
		miranda/protocols/Yahoo/options.c (1.9), "Exp", lines: +7 -1

	React to color changes, this should allow to change the PopUp
	colors.

2005-06-07 22:24  ghazan

	Changed:
		miranda/protocols/MSN/msn_srv.cpp (1.2), "Exp", lines: +3 -3

	minor fix for the server groups renaming

2005-06-07 21:52  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.33), "Exp", lines: +14 -7

	Fixing for empty away msg. Falling back to standard status.

2005-06-07 20:57  gena01

	Changed:
		miranda/protocols/Yahoo/server.c (1.10), "Exp", lines: +11 -3
		miranda/protocols/Yahoo/yahoo.c (1.46), "Exp", lines: +13 -13

	Trying to fix the 'going offline while connecting' crash in Yahoo.
	Moving some cleanup to the server thread and stopping processing if
	we are not logged in yet.

2005-06-07 19:23  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.32), "Exp", lines: +1 -3

	Removing commented out code.

2005-06-07 18:12  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.101), "Exp", lines: +17 -11
		miranda/plugins/tabsrmm/containeroptions.c (1.17), "Exp", lines: +25 -3
		miranda/plugins/tabsrmm/resource.h (1.89), "Exp", lines: +2 -0
		miranda/plugins/tabsrmm/resource.rc (1.120), "Exp", lines: +5 -0
		miranda/plugins/tabsrmm/docs/changelog.txt (1.24), "Exp", lines: +18 -0

	allow for global container size/position

2005-06-07 16:15  egodust

	Changed:
		miranda/include/m_netlib.h (1.9), "Exp", lines: +2 -2

	Netlib_Logf() is now inline and can be excluded if NETLIB_NOLOGGING
	is defined

2005-06-07 15:00  egodust

	Changed:
		miranda/src/resource.rc (1.24.2.1), "Exp", lines: +5 -5

	v0.5 version bump

2005-06-07 14:57  egodust

	Changed:
		miranda/include/m_chat.h (1.1.2.1), "Exp", lines: +424 -0
		miranda/plugins/chat/chat.dsp (1.3.2.1), "Exp", lines: +0 -4

	m_chat.h from chat plugin

2005-06-07 14:56  egodust

	Deleted:
		miranda/plugins/chat/m_chat.h (1.1.12.1)
	Changed:
		miranda/plugins/chat/chat.h (1.6.2.1), "Exp", lines: +1 -1

	m_chat.h belongs in SDK

2005-06-07 14:47  egodust

	Deleted:
		miranda/include/m_sessions.h (1.1.12.1)

	sessions is defunct

2005-06-05 22:12  ghazan

	Changed:
		miranda/protocols/MSN/Docs/history-msn.txt (1.38), "Exp", lines: +1 -0

	[no log message]

2005-06-05 22:07  ghazan

	Changed:
		miranda/protocols/MSN/Docs/history-msn.txt (1.37), "Exp", lines: +6 -0
		miranda/protocols/MSN/Docs/readme-msn.txt (1.5), "Exp", lines: +2 -0

	pre-release doc fixes

2005-06-05 21:42  ghazan

	Changed:
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.23), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.15), "Exp", lines: +7 -6

	bugfix: a chat topic isn't displayed when a user enters chat.

2005-06-05 21:16  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.16), "Exp", lines: +1 -1
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.22), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber_chat.cpp (1.5), "Exp", lines: +10 -9
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.14), "Exp", lines: +3 -3
		miranda/protocols/JabberG/jabber_list.cpp (1.7), "Exp", lines: +14 -13
		miranda/protocols/JabberG/jabber_list.h (1.5), "Exp", lines: +2 -2

	bug 0001269: Users appear in the conference nicklist more than once

2005-06-05 19:48  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/hotkeyhandler.c (1.40), "Exp", lines: +5 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.172), "Exp", lines: +8 -8

	balloon tip fix, top panel avatar drawing error fixed

2005-06-05 17:40  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.h (1.15), "Exp", lines: +2 -1
		miranda/protocols/JabberG/jabber_agent.cpp (1.7), "Exp", lines: +2 -2
		miranda/protocols/JabberG/jabber_chat.cpp (1.4), "Exp", lines: +4 -3
		miranda/protocols/JabberG/jabber_groupchat.cpp (1.13), "Exp", lines: +10 -4
		miranda/protocols/JabberG/jabber_misc.cpp (1.9), "Exp", lines: +15 -0
		miranda/protocols/JabberG/jabber_util.cpp (1.15), "Exp", lines: +1 -18
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.21), "Exp", lines: +1 -0

	bugfix	0001268: Other popup items that don't work

2005-06-05 15:54  ghazan

	Changed:
		miranda/protocols/MSN/msn_svcs.cpp (1.45), "Exp", lines: +3 -0

	minor fix for PFLAG_MAXLENOFMESSAGE (thanks to JDGordon)

2005-06-05 15:23  ghazan

	Changed:
		miranda/protocols/JabberG/docs/changelog_jabber.txt (1.20), "Exp", lines: +1 -0
		miranda/protocols/JabberG/jabber.cpp (1.16), "Exp", lines: +0 -8
		miranda/protocols/JabberG/jabber_thread.cpp (1.18), "Exp", lines: +11 -7

	bug 0001272: Crash when sending to a jabber conference that is no
	longer connected

2005-06-05 13:29  ghazan

	Changed:
		miranda/protocols/JabberG/jabber.cpp (1.15), "Exp", lines: +7 -3
		miranda/protocols/JabberG/jabber_thread.cpp (1.17), "Exp", lines: +9 -0

	bug 0001272: Crash when sending to a jabber conference that is no
	longer connected

2005-06-05 10:24  ghazan

	Changed:
		miranda/plugins/clist/clcutils.c (1.11), "Exp", lines: +4 -7

	minor fix for the clist drawing

2005-06-04 20:17  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/eventpopups.c (1.32), "Exp", lines: +7 -3
		miranda/plugins/tabsrmm/hotkeyhandler.c (1.39), "Exp", lines: +3 -1
		miranda/plugins/tabsrmm/msgdialog.c (1.171), "Exp", lines: +3 -2
		miranda/plugins/tabsrmm/tabctrl.c (1.23), "Exp", lines: +1 -0

	possible tab control redraw problem fixed tray icon event handling
	improved

2005-06-04 14:52  aloya2

	Changed:
		miranda/plugins/mwclist/resource.rc (1.17), "Exp", lines: +1 -1

	No need for icon1.ico

2005-06-03 23:37  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.31), "Exp", lines: +14 -13

	Fixing setting myself to a custom msg from the custom msg dialog,
	also it works w/ going to idle and back. Note: It still doesn't
	work properly on disconnect/reconnect.

2005-06-03 23:10  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.30), "Exp", lines: +23 -9

	Disable OK button in custom away msg dialog if empty custom string.

2005-06-03 21:57  ghazan

	Changed:
		miranda/protocols/MSN/version.h (1.9), "Exp", lines: +3 -3

	version bump

2005-06-03 21:57  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.60), "Exp", lines: +1 -1

	fix for error #0001246: MSN generates massive log file of errors
	with logging on

2005-06-03 21:16  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.29), "Exp", lines: +12 -4

	Fixing AA coming back from Idle bug. Also changing from OCCUPIED to
	AWAY.

2005-06-03 21:14  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.45), "Exp", lines: +1 -1

	Fixing compile warning.

2005-06-03 21:00  ghazan

	Changed:
		miranda/protocols/MSN/msn_svcs.cpp (1.44), "Exp", lines: +1 -1
		miranda/protocols/MSN/msn_threads.cpp (1.29), "Exp", lines: +10 -23
		miranda/protocols/MSN/msn.cpp (1.26), "Exp", lines: +5 -0

	another minor fix for the keep-alive thread :)

2005-06-03 19:50  aloya2

	Added:
		miranda/plugins/mwclist/res/AgileMobile.ico (1.1)
		miranda/plugins/mwclist/res/Gnomeicu.ico (1.1)
		miranda/plugins/mwclist/res/MobiCQ2.ico (1.1)
	Changed:
		miranda/plugins/mwclist/res/Miranda.ico (1.2), "Exp", lines: +6 -7

	adding missed icons

2005-06-03 19:46  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.44), "Exp", lines: +2 -2

	Changing the custom status parsing from OCCUPIED to AWAY miranda
	mapping.

2005-06-03 16:43  aloya2

	Added:
		miranda/plugins/mwclist/m_fontservice.h (1.1)
	Changed:
		miranda/plugins/mwclist/clistmenus.c (1.13), "Exp", lines: +39 -2
		miranda/plugins/mwclist/clui.c (1.31), "Exp", lines: +4 -2
		miranda/plugins/mwclist/commonheaders.h (1.19), "Exp", lines: +1 -0
		miranda/plugins/mwclist/resource.h (1.15), "Exp", lines: +5 -1
		miranda/plugins/mwclist/resource.rc (1.16), "Exp", lines: +4 -1
		miranda/plugins/mwclist/CLUIFrames/cluiframes.c (1.15), "Exp", lines: +43 -0
		miranda/plugins/mwclist/CLUIFrames/extraimage.c (1.15), "Exp", lines: +7 -4

	Added some new client icons, added initial fontservice support,
	fixed support for iconpack for connection icons.

2005-06-03 16:29  ghazan

	Changed:
		miranda/protocols/MSN/msn_threads.cpp (1.28), "Exp", lines: +6 -2

	minor fix for the keep-alive thread

2005-06-03 08:13  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.84), "Exp", lines: +1 -0
		miranda/plugins/tabsrmm/msgdialog.c (1.170), "Exp", lines: +5 -2
		miranda/plugins/tabsrmm/msgs.c (1.107), "Exp", lines: +7 -6
		miranda/plugins/tabsrmm/resource.rc (1.119), "Exp", lines: +10 -9
		miranda/plugins/tabsrmm/tabctrl.c (1.22), "Exp", lines: +0 -8

	[no log message]

2005-06-03 05:56  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/containeroptions.c (1.16), "Exp", lines: +5 -3
		miranda/plugins/tabsrmm/hotkeyhandler.c (1.38), "Exp", lines: +2 -7
		miranda/plugins/tabsrmm/msgdialog.c (1.169), "Exp", lines: +3 -5
		miranda/plugins/tabsrmm/msgdlgutils.c (1.74), "Exp", lines: +2 -2
		miranda/plugins/tabsrmm/msgs.c (1.106), "Exp", lines: +11 -4

	attempt to fix the "double tab" problem when using double clicks on
	the tray icon

2005-06-03 02:23  gena01

	Changed:
		miranda/protocols/Yahoo/server.c (1.9), "Exp", lines: +5 -4

	Trying to fix the random exit crash. After we exited the event loop
	we are offline, but we still need to do the cleanup. So fixing this
	here.

2005-06-03 02:22  gena01

	Changed:
		miranda/protocols/Yahoo/yahoo.c (1.43), "Exp", lines: +5 -10

	Don't stop looping here, since we are sending out logout packet and
	need to live a little longer. Also cleaning up some old stuff and
	adding a debug log entry.

2005-06-03 02:13  gena01

	Changed:
		miranda/protocols/Yahoo/services.c (1.28), "Exp", lines: +18 -5

	Adding more debug logging for adding a buddy to our buddy list.
	Also check and allow a buddy to go from temporrary to a permanent
	one.

2005-06-03 02:10  gena01

	Changed:
		miranda/protocols/Yahoo/util.c (1.11), "Exp", lines: +2 -2

	Fixing a double authorization send problem. Allow yahoo to delete
	the temporary key without sending authorization thingy. I will need
	a more elaborate fix later.

2005-06-02 23:09  ghazan

	Changed:
		miranda/protocols/MSN/msn_commands.cpp (1.59), "Exp", lines: +1 -0
		miranda/protocols/MSN/msn_threads.cpp (1.27), "Exp", lines: +0 -1

	fix for the msnLoggedIn setting

2005-06-02 23:07  ghazan

	Changed:
		miranda/protocols/MSN/msn.cpp (1.25), "Exp", lines: +1 -1

	code cleaning

2005-06-01 21:41  gena01

	Changed:
		miranda/protocols/Yahoo/version.h (1.5), "Exp", lines: +3 -3
		miranda/protocols/Yahoo/yahoo.msp (1.13), "Exp", lines: +8 -15

	Updating for release. Also changing version for the next nightly.

2005-06-01 00:50  ghazan

	Changed:
		miranda/src/modules/userinfo/userinfo.c (1.7), "Exp", lines: +1 -2

	fix for fast User Info threads

2005-05-31 13:33  nightwish2004

	Changed:
		miranda/plugins/tabsrmm/container.c (1.100), "Exp", lines: +85 -175
		miranda/plugins/tabsrmm/containeroptions.c (1.15), "Exp", lines: +78 -44
		miranda/plugins/tabsrmm/formatting.cpp (1.27), "Exp", lines: +147 -2
		miranda/plugins/tabsrmm/functions.h (1.20), "Exp", lines: +3 -0
		miranda/plugins/tabsrmm/m_tabsrmm.h (1.83), "Exp", lines: +8 -2
		miranda/plugins/tabsrmm/msgdialog.c (1.168), "Exp", lines: +16 -10
		miranda/plugins/tabsrmm/msgdlgutils.c (1.73), "Exp", lines: +24 -2
		miranda/plugins/tabsrmm/msgdlgutils.h (1.23), "Exp", lines: +2 -1
		miranda/plugins/tabsrmm/msgoptions.c (1.89), "Exp", lines: +21 -33
		miranda/plugins/tabsrmm/msgs.c (1.105), "Exp", lines: +17 -18
		miranda/plugins/tabsrmm/msgs.h (1.84), "Exp", lines: +6 -6
		miranda/plugins/tabsrmm/resource.h (1.88), "Exp", lines: +8 -15
		miranda/plugins/tabsrmm/resource.rc (1.118), "Exp", lines: +41 -65

	new container settings system (allows for global settings)

